# getDirectoryToWatchFailedLookupLocationAtTypesIndir

Determines whether to watch given failed lookup location (file that didnt exist) when resolving module.
It also determines the directory to watch and whether to watch it recursively or not.

## Testing for Dos root: c:/

## RootDirForResolution: c:/

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/folderAtRoot

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/folderAtRoot/folder1

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2                                                                                    |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2                                                                                    |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2                                                                                    |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2                                                                                    |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/folderAtRoot/folder1/folder2

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3                                                                            |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3                                                                            |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3                                                                            |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/folderAtRoot/folder1/folder2/folder3

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4                                                                    |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4                                                                    |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/folderAtRoot/folder1/folder2/folder3/folder4

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5                                                            |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/users

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/users/username

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/users/username/folderAtRoot

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/users/username/folderAtRoot/folder1

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2                                                                     |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2                                                                     |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2                                                                     |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2                                                                     |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/users/username/folderAtRoot/folder1/folder2

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3                                                             |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3                                                             |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3                                                             |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/users/username/folderAtRoot/folder1/folder2/folder3

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4                                                     |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4                                                     |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5                                             |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/user

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/user/username

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot                                                                                      |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot                                                                                      |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot                                                                                      |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot                                                                                      |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot                                                                                      |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot                                                                                      |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/user/username/folderAtRoot

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1                                                                              |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1                                                                              |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1                                                                              |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1                                                                              |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1                                                                              |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/user/username/folderAtRoot/folder1

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2                                                                      |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2                                                                      |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2                                                                      |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2                                                                      |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/user/username/folderAtRoot/folder1/folder2

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3                                                              |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3                                                              |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3                                                              |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/user/username/folderAtRoot/folder1/folder2/folder3

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4                                                      |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4                                                      |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5                                              |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/usr

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/usr/username

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot                                                                                       |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot                                                                                       |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot                                                                                       |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot                                                                                       |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot                                                                                       |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot                                                                                       |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/usr/username/folderAtRoot

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1                                                                               |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1                                                                               |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1                                                                               |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1                                                                               |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1                                                                               |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/usr/username/folderAtRoot/folder1

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2                                                                       |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2                                                                       |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2                                                                       |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2                                                                       |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/usr/username/folderAtRoot/folder1/folder2

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3                                                               |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3                                                               |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3                                                               |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/usr/username/folderAtRoot/folder1/folder2/folder3

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4                                                       |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4                                                       |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5                                               |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/home

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/home/username

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot                                                                                      |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot                                                                                      |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot                                                                                      |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot                                                                                      |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot                                                                                      |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot                                                                                      |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/home/username/folderAtRoot

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1                                                                              |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1                                                                              |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1                                                                              |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1                                                                              |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1                                                                              |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/home/username/folderAtRoot/folder1

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2                                                                      |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2                                                                      |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2                                                                      |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2                                                                      |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/home/username/folderAtRoot/folder1/folder2

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3                                                              |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3                                                              |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3                                                              |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/home/username/folderAtRoot/folder1/folder2/folder3

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4                                                      |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4                                                      |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5                                              |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/workspaces

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

## RootDirForResolution: c:/workspaces/folderAtRoot

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1                                                                                 |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1                                                                                 |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1                                                                                 |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1                                                                                 |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1                                                                                 |

## RootDirForResolution: c:/workspaces/folderAtRoot/folder1

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2                                                                         |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2                                                                         |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2                                                                         |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2                                                                         |

## RootDirForResolution: c:/workspaces/folderAtRoot/folder1/folder2

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3                                                                 |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3                                                                 |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3                                                                 |

## RootDirForResolution: c:/workspaces/folderAtRoot/folder1/folder2/folder3

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4                                                         |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4                                                         |

## RootDirForResolution: c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5                                                 |

## RootDirForResolution: c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5

| Location                                                                                                           | getDirectoryToWatchFailedLookupLocation                                                                            | Recursive | Location if not symlink                                                                                            |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------------ |
| c:/node_modules/@types/dir/somefile.d.ts                                                                           |                                                                                                                    |           |                                                                                                                    |
| c:/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                              | c:/folderAtRoot/node_modules/@types/dir                                                                            | true      | c:/folderAtRoot/node_modules                                                                                       |
| c:/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                                      | c:/folderAtRoot/folder1/node_modules/@types/dir                                                                    | true      | c:/folderAtRoot/folder1/node_modules                                                                               |
| c:/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                              | c:/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                            | true      | c:/folderAtRoot/folder1/folder2/node_modules                                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                                      | c:/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/node_modules                                                               |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                              | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                            | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                                       |
| c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts                      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                                    | true      | c:/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                               |
| c:/users/node_modules/@types/dir/somefile.d.ts                                                                     |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/node_modules/@types/dir/somefile.d.ts                                                            |                                                                                                                    |           |                                                                                                                    |
| c:/users/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                               | c:/users/username/folderAtRoot/node_modules/@types/dir                                                             | true      | c:/users/username/folderAtRoot/node_modules                                                                        |
| c:/users/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                       | c:/users/username/folderAtRoot/folder1/node_modules/@types/dir                                                     | true      | c:/users/username/folderAtRoot/folder1/node_modules                                                                |
| c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                               | c:/users/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                             | true      | c:/users/username/folderAtRoot/folder1/folder2/node_modules                                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                       | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts               | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                             | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                        |
| c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts       | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                     | true      | c:/users/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                |
| c:/user/node_modules/@types/dir/somefile.d.ts                                                                      | c:/user/node_modules/@types/dir                                                                                    | true      | c:/user/node_modules                                                                                               |
| c:/user/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/user/username/node_modules/@types/dir                                                                           | true      | c:/user/username/node_modules                                                                                      |
| c:/user/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/user/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/user/username/folderAtRoot/node_modules                                                                         |
| c:/user/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/user/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/user/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/user/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/user/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/user/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/usr/node_modules/@types/dir/somefile.d.ts                                                                       | c:/usr/node_modules/@types/dir                                                                                     | true      | c:/usr/node_modules                                                                                                |
| c:/usr/username/node_modules/@types/dir/somefile.d.ts                                                              | c:/usr/username/node_modules/@types/dir                                                                            | true      | c:/usr/username/node_modules                                                                                       |
| c:/usr/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                 | c:/usr/username/folderAtRoot/node_modules/@types/dir                                                               | true      | c:/usr/username/folderAtRoot/node_modules                                                                          |
| c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                         | c:/usr/username/folderAtRoot/folder1/node_modules/@types/dir                                                       | true      | c:/usr/username/folderAtRoot/folder1/node_modules                                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                 | c:/usr/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/node_modules                                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                  |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                 | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                               | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                          |
| c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts         | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                       | true      | c:/usr/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                  |
| c:/home/node_modules/@types/dir/somefile.d.ts                                                                      | c:/home/node_modules/@types/dir                                                                                    | true      | c:/home/node_modules                                                                                               |
| c:/home/username/node_modules/@types/dir/somefile.d.ts                                                             | c:/home/username/node_modules/@types/dir                                                                           | true      | c:/home/username/node_modules                                                                                      |
| c:/home/username/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                | c:/home/username/folderAtRoot/node_modules/@types/dir                                                              | true      | c:/home/username/folderAtRoot/node_modules                                                                         |
| c:/home/username/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                        | c:/home/username/folderAtRoot/folder1/node_modules/@types/dir                                                      | true      | c:/home/username/folderAtRoot/folder1/node_modules                                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                | c:/home/username/folderAtRoot/folder1/folder2/node_modules/@types/dir                                              | true      | c:/home/username/folderAtRoot/folder1/folder2/node_modules                                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                        | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/node_modules                                                 |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                              | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                         |
| c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts        | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                      | true      | c:/home/username/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                 |
| c:/workspaces/node_modules/@types/dir/somefile.d.ts                                                                | c:/workspaces/node_modules/@types/dir                                                                              | true      | c:/workspaces/node_modules                                                                                         |
| c:/workspaces/folderAtRoot/node_modules/@types/dir/somefile.d.ts                                                   | c:/workspaces/folderAtRoot/node_modules/@types/dir                                                                 | true      | c:/workspaces/folderAtRoot/node_modules                                                                            |
| c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir/somefile.d.ts                                           | c:/workspaces/folderAtRoot/folder1/node_modules/@types/dir                                                         | true      | c:/workspaces/folderAtRoot/folder1/node_modules                                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir/somefile.d.ts                                   | c:/workspaces/folderAtRoot/folder1/folder2/node_modules/@types/dir                                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/node_modules                                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir/somefile.d.ts                           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules/@types/dir                                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/node_modules                                                    |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir/somefile.d.ts                   | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules/@types/dir                                 | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/node_modules                                            |
| c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir/somefile.d.ts           | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules/@types/dir                         | true      | c:/workspaces/folderAtRoot/folder1/folder2/folder3/folder4/folder5/node_modules                                    |

