// Code generated by generate.mjs; DO NOT EDIT.

package lsproto

import (
	"encoding/json"
	"fmt"
)

// Meta model version 3.17.0

// Structures

type ImplementationParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
	PartialResultParams
}

// Represents a location inside a resource, such as a line
// inside a text file.
type Location struct {
	Uri DocumentUri `json:"uri"`

	Range Range `json:"range"`
}

type ImplementationRegistrationOptions struct {
	TextDocumentRegistrationOptions
	ImplementationOptions
	StaticRegistrationOptions
}

type TypeDefinitionParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
	PartialResultParams
}

type TypeDefinitionRegistrationOptions struct {
	TextDocumentRegistrationOptions
	TypeDefinitionOptions
	StaticRegistrationOptions
}

// A workspace folder inside a client.
type WorkspaceFolder struct {
	// The associated URI for this workspace folder.
	Uri URI `json:"uri"`

	// The name of the workspace folder. Used to refer to this
	// workspace folder in the user interface.
	Name string `json:"name"`
}

// The parameters of a `workspace/didChangeWorkspaceFolders` notification.
type DidChangeWorkspaceFoldersParams struct {
	// The actual workspace folder change event.
	Event WorkspaceFoldersChangeEvent `json:"event"`
}

// The parameters of a configuration request.
type ConfigurationParams struct {
	Items []ConfigurationItem `json:"items"`
}

// Parameters for a DocumentColorRequest.
type DocumentColorParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`
}

// Represents a color range from a document.
type ColorInformation struct {
	// The range in the document where this color appears.
	Range Range `json:"range"`

	// The actual color value for this color range.
	Color Color `json:"color"`
}

type DocumentColorRegistrationOptions struct {
	TextDocumentRegistrationOptions
	DocumentColorOptions
	StaticRegistrationOptions
}

// Parameters for a ColorPresentationRequest.
type ColorPresentationParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The color to request presentations for.
	Color Color `json:"color"`

	// The range where the color would be inserted. Serves as a context.
	Range Range `json:"range"`
}

type ColorPresentation struct {
	// The label of this color presentation. It will be shown on the color
	// picker header. By default this is also the text that is inserted when selecting
	// this color presentation.
	Label string `json:"label"`

	// An edit which is applied to a document when selecting
	// this presentation for the color.  When `falsy` the label
	// is used.
	TextEdit *TextEdit `json:"textEdit,omitempty"`

	// An optional array of additional edits that are applied when
	// selecting this color presentation. Edits must not overlap with the main edit nor with themselves.
	AdditionalTextEdits *[]TextEdit `json:"additionalTextEdits,omitempty"`
}

type WorkDoneProgressOptions struct {
	WorkDoneProgress *bool `json:"workDoneProgress,omitempty"`
}

// General text document registration options.
type TextDocumentRegistrationOptions struct {
	// A document selector to identify the scope of the registration. If set to null
	// the document selector provided on the client side will be used.
	DocumentSelector *DocumentSelector `json:"documentSelector"`
}

// Parameters for a FoldingRangeRequest.
type FoldingRangeParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`
}

// Represents a folding range. To be valid, start and end line must be bigger than zero and smaller
// than the number of lines in the document. Clients are free to ignore invalid ranges.
type FoldingRange struct {
	// The zero-based start line of the range to fold. The folded area starts after the line's last character.
	// To be valid, the end must be zero or larger and smaller than the number of lines in the document.
	StartLine uint32 `json:"startLine"`

	// The zero-based character offset from where the folded range starts. If not defined, defaults to the length of the start line.
	StartCharacter *uint32 `json:"startCharacter,omitempty"`

	// The zero-based end line of the range to fold. The folded area ends with the line's last character.
	// To be valid, the end must be zero or larger and smaller than the number of lines in the document.
	EndLine uint32 `json:"endLine"`

	// The zero-based character offset before the folded range ends. If not defined, defaults to the length of the end line.
	EndCharacter *uint32 `json:"endCharacter,omitempty"`

	// Describes the kind of the folding range such as 'comment' or 'region'. The kind
	// is used to categorize folding ranges and used by commands like 'Fold all comments'.
	// See FoldingRangeKind for an enumeration of standardized kinds.
	Kind *FoldingRangeKind `json:"kind,omitempty"`

	// The text that the client should show when the specified range is
	// collapsed. If not defined or not supported by the client, a default
	// will be chosen by the client.
	//
	// Since: 3.17.0
	CollapsedText *string `json:"collapsedText,omitempty"`
}

type FoldingRangeRegistrationOptions struct {
	TextDocumentRegistrationOptions
	FoldingRangeOptions
	StaticRegistrationOptions
}

type DeclarationParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
	PartialResultParams
}

type DeclarationRegistrationOptions struct {
	DeclarationOptions
	TextDocumentRegistrationOptions
	StaticRegistrationOptions
}

// A parameter literal used in selection range requests.
type SelectionRangeParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The positions inside the text document.
	Positions []Position `json:"positions"`
}

// A selection range represents a part of a selection hierarchy. A selection range
// may have a parent selection range that contains it.
type SelectionRange struct {
	// The range of this selection range.
	Range Range `json:"range"`

	// The parent selection range containing this range. Therefore `parent.range` must contain `this.range`.
	Parent *SelectionRange `json:"parent,omitempty"`
}

type SelectionRangeRegistrationOptions struct {
	SelectionRangeOptions
	TextDocumentRegistrationOptions
	StaticRegistrationOptions
}

type WorkDoneProgressCreateParams struct {
	// The token to be used to report progress.
	Token ProgressToken `json:"token"`
}

type WorkDoneProgressCancelParams struct {
	// The token to be used to report progress.
	Token ProgressToken `json:"token"`
}

// The parameter of a `textDocument/prepareCallHierarchy` request.
//
// Since: 3.16.0
type CallHierarchyPrepareParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
}

// Represents programming constructs like functions or constructors in the context
// of call hierarchy.
//
// Since: 3.16.0
type CallHierarchyItem struct {
	// The name of this item.
	Name string `json:"name"`

	// The kind of this item.
	Kind SymbolKind `json:"kind"`

	// Tags for this item.
	Tags *[]SymbolTag `json:"tags,omitempty"`

	// More detail for this item, e.g. the signature of a function.
	Detail *string `json:"detail,omitempty"`

	// The resource identifier of this item.
	Uri DocumentUri `json:"uri"`

	// The range enclosing this symbol not including leading/trailing whitespace but everything else, e.g. comments and code.
	Range Range `json:"range"`

	// The range that should be selected and revealed when this symbol is being picked, e.g. the name of a function.
	// Must be contained by the `range`.
	SelectionRange Range `json:"selectionRange"`

	// A data entry field that is preserved between a call hierarchy prepare and
	// incoming calls or outgoing calls requests.
	Data *LSPAny `json:"data,omitempty"`
}

// Call hierarchy options used during static or dynamic registration.
//
// Since: 3.16.0
type CallHierarchyRegistrationOptions struct {
	TextDocumentRegistrationOptions
	CallHierarchyOptions
	StaticRegistrationOptions
}

// The parameter of a `callHierarchy/incomingCalls` request.
//
// Since: 3.16.0
type CallHierarchyIncomingCallsParams struct {
	WorkDoneProgressParams
	PartialResultParams

	Item CallHierarchyItem `json:"item"`
}

// Represents an incoming call, e.g. a caller of a method or constructor.
//
// Since: 3.16.0
type CallHierarchyIncomingCall struct {
	// The item that makes the call.
	From CallHierarchyItem `json:"from"`

	// The ranges at which the calls appear. This is relative to the caller
	// denoted by `this.from`.
	FromRanges []Range `json:"fromRanges"`
}

// The parameter of a `callHierarchy/outgoingCalls` request.
//
// Since: 3.16.0
type CallHierarchyOutgoingCallsParams struct {
	WorkDoneProgressParams
	PartialResultParams

	Item CallHierarchyItem `json:"item"`
}

// Represents an outgoing call, e.g. calling a getter from a method or a method from a constructor etc.
//
// Since: 3.16.0
type CallHierarchyOutgoingCall struct {
	// The item that is called.
	To CallHierarchyItem `json:"to"`

	// The range at which this item is called. This is the range relative to the caller, e.g the item
	// passed to `provideCallHierarchyOutgoingCalls`
	// and not `this.to`.
	FromRanges []Range `json:"fromRanges"`
}

// Since: 3.16.0
type SemanticTokensParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`
}

// Since: 3.16.0
type SemanticTokens struct {
	// An optional result id. If provided and clients support delta updating
	// the client will include the result id in the next semantic token request.
	// A server can then instead of computing all semantic tokens again simply
	// send a delta.
	ResultId *string `json:"resultId,omitempty"`

	// The actual tokens.
	Data []uint32 `json:"data"`
}

// Since: 3.16.0
type SemanticTokensPartialResult struct {
	Data []uint32 `json:"data"`
}

// Since: 3.16.0
type SemanticTokensRegistrationOptions struct {
	TextDocumentRegistrationOptions
	SemanticTokensOptions
	StaticRegistrationOptions
}

// Since: 3.16.0
type SemanticTokensDeltaParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The result id of a previous response. The result Id can either point to a full response
	// or a delta response depending on what was received last.
	PreviousResultId string `json:"previousResultId"`
}

// Since: 3.16.0
type SemanticTokensDelta struct {
	ResultId *string `json:"resultId,omitempty"`

	// The semantic token edits to transform a previous result into a new result.
	Edits []SemanticTokensEdit `json:"edits"`
}

// Since: 3.16.0
type SemanticTokensDeltaPartialResult struct {
	Edits []SemanticTokensEdit `json:"edits"`
}

// Since: 3.16.0
type SemanticTokensRangeParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The range the semantic tokens are requested for.
	Range Range `json:"range"`
}

// Params to show a resource in the UI.
//
// Since: 3.16.0
type ShowDocumentParams struct {
	// The uri to show.
	Uri URI `json:"uri"`

	// Indicates to show the resource in an external program.
	// To show, for example, `https://code.visualstudio.com/`
	// in the default WEB browser set `external` to `true`.
	External *bool `json:"external,omitempty"`

	// An optional property to indicate whether the editor
	// showing the document should take focus or not.
	// Clients might ignore this property if an external
	// program is started.
	TakeFocus *bool `json:"takeFocus,omitempty"`

	// An optional selection range if the document is a text
	// document. Clients might ignore the property if an
	// external program is started or the file is not a text
	// file.
	Selection *Range `json:"selection,omitempty"`
}

// The result of a showDocument request.
//
// Since: 3.16.0
type ShowDocumentResult struct {
	// A boolean indicating if the show was successful.
	Success bool `json:"success"`
}

type LinkedEditingRangeParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
}

// The result of a linked editing range request.
//
// Since: 3.16.0
type LinkedEditingRanges struct {
	// A list of ranges that can be edited together. The ranges must have
	// identical length and contain identical text content. The ranges cannot overlap.
	Ranges []Range `json:"ranges"`

	// An optional word pattern (regular expression) that describes valid contents for
	// the given ranges. If no pattern is provided, the client configuration's word
	// pattern will be used.
	WordPattern *string `json:"wordPattern,omitempty"`
}

type LinkedEditingRangeRegistrationOptions struct {
	TextDocumentRegistrationOptions
	LinkedEditingRangeOptions
	StaticRegistrationOptions
}

// The parameters sent in notifications/requests for user-initiated creation of
// files.
//
// Since: 3.16.0
type CreateFilesParams struct {
	// An array of all files/folders created in this operation.
	Files []FileCreate `json:"files"`
}

// A workspace edit represents changes to many resources managed in the workspace. The edit
// should either provide `changes` or `documentChanges`. If documentChanges are present
// they are preferred over `changes` if the client can handle versioned document edits.
//
// Since version 3.13.0 a workspace edit can contain resource operations as well. If resource
// operations are present clients need to execute the operations in the order in which they
// are provided. So a workspace edit for example can consist of the following two changes:
// (1) a create file a.txt and (2) a text document edit which insert text into file a.txt.
//
// An invalid sequence (e.g. (1) delete file a.txt and (2) insert text into file a.txt) will
// cause failure of the operation. How the client recovers from the failure is described by
// the client capability: `workspace.workspaceEdit.failureHandling`
type WorkspaceEdit struct {
	// Holds changes to existing resources.
	Changes *map[DocumentUri][]TextEdit `json:"changes,omitempty"`

	// Depending on the client capability `workspace.workspaceEdit.resourceOperations` document changes
	// are either an array of `TextDocumentEdit`s to express changes to n different text documents
	// where each text document edit addresses a specific version of a text document. Or it can contain
	// above `TextDocumentEdit`s mixed with create, rename and delete file / folder operations.
	//
	// Whether a client supports versioned document edits is expressed via
	// `workspace.workspaceEdit.documentChanges` client capability.
	//
	// If a client neither supports `documentChanges` nor `workspace.workspaceEdit.resourceOperations` then
	// only plain `TextEdit`s using the `changes` property are supported.
	DocumentChanges *[]TextDocumentEditOrCreateFileOrRenameFileOrDeleteFile `json:"documentChanges,omitempty"`

	// A map of change annotations that can be referenced in `AnnotatedTextEdit`s or create, rename and
	// delete file / folder operations.
	//
	// Whether clients honor this property depends on the client capability `workspace.changeAnnotationSupport`.
	//
	// Since: 3.16.0
	ChangeAnnotations *map[ChangeAnnotationIdentifier]ChangeAnnotation `json:"changeAnnotations,omitempty"`
}

// The options to register for file operations.
//
// Since: 3.16.0
type FileOperationRegistrationOptions struct {
	// The actual filters.
	Filters []FileOperationFilter `json:"filters"`
}

// The parameters sent in notifications/requests for user-initiated renames of
// files.
//
// Since: 3.16.0
type RenameFilesParams struct {
	// An array of all files/folders renamed in this operation. When a folder is renamed, only
	// the folder will be included, and not its children.
	Files []FileRename `json:"files"`
}

// The parameters sent in notifications/requests for user-initiated deletes of
// files.
//
// Since: 3.16.0
type DeleteFilesParams struct {
	// An array of all files/folders deleted in this operation.
	Files []FileDelete `json:"files"`
}

type MonikerParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
	PartialResultParams
}

// Moniker definition to match LSIF 0.5 moniker definition.
//
// Since: 3.16.0
type Moniker struct {
	// The scheme of the moniker. For example tsc or .Net
	Scheme string `json:"scheme"`

	// The identifier of the moniker. The value is opaque in LSIF however
	// schema owners are allowed to define the structure if they want.
	Identifier string `json:"identifier"`

	// The scope in which the moniker is unique
	Unique UniquenessLevel `json:"unique"`

	// The moniker kind if known.
	Kind *MonikerKind `json:"kind,omitempty"`
}

type MonikerRegistrationOptions struct {
	TextDocumentRegistrationOptions
	MonikerOptions
}

// The parameter of a `textDocument/prepareTypeHierarchy` request.
//
// Since: 3.17.0
type TypeHierarchyPrepareParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
}

// Since: 3.17.0
type TypeHierarchyItem struct {
	// The name of this item.
	Name string `json:"name"`

	// The kind of this item.
	Kind SymbolKind `json:"kind"`

	// Tags for this item.
	Tags *[]SymbolTag `json:"tags,omitempty"`

	// More detail for this item, e.g. the signature of a function.
	Detail *string `json:"detail,omitempty"`

	// The resource identifier of this item.
	Uri DocumentUri `json:"uri"`

	// The range enclosing this symbol not including leading/trailing whitespace
	// but everything else, e.g. comments and code.
	Range Range `json:"range"`

	// The range that should be selected and revealed when this symbol is being
	// picked, e.g. the name of a function. Must be contained by the
	// `range`.
	SelectionRange Range `json:"selectionRange"`

	// A data entry field that is preserved between a type hierarchy prepare and
	// supertypes or subtypes requests. It could also be used to identify the
	// type hierarchy in the server, helping improve the performance on
	// resolving supertypes and subtypes.
	Data *LSPAny `json:"data,omitempty"`
}

// Type hierarchy options used during static or dynamic registration.
//
// Since: 3.17.0
type TypeHierarchyRegistrationOptions struct {
	TextDocumentRegistrationOptions
	TypeHierarchyOptions
	StaticRegistrationOptions
}

// The parameter of a `typeHierarchy/supertypes` request.
//
// Since: 3.17.0
type TypeHierarchySupertypesParams struct {
	WorkDoneProgressParams
	PartialResultParams

	Item TypeHierarchyItem `json:"item"`
}

// The parameter of a `typeHierarchy/subtypes` request.
//
// Since: 3.17.0
type TypeHierarchySubtypesParams struct {
	WorkDoneProgressParams
	PartialResultParams

	Item TypeHierarchyItem `json:"item"`
}

// A parameter literal used in inline value requests.
//
// Since: 3.17.0
type InlineValueParams struct {
	WorkDoneProgressParams

	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The document range for which inline values should be computed.
	Range Range `json:"range"`

	// Additional information about the context in which inline values were
	// requested.
	Context InlineValueContext `json:"context"`
}

// Inline value options used during static or dynamic registration.
//
// Since: 3.17.0
type InlineValueRegistrationOptions struct {
	InlineValueOptions
	TextDocumentRegistrationOptions
	StaticRegistrationOptions
}

// A parameter literal used in inlay hint requests.
//
// Since: 3.17.0
type InlayHintParams struct {
	WorkDoneProgressParams

	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The document range for which inlay hints should be computed.
	Range Range `json:"range"`
}

// Inlay hint information.
//
// Since: 3.17.0
type InlayHint struct {
	// The position of this hint.
	//
	// If multiple hints have the same position, they will be shown in the order
	// they appear in the response.
	Position Position `json:"position"`

	// The label of this hint. A human readable string or an array of
	// InlayHintLabelPart label parts.
	//
	// *Note* that neither the string nor the label part can be empty.
	Label StringOrInlayHintLabelParts `json:"label,omitempty"`

	// The kind of this hint. Can be omitted in which case the client
	// should fall back to a reasonable default.
	Kind *InlayHintKind `json:"kind,omitempty"`

	// Optional text edits that are performed when accepting this inlay hint.
	//
	// *Note* that edits are expected to change the document so that the inlay
	// hint (or its nearest variant) is now part of the document and the inlay
	// hint itself is now obsolete.
	TextEdits *[]TextEdit `json:"textEdits,omitempty"`

	// The tooltip text when you hover over this item.
	Tooltip *StringOrMarkupContent `json:"tooltip,omitempty"`

	// Render padding before the hint.
	//
	// Note: Padding should use the editor's background color, not the
	// background color of the hint itself. That means padding can be used
	// to visually align/separate an inlay hint.
	PaddingLeft *bool `json:"paddingLeft,omitempty"`

	// Render padding after the hint.
	//
	// Note: Padding should use the editor's background color, not the
	// background color of the hint itself. That means padding can be used
	// to visually align/separate an inlay hint.
	PaddingRight *bool `json:"paddingRight,omitempty"`

	// A data entry field that is preserved on an inlay hint between
	// a `textDocument/inlayHint` and a `inlayHint/resolve` request.
	Data *LSPAny `json:"data,omitempty"`
}

// Inlay hint options used during static or dynamic registration.
//
// Since: 3.17.0
type InlayHintRegistrationOptions struct {
	InlayHintOptions
	TextDocumentRegistrationOptions
	StaticRegistrationOptions
}

// Parameters of the document diagnostic request.
//
// Since: 3.17.0
type DocumentDiagnosticParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The additional identifier provided during registration.
	Identifier *string `json:"identifier,omitempty"`

	// The result id of a previous response if provided.
	PreviousResultId *string `json:"previousResultId,omitempty"`
}

// A partial result for a document diagnostic report.
//
// Since: 3.17.0
type DocumentDiagnosticReportPartialResult struct {
	RelatedDocuments map[DocumentUri]FullDocumentDiagnosticReportOrUnchangedDocumentDiagnosticReport `json:"relatedDocuments"`
}

// Cancellation data returned from a diagnostic request.
//
// Since: 3.17.0
type DiagnosticServerCancellationData struct {
	RetriggerRequest bool `json:"retriggerRequest"`
}

// Diagnostic registration options.
//
// Since: 3.17.0
type DiagnosticRegistrationOptions struct {
	TextDocumentRegistrationOptions
	DiagnosticOptions
	StaticRegistrationOptions
}

// Parameters of the workspace diagnostic request.
//
// Since: 3.17.0
type WorkspaceDiagnosticParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The additional identifier provided during registration.
	Identifier *string `json:"identifier,omitempty"`

	// The currently known diagnostic reports with their
	// previous result ids.
	PreviousResultIds []PreviousResultId `json:"previousResultIds"`
}

// A workspace diagnostic report.
//
// Since: 3.17.0
type WorkspaceDiagnosticReport struct {
	Items []WorkspaceDocumentDiagnosticReport `json:"items"`
}

// A partial result for a workspace diagnostic report.
//
// Since: 3.17.0
type WorkspaceDiagnosticReportPartialResult struct {
	Items []WorkspaceDocumentDiagnosticReport `json:"items"`
}

// The params sent in an open notebook document notification.
//
// Since: 3.17.0
type DidOpenNotebookDocumentParams struct {
	// The notebook document that got opened.
	NotebookDocument NotebookDocument `json:"notebookDocument"`

	// The text documents that represent the content
	// of a notebook cell.
	CellTextDocuments []TextDocumentItem `json:"cellTextDocuments"`
}

// Registration options specific to a notebook.
//
// Since: 3.17.0
type NotebookDocumentSyncRegistrationOptions struct {
	NotebookDocumentSyncOptions
	StaticRegistrationOptions
}

// The params sent in a change notebook document notification.
//
// Since: 3.17.0
type DidChangeNotebookDocumentParams struct {
	// The notebook document that did change. The version number points
	// to the version after all provided changes have been applied. If
	// only the text document content of a cell changes the notebook version
	// doesn't necessarily have to change.
	NotebookDocument VersionedNotebookDocumentIdentifier `json:"notebookDocument"`

	// The actual changes to the notebook document.
	//
	// The changes describe single state changes to the notebook document.
	// So if there are two changes c1 (at array index 0) and c2 (at array
	// index 1) for a notebook in state S then c1 moves the notebook from
	// S to S' and c2 from S' to S”. So c1 is computed on the state S and
	// c2 is computed on the state S'.
	//
	// To mirror the content of a notebook using change events use the following approach:
	//   - start with the same initial content
	//   - apply the 'notebookDocument/didChange' notifications in the order you receive them.
	//   - apply the `NotebookChangeEvent`s in a single notification in the order
	//     you receive them.
	Change NotebookDocumentChangeEvent `json:"change"`
}

// The params sent in a save notebook document notification.
//
// Since: 3.17.0
type DidSaveNotebookDocumentParams struct {
	// The notebook document that got saved.
	NotebookDocument NotebookDocumentIdentifier `json:"notebookDocument"`
}

// The params sent in a close notebook document notification.
//
// Since: 3.17.0
type DidCloseNotebookDocumentParams struct {
	// The notebook document that got closed.
	NotebookDocument NotebookDocumentIdentifier `json:"notebookDocument"`

	// The text documents that represent the content
	// of a notebook cell that got closed.
	CellTextDocuments []TextDocumentIdentifier `json:"cellTextDocuments"`
}

// A parameter literal used in inline completion requests.
//
// Since: 3.18.0
//
// Proposed.
type InlineCompletionParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams

	// Additional information about the context in which inline completions were
	// requested.
	Context InlineCompletionContext `json:"context"`
}

// Represents a collection of items to be presented in the editor.
//
// Since: 3.18.0
//
// Proposed.
type InlineCompletionList struct {
	// The inline completion items
	Items []InlineCompletionItem `json:"items"`
}

// An inline completion item represents a text snippet that is proposed inline to complete text that is being typed.
//
// Since: 3.18.0
//
// Proposed.
type InlineCompletionItem struct {
	// The text to replace the range with. Must be set.
	InsertText StringOrStringValue `json:"insertText,omitempty"`

	// A text that is used to decide if this inline completion should be shown. When `falsy` the InlineCompletionItem.insertText is used.
	FilterText *string `json:"filterText,omitempty"`

	// The range to replace. Must begin and end on the same line.
	Range *Range `json:"range,omitempty"`

	// An optional Command that is executed *after* inserting this completion.
	Command *Command `json:"command,omitempty"`
}

// Inline completion options used during static or dynamic registration.
//
// Since: 3.18.0
//
// Proposed.
type InlineCompletionRegistrationOptions struct {
	InlineCompletionOptions
	TextDocumentRegistrationOptions
	StaticRegistrationOptions
}

// Parameters for the `workspace/textDocumentContent` request.
//
// Since: 3.18.0
//
// Proposed.
type TextDocumentContentParams struct {
	// The uri of the text document.
	Uri DocumentUri `json:"uri"`
}

// Result of the `workspace/textDocumentContent` request.
//
// Since: 3.18.0
//
// Proposed.
type TextDocumentContentResult struct {
	// The text content of the text document. Please note, that the content of
	// any subsequent open notifications for the text document might differ
	// from the returned content due to whitespace and line ending
	// normalizations done on the client
	Text string `json:"text"`
}

// Text document content provider registration options.
//
// Since: 3.18.0
//
// Proposed.
type TextDocumentContentRegistrationOptions struct {
	TextDocumentContentOptions
	StaticRegistrationOptions
}

// Parameters for the `workspace/textDocumentContent/refresh` request.
//
// Since: 3.18.0
//
// Proposed.
type TextDocumentContentRefreshParams struct {
	// The uri of the text document to refresh.
	Uri DocumentUri `json:"uri"`
}

type RegistrationParams struct {
	Registrations []Registration `json:"registrations"`
}

type UnregistrationParams struct {
	Unregisterations []Unregistration `json:"unregisterations"`
}

type InitializeParams struct {
	_InitializeParams
	WorkspaceFoldersInitializeParams
}

// The result returned from an initialize request.
type InitializeResult struct {
	// The capabilities the language server provides.
	Capabilities ServerCapabilities `json:"capabilities"`

	// Information about the server.
	//
	// Since: 3.15.0
	ServerInfo *ServerInfo `json:"serverInfo,omitempty"`
}

// The data type of the ResponseError if the
// initialize request fails.
type InitializeError struct {
	// Indicates whether the client execute the following retry logic:
	// (1) show the message provided by the ResponseError to the user
	// (2) user selects retry or cancel
	// (3) if user selected retry the initialize method is sent again.
	Retry bool `json:"retry"`
}

type InitializedParams struct {
}

// The parameters of a change configuration notification.
type DidChangeConfigurationParams struct {
	// The actual changed settings
	Settings LSPAny `json:"settings"`
}

type DidChangeConfigurationRegistrationOptions struct {
	Section *StringOrStrings `json:"section,omitempty"`
}

// The parameters of a notification message.
type ShowMessageParams struct {
	// The message type. See MessageType
	Type MessageType `json:"type"`

	// The actual message.
	Message string `json:"message"`
}

type ShowMessageRequestParams struct {
	// The message type. See MessageType
	Type MessageType `json:"type"`

	// The actual message.
	Message string `json:"message"`

	// The message action items to present.
	Actions *[]MessageActionItem `json:"actions,omitempty"`
}

type MessageActionItem struct {
	// A short title like 'Retry', 'Open Log' etc.
	Title string `json:"title"`
}

// The log message parameters.
type LogMessageParams struct {
	// The message type. See MessageType
	Type MessageType `json:"type"`

	// The actual message.
	Message string `json:"message"`
}

// The parameters sent in an open text document notification
type DidOpenTextDocumentParams struct {
	// The document that was opened.
	TextDocument TextDocumentItem `json:"textDocument"`
}

// The change text document notification's parameters.
type DidChangeTextDocumentParams struct {
	// The document that did change. The version number points
	// to the version after all provided content changes have
	// been applied.
	TextDocument VersionedTextDocumentIdentifier `json:"textDocument"`

	// The actual content changes. The content changes describe single state changes
	// to the document. So if there are two content changes c1 (at array index 0) and
	// c2 (at array index 1) for a document in state S then c1 moves the document from
	// S to S' and c2 from S' to S”. So c1 is computed on the state S and c2 is computed
	// on the state S'.
	//
	// To mirror the content of a document using change events use the following approach:
	//   - start with the same initial content
	//   - apply the 'textDocument/didChange' notifications in the order you receive them.
	//   - apply the `TextDocumentContentChangeEvent`s in a single notification in the order
	//     you receive them.
	ContentChanges []TextDocumentContentChangeEvent `json:"contentChanges"`
}

// Describe options to be used when registered for text document change events.
type TextDocumentChangeRegistrationOptions struct {
	TextDocumentRegistrationOptions

	// How documents are synced to the server.
	SyncKind TextDocumentSyncKind `json:"syncKind"`
}

// The parameters sent in a close text document notification
type DidCloseTextDocumentParams struct {
	// The document that was closed.
	TextDocument TextDocumentIdentifier `json:"textDocument"`
}

// The parameters sent in a save text document notification
type DidSaveTextDocumentParams struct {
	// The document that was saved.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// Optional the content when saved. Depends on the includeText value
	// when the save notification was requested.
	Text *string `json:"text,omitempty"`
}

// Save registration options.
type TextDocumentSaveRegistrationOptions struct {
	TextDocumentRegistrationOptions
	SaveOptions
}

// The parameters sent in a will save text document notification.
type WillSaveTextDocumentParams struct {
	// The document that will be saved.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The 'TextDocumentSaveReason'.
	Reason TextDocumentSaveReason `json:"reason"`
}

// A text edit applicable to a text document.
type TextEdit struct {
	// The range of the text document to be manipulated. To insert
	// text into a document create a range where start === end.
	Range Range `json:"range"`

	// The string to be inserted. For delete operations use an
	// empty string.
	NewText string `json:"newText"`
}

// The watched files change notification's parameters.
type DidChangeWatchedFilesParams struct {
	// The actual file events.
	Changes []FileEvent `json:"changes"`
}

// Describe options to be used when registered for text document change events.
type DidChangeWatchedFilesRegistrationOptions struct {
	// The watchers to register.
	Watchers []FileSystemWatcher `json:"watchers"`
}

// The publish diagnostic notification's parameters.
type PublishDiagnosticsParams struct {
	// The URI for which diagnostic information is reported.
	Uri DocumentUri `json:"uri"`

	// Optional the version number of the document the diagnostics are published for.
	//
	// Since: 3.15.0
	Version *int32 `json:"version,omitempty"`

	// An array of diagnostic information items.
	Diagnostics []Diagnostic `json:"diagnostics"`
}

// Completion parameters
type CompletionParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
	PartialResultParams

	// The completion context. This is only available it the client specifies
	// to send this using the client capability `textDocument.completion.contextSupport === true`
	Context *CompletionContext `json:"context,omitempty"`
}

// A completion item represents a text snippet that is
// proposed to complete text that is being typed.
type CompletionItem struct {
	// The label of this completion item.
	//
	// The label property is also by default the text that
	// is inserted when selecting this completion.
	//
	// If label details are provided the label itself should
	// be an unqualified name of the completion item.
	Label string `json:"label"`

	// Additional details for the label
	//
	// Since: 3.17.0
	LabelDetails *CompletionItemLabelDetails `json:"labelDetails,omitempty"`

	// The kind of this completion item. Based of the kind
	// an icon is chosen by the editor.
	Kind *CompletionItemKind `json:"kind,omitempty"`

	// Tags for this completion item.
	//
	// Since: 3.15.0
	Tags *[]CompletionItemTag `json:"tags,omitempty"`

	// A human-readable string with additional information
	// about this item, like type or symbol information.
	Detail *string `json:"detail,omitempty"`

	// A human-readable string that represents a doc-comment.
	Documentation *StringOrMarkupContent `json:"documentation,omitempty"`

	// Indicates if this item is deprecated.
	//
	// Deprecated: Use `tags` instead.
	Deprecated *bool `json:"deprecated,omitempty"`

	// Select this item when showing.
	//
	// *Note* that only one completion item can be selected and that the
	// tool / client decides which item that is. The rule is that the *first*
	// item of those that match best is selected.
	Preselect *bool `json:"preselect,omitempty"`

	// A string that should be used when comparing this item
	// with other items. When `falsy` the label
	// is used.
	SortText *string `json:"sortText,omitempty"`

	// A string that should be used when filtering a set of
	// completion items. When `falsy` the label
	// is used.
	FilterText *string `json:"filterText,omitempty"`

	// A string that should be inserted into a document when selecting
	// this completion. When `falsy` the label
	// is used.
	//
	// The `insertText` is subject to interpretation by the client side.
	// Some tools might not take the string literally. For example
	// VS Code when code complete is requested in this example
	// `con<cursor position>` and a completion item with an `insertText` of
	// `console` is provided it will only insert `sole`. Therefore it is
	// recommended to use `textEdit` instead since it avoids additional client
	// side interpretation.
	InsertText *string `json:"insertText,omitempty"`

	// The format of the insert text. The format applies to both the
	// `insertText` property and the `newText` property of a provided
	// `textEdit`. If omitted defaults to `InsertTextFormat.PlainText`.
	//
	// Please note that the insertTextFormat doesn't apply to
	// `additionalTextEdits`.
	InsertTextFormat *InsertTextFormat `json:"insertTextFormat,omitempty"`

	// How whitespace and indentation is handled during completion
	// item insertion. If not provided the clients default value depends on
	// the `textDocument.completion.insertTextMode` client capability.
	//
	// Since: 3.16.0
	InsertTextMode *InsertTextMode `json:"insertTextMode,omitempty"`

	// An edit which is applied to a document when selecting
	// this completion. When an edit is provided the value of
	// insertText is ignored.
	//
	// Most editors support two different operations when accepting a completion
	// item. One is to insert a completion text and the other is to replace an
	// existing text with a completion text. Since this can usually not be
	// predetermined by a server it can report both ranges. Clients need to
	// signal support for `InsertReplaceEdits` via the
	// `textDocument.completion.insertReplaceSupport` client capability
	// property.
	//
	// *Note 1:* The text edit's range as well as both ranges from an insert
	// replace edit must be a [single line] and they must contain the position
	// at which completion has been requested.
	// *Note 2:* If an `InsertReplaceEdit` is returned the edit's insert range
	// must be a prefix of the edit's replace range, that means it must be
	// contained and starting at the same position.
	//
	// Since: 3.16.0 additional type `InsertReplaceEdit`
	TextEdit *TextEditOrInsertReplaceEdit `json:"textEdit,omitempty"`

	// The edit text used if the completion item is part of a CompletionList and
	// CompletionList defines an item default for the text edit range.
	//
	// Clients will only honor this property if they opt into completion list
	// item defaults using the capability `completionList.itemDefaults`.
	//
	// If not provided and a list's default range is provided the label
	// property is used as a text.
	//
	// Since: 3.17.0
	TextEditText *string `json:"textEditText,omitempty"`

	// An optional array of additional edits that are applied when
	// selecting this completion. Edits must not overlap (including the same insert position)
	// with the main edit nor with themselves.
	//
	// Additional text edits should be used to change text unrelated to the current cursor position
	// (for example adding an import statement at the top of the file if the completion item will
	// insert an unqualified type).
	AdditionalTextEdits *[]TextEdit `json:"additionalTextEdits,omitempty"`

	// An optional set of characters that when pressed while this completion is active will accept it first and
	// then type that character. *Note* that all commit characters should have `length=1` and that superfluous
	// characters will be ignored.
	CommitCharacters *[]string `json:"commitCharacters,omitempty"`

	// An optional command that is executed *after* inserting this completion. *Note* that
	// additional modifications to the current document should be described with the
	// additionalTextEdits-property.
	Command *Command `json:"command,omitempty"`

	// A data entry field that is preserved on a completion item between a
	// CompletionRequest and a CompletionResolveRequest.
	Data *LSPAny `json:"data,omitempty"`
}

// Represents a collection of items to be presented
// in the editor.
type CompletionList struct {
	// This list it not complete. Further typing results in recomputing this list.
	//
	// Recomputed lists have all their items replaced (not appended) in the
	// incomplete completion sessions.
	IsIncomplete bool `json:"isIncomplete"`

	// In many cases the items of an actual completion result share the same
	// value for properties like `commitCharacters` or the range of a text
	// edit. A completion list can therefore define item defaults which will
	// be used if a completion item itself doesn't specify the value.
	//
	// If a completion list specifies a default value and a completion item
	// also specifies a corresponding value, the rules for combining these are
	// defined by `applyKinds` (if the client supports it), defaulting to
	// ApplyKind.Replace.
	//
	// Servers are only allowed to return default values if the client
	// signals support for this via the `completionList.itemDefaults`
	// capability.
	//
	// Since: 3.17.0
	ItemDefaults *CompletionItemDefaults `json:"itemDefaults,omitempty"`

	// Specifies how fields from a completion item should be combined with those
	// from `completionList.itemDefaults`.
	//
	// If unspecified, all fields will be treated as ApplyKind.Replace.
	//
	// If a field's value is ApplyKind.Replace, the value from a completion item
	// (if provided and not `null`) will always be used instead of the value
	// from `completionItem.itemDefaults`.
	//
	// If a field's value is ApplyKind.Merge, the values will be merged using
	// the rules defined against each field below.
	//
	// Servers are only allowed to return `applyKind` if the client
	// signals support for this via the `completionList.applyKindSupport`
	// capability.
	//
	// Since: 3.18.0
	ApplyKind *CompletionItemApplyKinds `json:"applyKind,omitempty"`

	// The completion items.
	Items []CompletionItem `json:"items"`
}

// Registration options for a CompletionRequest.
type CompletionRegistrationOptions struct {
	TextDocumentRegistrationOptions
	CompletionOptions
}

// Parameters for a HoverRequest.
type HoverParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
}

// The result of a hover request.
type Hover struct {
	// The hover's content
	Contents MarkupContentOrMarkedStringOrMarkedStrings `json:"contents,omitempty"`

	// An optional range inside the text document that is used to
	// visualize the hover, e.g. by changing the background color.
	Range *Range `json:"range,omitempty"`
}

// Registration options for a HoverRequest.
type HoverRegistrationOptions struct {
	TextDocumentRegistrationOptions
	HoverOptions
}

// Parameters for a SignatureHelpRequest.
type SignatureHelpParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams

	// The signature help context. This is only available if the client specifies
	// to send this using the client capability `textDocument.signatureHelp.contextSupport === true`
	//
	// Since: 3.15.0
	Context *SignatureHelpContext `json:"context,omitempty"`
}

// Signature help represents the signature of something
// callable. There can be multiple signature but only one
// active and only one active parameter.
type SignatureHelp struct {
	// One or more signatures.
	Signatures []SignatureInformation `json:"signatures"`

	// The active signature. If omitted or the value lies outside the
	// range of `signatures` the value defaults to zero or is ignored if
	// the `SignatureHelp` has no signatures.
	//
	// Whenever possible implementors should make an active decision about
	// the active signature and shouldn't rely on a default value.
	//
	// In future version of the protocol this property might become
	// mandatory to better express this.
	ActiveSignature *uint32 `json:"activeSignature,omitempty"`

	// The active parameter of the active signature.
	//
	// If `null`, no parameter of the signature is active (for example a named
	// argument that does not match any declared parameters). This is only valid
	// if the client specifies the client capability
	// `textDocument.signatureHelp.noActiveParameterSupport === true`
	//
	// If omitted or the value lies outside the range of
	// `signatures[activeSignature].parameters` defaults to 0 if the active
	// signature has parameters.
	//
	// If the active signature has no parameters it is ignored.
	//
	// In future version of the protocol this property might become
	// mandatory (but still nullable) to better express the active parameter if
	// the active signature does have any.
	ActiveParameter *Nullable[uint32] `json:"activeParameter,omitempty"`
}

// Registration options for a SignatureHelpRequest.
type SignatureHelpRegistrationOptions struct {
	TextDocumentRegistrationOptions
	SignatureHelpOptions
}

// Parameters for a DefinitionRequest.
type DefinitionParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
	PartialResultParams
}

// Registration options for a DefinitionRequest.
type DefinitionRegistrationOptions struct {
	TextDocumentRegistrationOptions
	DefinitionOptions
}

// Parameters for a ReferencesRequest.
type ReferenceParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
	PartialResultParams

	Context ReferenceContext `json:"context"`
}

// Registration options for a ReferencesRequest.
type ReferenceRegistrationOptions struct {
	TextDocumentRegistrationOptions
	ReferenceOptions
}

// Parameters for a DocumentHighlightRequest.
type DocumentHighlightParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
	PartialResultParams
}

// A document highlight is a range inside a text document which deserves
// special attention. Usually a document highlight is visualized by changing
// the background color of its range.
type DocumentHighlight struct {
	// The range this highlight applies to.
	Range Range `json:"range"`

	// The highlight kind, default is text.
	Kind *DocumentHighlightKind `json:"kind,omitempty"`
}

// Registration options for a DocumentHighlightRequest.
type DocumentHighlightRegistrationOptions struct {
	TextDocumentRegistrationOptions
	DocumentHighlightOptions
}

// Parameters for a DocumentSymbolRequest.
type DocumentSymbolParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`
}

// Represents information about programming constructs like variables, classes,
// interfaces etc.
type SymbolInformation struct {
	BaseSymbolInformation

	// Indicates if this symbol is deprecated.
	//
	// Deprecated: Use tags instead
	Deprecated *bool `json:"deprecated,omitempty"`

	// The location of this symbol. The location's range is used by a tool
	// to reveal the location in the editor. If the symbol is selected in the
	// tool the range's start information is used to position the cursor. So
	// the range usually spans more than the actual symbol's name and does
	// normally include things like visibility modifiers.
	//
	// The range doesn't have to denote a node range in the sense of an abstract
	// syntax tree. It can therefore not be used to re-construct a hierarchy of
	// the symbols.
	Location Location `json:"location"`
}

// Represents programming constructs like variables, classes, interfaces etc.
// that appear in a document. Document symbols can be hierarchical and they
// have two ranges: one that encloses its definition and one that points to
// its most interesting range, e.g. the range of an identifier.
type DocumentSymbol struct {
	// The name of this symbol. Will be displayed in the user interface and therefore must not be
	// an empty string or a string only consisting of white spaces.
	Name string `json:"name"`

	// More detail for this symbol, e.g the signature of a function.
	Detail *string `json:"detail,omitempty"`

	// The kind of this symbol.
	Kind SymbolKind `json:"kind"`

	// Tags for this document symbol.
	//
	// Since: 3.16.0
	Tags *[]SymbolTag `json:"tags,omitempty"`

	// Indicates if this symbol is deprecated.
	//
	// Deprecated: Use tags instead
	Deprecated *bool `json:"deprecated,omitempty"`

	// The range enclosing this symbol not including leading/trailing whitespace but everything else
	// like comments. This information is typically used to determine if the clients cursor is
	// inside the symbol to reveal in the symbol in the UI.
	Range Range `json:"range"`

	// The range that should be selected and revealed when this symbol is being picked, e.g the name of a function.
	// Must be contained by the `range`.
	SelectionRange Range `json:"selectionRange"`

	// Children of this symbol, e.g. properties of a class.
	Children *[]DocumentSymbol `json:"children,omitempty"`
}

// Registration options for a DocumentSymbolRequest.
type DocumentSymbolRegistrationOptions struct {
	TextDocumentRegistrationOptions
	DocumentSymbolOptions
}

// The parameters of a CodeActionRequest.
type CodeActionParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The document in which the command was invoked.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The range for which the command was invoked.
	Range Range `json:"range"`

	// Context carrying additional information.
	Context CodeActionContext `json:"context"`
}

// Represents a reference to a command. Provides a title which
// will be used to represent a command in the UI and, optionally,
// an array of arguments which will be passed to the command handler
// function when invoked.
type Command struct {
	// Title of the command, like `save`.
	Title string `json:"title"`

	// An optional tooltip.
	//
	// Since: 3.18.0
	//
	// Proposed.
	Tooltip *string `json:"tooltip,omitempty"`

	// The identifier of the actual command handler.
	Command string `json:"command"`

	// Arguments that the command handler should be
	// invoked with.
	Arguments *[]LSPAny `json:"arguments,omitempty"`
}

// A code action represents a change that can be performed in code, e.g. to fix a problem or
// to refactor code.
//
// A CodeAction must set either `edit` and/or a `command`. If both are supplied, the `edit` is applied first, then the `command` is executed.
type CodeAction struct {
	// A short, human-readable, title for this code action.
	Title string `json:"title"`

	// The kind of the code action.
	//
	// Used to filter code actions.
	Kind *CodeActionKind `json:"kind,omitempty"`

	// The diagnostics that this code action resolves.
	Diagnostics *[]Diagnostic `json:"diagnostics,omitempty"`

	// Marks this as a preferred action. Preferred actions are used by the `auto fix` command and can be targeted
	// by keybindings.
	//
	// A quick fix should be marked preferred if it properly addresses the underlying error.
	// A refactoring should be marked preferred if it is the most reasonable choice of actions to take.
	//
	// Since: 3.15.0
	IsPreferred *bool `json:"isPreferred,omitempty"`

	// Marks that the code action cannot currently be applied.
	//
	// Clients should follow the following guidelines regarding disabled code actions:
	//
	//   - Disabled code actions are not shown in automatic [lightbulbs](https://code.visualstudio.com/docs/editor/editingevolved#_code-action)
	//     code action menus.
	//
	//   - Disabled actions are shown as faded out in the code action menu when the user requests a more specific type
	//     of code action, such as refactorings.
	//
	//   - If the user has a [keybinding](https://code.visualstudio.com/docs/editor/refactoring#_keybindings-for-code-actions)
	//     that auto applies a code action and only disabled code actions are returned, the client should show the user an
	//     error message with `reason` in the editor.
	//
	// Since: 3.16.0
	Disabled *CodeActionDisabled `json:"disabled,omitempty"`

	// The workspace edit this code action performs.
	Edit *WorkspaceEdit `json:"edit,omitempty"`

	// A command this code action executes. If a code action
	// provides an edit and a command, first the edit is
	// executed and then the command.
	Command *Command `json:"command,omitempty"`

	// A data entry field that is preserved on a code action between
	// a `textDocument/codeAction` and a `codeAction/resolve` request.
	//
	// Since: 3.16.0
	Data *LSPAny `json:"data,omitempty"`

	// Tags for this code action.
	//
	// Since: 3.18.0 - proposed
	Tags *[]CodeActionTag `json:"tags,omitempty"`
}

// Registration options for a CodeActionRequest.
type CodeActionRegistrationOptions struct {
	TextDocumentRegistrationOptions
	CodeActionOptions
}

// The parameters of a WorkspaceSymbolRequest.
type WorkspaceSymbolParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// A query string to filter symbols by. Clients may send an empty
	// string here to request all symbols.
	//
	// The `query`-parameter should be interpreted in a *relaxed way* as editors
	// will apply their own highlighting and scoring on the results. A good rule
	// of thumb is to match case-insensitive and to simply check that the
	// characters of *query* appear in their order in a candidate symbol.
	// Servers shouldn't use prefix, substring, or similar strict matching.
	Query string `json:"query"`
}

// A special workspace symbol that supports locations without a range.
//
// See also SymbolInformation.
//
// Since: 3.17.0
type WorkspaceSymbol struct {
	BaseSymbolInformation

	// The location of the symbol. Whether a server is allowed to
	// return a location without a range depends on the client
	// capability `workspace.symbol.resolveSupport`.
	//
	// See SymbolInformation#location for more details.
	Location LocationOrLocationUriOnly `json:"location,omitempty"`

	// A data entry field that is preserved on a workspace symbol between a
	// workspace symbol request and a workspace symbol resolve request.
	Data *LSPAny `json:"data,omitempty"`
}

// Registration options for a WorkspaceSymbolRequest.
type WorkspaceSymbolRegistrationOptions struct {
	WorkspaceSymbolOptions
}

// The parameters of a CodeLensRequest.
type CodeLensParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The document to request code lens for.
	TextDocument TextDocumentIdentifier `json:"textDocument"`
}

// A code lens represents a command that should be shown along with
// source text, like the number of references, a way to run tests, etc.
//
// A code lens is _unresolved_ when no command is associated to it. For performance
// reasons the creation of a code lens and resolving should be done in two stages.
type CodeLens struct {
	// The range in which this code lens is valid. Should only span a single line.
	Range Range `json:"range"`

	// The command this code lens represents.
	Command *Command `json:"command,omitempty"`

	// A data entry field that is preserved on a code lens item between
	// a CodeLensRequest and a CodeLensResolveRequest
	Data *LSPAny `json:"data,omitempty"`
}

// Registration options for a CodeLensRequest.
type CodeLensRegistrationOptions struct {
	TextDocumentRegistrationOptions
	CodeLensOptions
}

// The parameters of a DocumentLinkRequest.
type DocumentLinkParams struct {
	WorkDoneProgressParams
	PartialResultParams

	// The document to provide document links for.
	TextDocument TextDocumentIdentifier `json:"textDocument"`
}

// A document link is a range in a text document that links to an internal or external resource, like another
// text document or a web site.
type DocumentLink struct {
	// The range this link applies to.
	Range Range `json:"range"`

	// The uri this link points to. If missing a resolve request is sent later.
	Target *URI `json:"target,omitempty"`

	// The tooltip text when you hover over this link.
	//
	// If a tooltip is provided, is will be displayed in a string that includes instructions on how to
	// trigger the link, such as `{0} (ctrl + click)`. The specific instructions vary depending on OS,
	// user settings, and localization.
	//
	// Since: 3.15.0
	Tooltip *string `json:"tooltip,omitempty"`

	// A data entry field that is preserved on a document link between a
	// DocumentLinkRequest and a DocumentLinkResolveRequest.
	Data *LSPAny `json:"data,omitempty"`
}

// Registration options for a DocumentLinkRequest.
type DocumentLinkRegistrationOptions struct {
	TextDocumentRegistrationOptions
	DocumentLinkOptions
}

// The parameters of a DocumentFormattingRequest.
type DocumentFormattingParams struct {
	WorkDoneProgressParams

	// The document to format.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The format options.
	Options FormattingOptions `json:"options"`
}

// Registration options for a DocumentFormattingRequest.
type DocumentFormattingRegistrationOptions struct {
	TextDocumentRegistrationOptions
	DocumentFormattingOptions
}

// The parameters of a DocumentRangeFormattingRequest.
type DocumentRangeFormattingParams struct {
	WorkDoneProgressParams

	// The document to format.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The range to format
	Range Range `json:"range"`

	// The format options
	Options FormattingOptions `json:"options"`
}

// Registration options for a DocumentRangeFormattingRequest.
type DocumentRangeFormattingRegistrationOptions struct {
	TextDocumentRegistrationOptions
	DocumentRangeFormattingOptions
}

// The parameters of a DocumentRangesFormattingRequest.
//
// Since: 3.18.0
//
// Proposed.
type DocumentRangesFormattingParams struct {
	WorkDoneProgressParams

	// The document to format.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The ranges to format
	Ranges []Range `json:"ranges"`

	// The format options
	Options FormattingOptions `json:"options"`
}

// The parameters of a DocumentOnTypeFormattingRequest.
type DocumentOnTypeFormattingParams struct {
	// The document to format.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The position around which the on type formatting should happen.
	// This is not necessarily the exact position where the character denoted
	// by the property `ch` got typed.
	Position Position `json:"position"`

	// The character that has been typed that triggered the formatting
	// on type request. That is not necessarily the last character that
	// got inserted into the document since the client could auto insert
	// characters as well (e.g. like automatic brace completion).
	Ch string `json:"ch"`

	// The formatting options.
	Options FormattingOptions `json:"options"`
}

// Registration options for a DocumentOnTypeFormattingRequest.
type DocumentOnTypeFormattingRegistrationOptions struct {
	TextDocumentRegistrationOptions
	DocumentOnTypeFormattingOptions
}

// The parameters of a RenameRequest.
type RenameParams struct {
	WorkDoneProgressParams

	// The document to rename.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The position at which this request was sent.
	Position Position `json:"position"`

	// The new name of the symbol. If the given name is not valid the
	// request must return a ResponseError with an
	// appropriate message set.
	NewName string `json:"newName"`
}

// Registration options for a RenameRequest.
type RenameRegistrationOptions struct {
	TextDocumentRegistrationOptions
	RenameOptions
}

type PrepareRenameParams struct {
	TextDocumentPositionParams
	WorkDoneProgressParams
}

// The parameters of a ExecuteCommandRequest.
type ExecuteCommandParams struct {
	WorkDoneProgressParams

	// The identifier of the actual command handler.
	Command string `json:"command"`

	// Arguments that the command should be invoked with.
	Arguments *[]LSPAny `json:"arguments,omitempty"`
}

// Registration options for a ExecuteCommandRequest.
type ExecuteCommandRegistrationOptions struct {
	ExecuteCommandOptions
}

// The parameters passed via an apply workspace edit request.
type ApplyWorkspaceEditParams struct {
	// An optional label of the workspace edit. This label is
	// presented in the user interface for example on an undo
	// stack to undo the workspace edit.
	Label *string `json:"label,omitempty"`

	// The edits to apply.
	Edit WorkspaceEdit `json:"edit"`

	// Additional data about the edit.
	//
	// Since: 3.18.0
	//
	// Proposed.
	Metadata *WorkspaceEditMetadata `json:"metadata,omitempty"`
}

// The result returned from the apply workspace edit request.
//
// Since: 3.17 renamed from ApplyWorkspaceEditResponse
type ApplyWorkspaceEditResult struct {
	// Indicates whether the edit was applied or not.
	Applied bool `json:"applied"`

	// An optional textual description for why the edit was not applied.
	// This may be used by the server for diagnostic logging or to provide
	// a suitable error for a request that triggered the edit.
	FailureReason *string `json:"failureReason,omitempty"`

	// Depending on the client's failure handling strategy `failedChange` might
	// contain the index of the change that failed. This property is only available
	// if the client signals a `failureHandlingStrategy` in its client capabilities.
	FailedChange *uint32 `json:"failedChange,omitempty"`
}

type WorkDoneProgressBegin struct {
	Kind StringLiteralBegin `json:"kind"`

	// Mandatory title of the progress operation. Used to briefly inform about
	// the kind of operation being performed.
	//
	// Examples: "Indexing" or "Linking dependencies".
	Title string `json:"title"`

	// Controls if a cancel button should show to allow the user to cancel the
	// long running operation. Clients that don't support cancellation are allowed
	// to ignore the setting.
	Cancellable *bool `json:"cancellable,omitempty"`

	// Optional, more detailed associated progress message. Contains
	// complementary information to the `title`.
	//
	// Examples: "3/25 files", "project/src/module2", "node_modules/some_dep".
	// If unset, the previous progress message (if any) is still valid.
	Message *string `json:"message,omitempty"`

	// Optional progress percentage to display (value 100 is considered 100%).
	// If not provided infinite progress is assumed and clients are allowed
	// to ignore the `percentage` value in subsequent in report notifications.
	//
	// The value should be steadily rising. Clients are free to ignore values
	// that are not following this rule. The value range is [0, 100].
	Percentage *uint32 `json:"percentage,omitempty"`
}

type WorkDoneProgressReport struct {
	Kind StringLiteralReport `json:"kind"`

	// Controls enablement state of a cancel button.
	//
	// Clients that don't support cancellation or don't support controlling the button's
	// enablement state are allowed to ignore the property.
	Cancellable *bool `json:"cancellable,omitempty"`

	// Optional, more detailed associated progress message. Contains
	// complementary information to the `title`.
	//
	// Examples: "3/25 files", "project/src/module2", "node_modules/some_dep".
	// If unset, the previous progress message (if any) is still valid.
	Message *string `json:"message,omitempty"`

	// Optional progress percentage to display (value 100 is considered 100%).
	// If not provided infinite progress is assumed and clients are allowed
	// to ignore the `percentage` value in subsequent in report notifications.
	//
	// The value should be steadily rising. Clients are free to ignore values
	// that are not following this rule. The value range is [0, 100]
	Percentage *uint32 `json:"percentage,omitempty"`
}

type WorkDoneProgressEnd struct {
	Kind StringLiteralEnd `json:"kind"`

	// Optional, a final message indicating to for example indicate the outcome
	// of the operation.
	Message *string `json:"message,omitempty"`
}

type SetTraceParams struct {
	Value TraceValue `json:"value"`
}

type LogTraceParams struct {
	Message string `json:"message"`

	Verbose *string `json:"verbose,omitempty"`
}

type CancelParams struct {
	// The request id to cancel.
	Id IntegerOrString `json:"id,omitempty"`
}

type ProgressParams struct {
	// The progress token provided by the client or server.
	Token ProgressToken `json:"token"`

	// The progress data.
	Value LSPAny `json:"value"`
}

// A parameter literal used in requests to pass a text document and a position inside that
// document.
type TextDocumentPositionParams struct {
	// The text document.
	TextDocument TextDocumentIdentifier `json:"textDocument"`

	// The position inside the text document.
	Position Position `json:"position"`
}

type WorkDoneProgressParams struct {
	// An optional token that a server can use to report work done progress.
	WorkDoneToken *ProgressToken `json:"workDoneToken,omitempty"`
}

type PartialResultParams struct {
	// An optional token that a server can use to report partial results (e.g. streaming) to
	// the client.
	PartialResultToken *ProgressToken `json:"partialResultToken,omitempty"`
}

// Represents the connection of two locations. Provides additional metadata over normal locations,
// including an origin range.
type LocationLink struct {
	// Span of the origin of this link.
	//
	// Used as the underlined span for mouse interaction. Defaults to the word range at
	// the definition position.
	OriginSelectionRange *Range `json:"originSelectionRange,omitempty"`

	// The target resource identifier of this link.
	TargetUri DocumentUri `json:"targetUri"`

	// The full target range of this link. If the target for example is a symbol then target range is the
	// range enclosing this symbol not including leading/trailing whitespace but everything else
	// like comments. This information is typically used to highlight the range in the editor.
	TargetRange Range `json:"targetRange"`

	// The range that should be selected and revealed when this link is being followed, e.g the name of a function.
	// Must be contained by the `targetRange`. See also `DocumentSymbol#range`
	TargetSelectionRange Range `json:"targetSelectionRange"`
}

// A range in a text document expressed as (zero-based) start and end positions.
//
// If you want to specify a range that contains a line including the line ending
// character(s) then use an end position denoting the start of the next line.
// For example:
// ```ts
//
//	{
//	    start: { line: 5, character: 23 }
//	    end : { line 6, character : 0 }
//	}
//
// ```
type Range struct {
	// The range's start position.
	Start Position `json:"start"`

	// The range's end position.
	End Position `json:"end"`
}

type ImplementationOptions struct {
	WorkDoneProgressOptions
}

// Static registration options to be returned in the initialize
// request.
type StaticRegistrationOptions struct {
	// The id used to register the request. The id can be used to deregister
	// the request again. See also Registration#id.
	Id *string `json:"id,omitempty"`
}

type TypeDefinitionOptions struct {
	WorkDoneProgressOptions
}

// The workspace folder change event.
type WorkspaceFoldersChangeEvent struct {
	// The array of added workspace folders
	Added []WorkspaceFolder `json:"added"`

	// The array of the removed workspace folders
	Removed []WorkspaceFolder `json:"removed"`
}

type ConfigurationItem struct {
	// The scope to get the configuration section for.
	ScopeUri *URI `json:"scopeUri,omitempty"`

	// The configuration section asked for.
	Section *string `json:"section,omitempty"`
}

// A literal to identify a text document in the client.
type TextDocumentIdentifier struct {
	// The text document's uri.
	Uri DocumentUri `json:"uri"`
}

// Represents a color in RGBA space.
type Color struct {
	// The red component of this color in the range [0-1].
	Red float64 `json:"red"`

	// The green component of this color in the range [0-1].
	Green float64 `json:"green"`

	// The blue component of this color in the range [0-1].
	Blue float64 `json:"blue"`

	// The alpha component of this color in the range [0-1].
	Alpha float64 `json:"alpha"`
}

type DocumentColorOptions struct {
	WorkDoneProgressOptions
}

type FoldingRangeOptions struct {
	WorkDoneProgressOptions
}

type DeclarationOptions struct {
	WorkDoneProgressOptions
}

// Position in a text document expressed as zero-based line and character
// offset. Prior to 3.17 the offsets were always based on a UTF-16 string
// representation. So a string of the form `a𐐀b` the character offset of the
// character `a` is 0, the character offset of `𐐀` is 1 and the character
// offset of b is 3 since `𐐀` is represented using two code units in UTF-16.
// Since 3.17 clients and servers can agree on a different string encoding
// representation (e.g. UTF-8). The client announces it's supported encoding
// via the client capability [`general.positionEncodings`](https://microsoft.github.io/language-server-protocol/specifications/specification-current/#clientCapabilities).
// The value is an array of position encodings the client supports, with
// decreasing preference (e.g. the encoding at index `0` is the most preferred
// one). To stay backwards compatible the only mandatory encoding is UTF-16
// represented via the string `utf-16`. The server can pick one of the
// encodings offered by the client and signals that encoding back to the
// client via the initialize result's property
// [`capabilities.positionEncoding`](https://microsoft.github.io/language-server-protocol/specifications/specification-current/#serverCapabilities). If the string value
// `utf-16` is missing from the client's capability `general.positionEncodings`
// servers can safely assume that the client supports UTF-16. If the server
// omits the position encoding in its initialize result the encoding defaults
// to the string value `utf-16`. Implementation considerations: since the
// conversion from one encoding into another requires the content of the
// file / line the conversion is best done where the file is read which is
// usually on the server side.
//
// Positions are line end character agnostic. So you can not specify a position
// that denotes `\r|\n` or `\n|` where `|` represents the character offset.
//
// Since: 3.17.0 - support for negotiated position encoding.
type Position struct {
	// Line position in a document (zero-based).
	Line uint32 `json:"line"`

	// Character offset on a line in a document (zero-based).
	//
	// The meaning of this offset is determined by the negotiated
	// `PositionEncodingKind`.
	Character uint32 `json:"character"`
}

type SelectionRangeOptions struct {
	WorkDoneProgressOptions
}

// Call hierarchy options used during static registration.
//
// Since: 3.16.0
type CallHierarchyOptions struct {
	WorkDoneProgressOptions
}

// Since: 3.16.0
type SemanticTokensOptions struct {
	WorkDoneProgressOptions

	// The legend used by the server
	Legend SemanticTokensLegend `json:"legend"`

	// Server supports providing semantic tokens for a specific range
	// of a document.
	Range *BooleanOrEmptyObject `json:"range,omitempty"`

	// Server supports providing semantic tokens for a full document.
	Full *BooleanOrSemanticTokensFullDelta `json:"full,omitempty"`
}

// Since: 3.16.0
type SemanticTokensEdit struct {
	// The start offset of the edit.
	Start uint32 `json:"start"`

	// The count of elements to remove.
	DeleteCount uint32 `json:"deleteCount"`

	// The elements to insert.
	Data *[]uint32 `json:"data,omitempty"`
}

type LinkedEditingRangeOptions struct {
	WorkDoneProgressOptions
}

// Represents information on a file/folder create.
//
// Since: 3.16.0
type FileCreate struct {
	// A file:// URI for the location of the file/folder being created.
	Uri string `json:"uri"`
}

// Describes textual changes on a text document. A TextDocumentEdit describes all changes
// on a document version Si and after they are applied move the document to version Si+1.
// So the creator of a TextDocumentEdit doesn't need to sort the array of edits or do any
// kind of ordering. However the edits must be non overlapping.
type TextDocumentEdit struct {
	// The text document to change.
	TextDocument OptionalVersionedTextDocumentIdentifier `json:"textDocument"`

	// The edits to be applied.
	//
	// Since: 3.16.0 - support for AnnotatedTextEdit. This is guarded using a
	//
	// client capability.
	//
	// Since: 3.18.0 - support for SnippetTextEdit. This is guarded using a
	//
	// client capability.
	Edits []TextEditOrAnnotatedTextEditOrSnippetTextEdit `json:"edits"`
}

// Create file operation.
type CreateFile struct {
	ResourceOperation

	// A create
	Kind StringLiteralCreate `json:"kind"`

	// The resource to create.
	Uri DocumentUri `json:"uri"`

	// Additional options
	Options *CreateFileOptions `json:"options,omitempty"`
}

// Rename file operation
type RenameFile struct {
	ResourceOperation

	// A rename
	Kind StringLiteralRename `json:"kind"`

	// The old (existing) location.
	OldUri DocumentUri `json:"oldUri"`

	// The new location.
	NewUri DocumentUri `json:"newUri"`

	// Rename options.
	Options *RenameFileOptions `json:"options,omitempty"`
}

// Delete file operation
type DeleteFile struct {
	ResourceOperation

	// A delete
	Kind StringLiteralDelete `json:"kind"`

	// The file to delete.
	Uri DocumentUri `json:"uri"`

	// Delete options.
	Options *DeleteFileOptions `json:"options,omitempty"`
}

// Additional information that describes document changes.
//
// Since: 3.16.0
type ChangeAnnotation struct {
	// A human-readable string describing the actual change. The string
	// is rendered prominent in the user interface.
	Label string `json:"label"`

	// A flag which indicates that user confirmation is needed
	// before applying the change.
	NeedsConfirmation *bool `json:"needsConfirmation,omitempty"`

	// A human-readable string which is rendered less prominent in
	// the user interface.
	Description *string `json:"description,omitempty"`
}

// A filter to describe in which file operation requests or notifications
// the server is interested in receiving.
//
// Since: 3.16.0
type FileOperationFilter struct {
	// A Uri scheme like `file` or `untitled`.
	Scheme *string `json:"scheme,omitempty"`

	// The actual file operation pattern.
	Pattern FileOperationPattern `json:"pattern"`
}

// Represents information on a file/folder rename.
//
// Since: 3.16.0
type FileRename struct {
	// A file:// URI for the original location of the file/folder being renamed.
	OldUri string `json:"oldUri"`

	// A file:// URI for the new location of the file/folder being renamed.
	NewUri string `json:"newUri"`
}

// Represents information on a file/folder delete.
//
// Since: 3.16.0
type FileDelete struct {
	// A file:// URI for the location of the file/folder being deleted.
	Uri string `json:"uri"`
}

type MonikerOptions struct {
	WorkDoneProgressOptions
}

// Type hierarchy options used during static registration.
//
// Since: 3.17.0
type TypeHierarchyOptions struct {
	WorkDoneProgressOptions
}

// Since: 3.17.0
type InlineValueContext struct {
	// The stack frame (as a DAP Id) where the execution has stopped.
	FrameId int32 `json:"frameId"`

	// The document range where execution has stopped.
	// Typically the end position of the range denotes the line where the inline values are shown.
	StoppedLocation Range `json:"stoppedLocation"`
}

// Provide inline value as text.
//
// Since: 3.17.0
type InlineValueText struct {
	// The document range for which the inline value applies.
	Range Range `json:"range"`

	// The text of the inline value.
	Text string `json:"text"`
}

// Provide inline value through a variable lookup.
// If only a range is specified, the variable name will be extracted from the underlying document.
// An optional variable name can be used to override the extracted name.
//
// Since: 3.17.0
type InlineValueVariableLookup struct {
	// The document range for which the inline value applies.
	// The range is used to extract the variable name from the underlying document.
	Range Range `json:"range"`

	// If specified the name of the variable to look up.
	VariableName *string `json:"variableName,omitempty"`

	// How to perform the lookup.
	CaseSensitiveLookup bool `json:"caseSensitiveLookup"`
}

// Provide an inline value through an expression evaluation.
// If only a range is specified, the expression will be extracted from the underlying document.
// An optional expression can be used to override the extracted expression.
//
// Since: 3.17.0
type InlineValueEvaluatableExpression struct {
	// The document range for which the inline value applies.
	// The range is used to extract the evaluatable expression from the underlying document.
	Range Range `json:"range"`

	// If specified the expression overrides the extracted expression.
	Expression *string `json:"expression,omitempty"`
}

// Inline value options used during static registration.
//
// Since: 3.17.0
type InlineValueOptions struct {
	WorkDoneProgressOptions
}

// An inlay hint label part allows for interactive and composite labels
// of inlay hints.
//
// Since: 3.17.0
type InlayHintLabelPart struct {
	// The value of this label part.
	Value string `json:"value"`

	// The tooltip text when you hover over this label part. Depending on
	// the client capability `inlayHint.resolveSupport` clients might resolve
	// this property late using the resolve request.
	Tooltip *StringOrMarkupContent `json:"tooltip,omitempty"`

	// An optional source code location that represents this
	// label part.
	//
	// The editor will use this location for the hover and for code navigation
	// features: This part will become a clickable link that resolves to the
	// definition of the symbol at the given location (not necessarily the
	// location itself), it shows the hover that shows at the given location,
	// and it shows a context menu with further code navigation commands.
	//
	// Depending on the client capability `inlayHint.resolveSupport` clients
	// might resolve this property late using the resolve request.
	Location *Location `json:"location,omitempty"`

	// An optional command for this label part.
	//
	// Depending on the client capability `inlayHint.resolveSupport` clients
	// might resolve this property late using the resolve request.
	Command *Command `json:"command,omitempty"`
}

// A `MarkupContent` literal represents a string value which content is interpreted base on its
// kind flag. Currently the protocol supports `plaintext` and `markdown` as markup kinds.
//
// If the kind is `markdown` then the value can contain fenced code blocks like in GitHub issues.
// See https://help.github.com/articles/creating-and-highlighting-code-blocks/#syntax-highlighting
//
// Here is an example how such a string can be constructed using JavaScript / TypeScript:
// ```ts
//
//	let markdown: MarkdownContent = {
//	 kind: MarkupKind.Markdown,
//	 value: [
//	   '# Header',
//	   'Some text',
//	   '```typescript',
//	   'someCode();',
//	   '```'
//	 ].join('\n')
//	};
//
// ```
//
// *Please Note* that clients might sanitize the return markdown. A client could decide to
// remove HTML from the markdown to avoid script execution.
type MarkupContent struct {
	// The type of the Markup
	Kind MarkupKind `json:"kind"`

	// The content itself
	Value string `json:"value"`
}

// Inlay hint options used during static registration.
//
// Since: 3.17.0
type InlayHintOptions struct {
	WorkDoneProgressOptions

	// The server provides support to resolve additional
	// information for an inlay hint item.
	ResolveProvider *bool `json:"resolveProvider,omitempty"`
}

// A full diagnostic report with a set of related documents.
//
// Since: 3.17.0
type RelatedFullDocumentDiagnosticReport struct {
	FullDocumentDiagnosticReport

	// Diagnostics of related documents. This information is useful
	// in programming languages where code in a file A can generate
	// diagnostics in a file B which A depends on. An example of
	// such a language is C/C++ where marco definitions in a file
	// a.cpp and result in errors in a header file b.hpp.
	//
	// Since: 3.17.0
	RelatedDocuments *map[DocumentUri]FullDocumentDiagnosticReportOrUnchangedDocumentDiagnosticReport `json:"relatedDocuments,omitempty"`
}

// An unchanged diagnostic report with a set of related documents.
//
// Since: 3.17.0
type RelatedUnchangedDocumentDiagnosticReport struct {
	UnchangedDocumentDiagnosticReport

	// Diagnostics of related documents. This information is useful
	// in programming languages where code in a file A can generate
	// diagnostics in a file B which A depends on. An example of
	// such a language is C/C++ where marco definitions in a file
	// a.cpp and result in errors in a header file b.hpp.
	//
	// Since: 3.17.0
	RelatedDocuments *map[DocumentUri]FullDocumentDiagnosticReportOrUnchangedDocumentDiagnosticReport `json:"relatedDocuments,omitempty"`
}

// A diagnostic report with a full set of problems.
//
// Since: 3.17.0
type FullDocumentDiagnosticReport struct {
	// A full document diagnostic report.
	Kind StringLiteralFull `json:"kind"`

	// An optional result id. If provided it will
	// be sent on the next diagnostic request for the
	// same document.
	ResultId *string `json:"resultId,omitempty"`

	// The actual items.
	Items []Diagnostic `json:"items"`
}

// A diagnostic report indicating that the last returned
// report is still accurate.
//
// Since: 3.17.0
type UnchangedDocumentDiagnosticReport struct {
	// A document diagnostic report indicating
	// no changes to the last result. A server can
	// only return `unchanged` if result ids are
	// provided.
	Kind StringLiteralUnchanged `json:"kind"`

	// A result id which will be sent on the next
	// diagnostic request for the same document.
	ResultId string `json:"resultId"`
}

// Diagnostic options.
//
// Since: 3.17.0
type DiagnosticOptions struct {
	WorkDoneProgressOptions

	// An optional identifier under which the diagnostics are
	// managed by the client.
	Identifier *string `json:"identifier,omitempty"`

	// Whether the language has inter file dependencies meaning that
	// editing code in one file can result in a different diagnostic
	// set in another file. Inter file dependencies are common for
	// most programming languages and typically uncommon for linters.
	InterFileDependencies bool `json:"interFileDependencies"`

	// The server provides support for workspace diagnostics as well.
	WorkspaceDiagnostics bool `json:"workspaceDiagnostics"`
}

// A previous result id in a workspace pull request.
//
// Since: 3.17.0
type PreviousResultId struct {
	// The URI for which the client knowns a
	// result id.
	Uri DocumentUri `json:"uri"`

	// The value of the previous result id.
	Value string `json:"value"`
}

// A notebook document.
//
// Since: 3.17.0
type NotebookDocument struct {
	// The notebook document's uri.
	Uri URI `json:"uri"`

	// The type of the notebook.
	NotebookType string `json:"notebookType"`

	// The version number of this document (it will increase after each
	// change, including undo/redo).
	Version int32 `json:"version"`

	// Additional metadata stored with the notebook
	// document.
	//
	// Note: should always be an object literal (e.g. LSPObject)
	Metadata *LSPObject `json:"metadata,omitempty"`

	// The cells of a notebook.
	Cells []NotebookCell `json:"cells"`
}

// An item to transfer a text document from the client to the
// server.
type TextDocumentItem struct {
	// The text document's uri.
	Uri DocumentUri `json:"uri"`

	// The text document's language identifier.
	LanguageId LanguageKind `json:"languageId"`

	// The version number of this document (it will increase after each
	// change, including undo/redo).
	Version int32 `json:"version"`

	// The content of the opened text document.
	Text string `json:"text"`
}

// Options specific to a notebook plus its cells
// to be synced to the server.
//
// If a selector provides a notebook document
// filter but no cell selector all cells of a
// matching notebook document will be synced.
//
// If a selector provides no notebook document
// filter but only a cell selector all notebook
// document that contain at least one matching
// cell will be synced.
//
// Since: 3.17.0
type NotebookDocumentSyncOptions struct {
	// The notebooks to be synced
	NotebookSelector []NotebookDocumentFilterWithNotebookOrNotebookDocumentFilterWithCells `json:"notebookSelector"`

	// Whether save notification should be forwarded to
	// the server. Will only be honored if mode === `notebook`.
	Save *bool `json:"save,omitempty"`
}

// A versioned notebook document identifier.
//
// Since: 3.17.0
type VersionedNotebookDocumentIdentifier struct {
	// The version number of this notebook document.
	Version int32 `json:"version"`

	// The notebook document's uri.
	Uri URI `json:"uri"`
}

// A change event for a notebook document.
//
// Since: 3.17.0
type NotebookDocumentChangeEvent struct {
	// The changed meta data if any.
	//
	// Note: should always be an object literal (e.g. LSPObject)
	Metadata *LSPObject `json:"metadata,omitempty"`

	// Changes to cells
	Cells *NotebookDocumentCellChanges `json:"cells,omitempty"`
}

// A literal to identify a notebook document in the client.
//
// Since: 3.17.0
type NotebookDocumentIdentifier struct {
	// The notebook document's uri.
	Uri URI `json:"uri"`
}

// Provides information about the context in which an inline completion was requested.
//
// Since: 3.18.0
//
// Proposed.
type InlineCompletionContext struct {
	// Describes how the inline completion was triggered.
	TriggerKind InlineCompletionTriggerKind `json:"triggerKind"`

	// Provides information about the currently selected item in the autocomplete widget if it is visible.
	SelectedCompletionInfo *SelectedCompletionInfo `json:"selectedCompletionInfo,omitempty"`
}

// A string value used as a snippet is a template which allows to insert text
// and to control the editor cursor when insertion happens.
//
// A snippet can define tab stops and placeholders with `$1`, `$2`
// and `${3:foo}`. `$0` defines the final tab stop, it defaults to
// the end of the snippet. Variables are defined with `$name` and
// `${name:default value}`.
//
// Since: 3.18.0
//
// Proposed.
type StringValue struct {
	// The kind of string value.
	Kind StringLiteralSnippet `json:"kind"`

	// The snippet string.
	Value string `json:"value"`
}

// Inline completion options used during static registration.
//
// Since: 3.18.0
//
// Proposed.
type InlineCompletionOptions struct {
	WorkDoneProgressOptions
}

// Text document content provider options.
//
// Since: 3.18.0
//
// Proposed.
type TextDocumentContentOptions struct {
	// The schemes for which the server provides content.
	Schemes []string `json:"schemes"`
}

// General parameters to register for a notification or to register a provider.
type Registration struct {
	// The id used to register the request. The id can be used to deregister
	// the request again.
	Id string `json:"id"`

	// The method / capability to register for.
	Method string `json:"method"`

	// Options necessary for the registration.
	RegisterOptions *LSPAny `json:"registerOptions,omitempty"`
}

// General parameters to unregister a request or notification.
type Unregistration struct {
	// The id used to unregister the request or notification. Usually an id
	// provided during the register request.
	Id string `json:"id"`

	// The method to unregister for.
	Method string `json:"method"`
}

// The initialize parameters
type _InitializeParams struct {
	WorkDoneProgressParams

	// The process Id of the parent process that started
	// the server.
	//
	// Is `null` if the process has not been started by another process.
	// If the parent process is not alive then the server should exit.
	ProcessId *int32 `json:"processId"`

	// Information about the client
	//
	// Since: 3.15.0
	ClientInfo *ClientInfo `json:"clientInfo,omitempty"`

	// The locale the client is currently showing the user interface
	// in. This must not necessarily be the locale of the operating
	// system.
	//
	// Uses IETF language tags as the value's syntax
	// (See https://en.wikipedia.org/wiki/IETF_language_tag)
	//
	// Since: 3.16.0
	Locale *string `json:"locale,omitempty"`

	// The rootPath of the workspace. Is null
	// if no folder is open.
	//
	// Deprecated: in favour of rootUri.
	RootPath *Nullable[string] `json:"rootPath,omitempty"`

	// The rootUri of the workspace. Is null if no
	// folder is open. If both `rootPath` and `rootUri` are set
	// `rootUri` wins.
	//
	// Deprecated: in favour of workspaceFolders.
	RootUri *DocumentUri `json:"rootUri"`

	// The capabilities provided by the client (editor or tool)
	Capabilities ClientCapabilities `json:"capabilities"`

	// User provided initialization options.
	InitializationOptions *LSPAny `json:"initializationOptions,omitempty"`

	// The initial trace setting. If omitted trace is disabled ('off').
	Trace *TraceValue `json:"trace,omitempty"`
}

type WorkspaceFoldersInitializeParams struct {
	// The workspace folders configured in the client when the server starts.
	//
	// This property is only available if the client supports workspace folders.
	// It can be `null` if the client supports workspace folders but none are
	// configured.
	//
	// Since: 3.6.0
	WorkspaceFolders *Nullable[[]WorkspaceFolder] `json:"workspaceFolders,omitempty"`
}

// Defines the capabilities provided by a language
// server.
type ServerCapabilities struct {
	// The position encoding the server picked from the encodings offered
	// by the client via the client capability `general.positionEncodings`.
	//
	// If the client didn't provide any position encodings the only valid
	// value that a server can return is 'utf-16'.
	//
	// If omitted it defaults to 'utf-16'.
	//
	// Since: 3.17.0
	PositionEncoding *PositionEncodingKind `json:"positionEncoding,omitempty"`

	// Defines how text documents are synced. Is either a detailed structure
	// defining each notification or for backwards compatibility the
	// TextDocumentSyncKind number.
	TextDocumentSync *TextDocumentSyncOptionsOrTextDocumentSyncKind `json:"textDocumentSync,omitempty"`

	// Defines how notebook documents are synced.
	//
	// Since: 3.17.0
	NotebookDocumentSync *NotebookDocumentSyncOptionsOrNotebookDocumentSyncRegistrationOptions `json:"notebookDocumentSync,omitempty"`

	// The server provides completion support.
	CompletionProvider *CompletionOptions `json:"completionProvider,omitempty"`

	// The server provides hover support.
	HoverProvider *BooleanOrHoverOptions `json:"hoverProvider,omitempty"`

	// The server provides signature help support.
	SignatureHelpProvider *SignatureHelpOptions `json:"signatureHelpProvider,omitempty"`

	// The server provides Goto Declaration support.
	DeclarationProvider *BooleanOrDeclarationOptionsOrDeclarationRegistrationOptions `json:"declarationProvider,omitempty"`

	// The server provides goto definition support.
	DefinitionProvider *BooleanOrDefinitionOptions `json:"definitionProvider,omitempty"`

	// The server provides Goto Type Definition support.
	TypeDefinitionProvider *BooleanOrTypeDefinitionOptionsOrTypeDefinitionRegistrationOptions `json:"typeDefinitionProvider,omitempty"`

	// The server provides Goto Implementation support.
	ImplementationProvider *BooleanOrImplementationOptionsOrImplementationRegistrationOptions `json:"implementationProvider,omitempty"`

	// The server provides find references support.
	ReferencesProvider *BooleanOrReferenceOptions `json:"referencesProvider,omitempty"`

	// The server provides document highlight support.
	DocumentHighlightProvider *BooleanOrDocumentHighlightOptions `json:"documentHighlightProvider,omitempty"`

	// The server provides document symbol support.
	DocumentSymbolProvider *BooleanOrDocumentSymbolOptions `json:"documentSymbolProvider,omitempty"`

	// The server provides code actions. CodeActionOptions may only be
	// specified if the client states that it supports
	// `codeActionLiteralSupport` in its initial `initialize` request.
	CodeActionProvider *BooleanOrCodeActionOptions `json:"codeActionProvider,omitempty"`

	// The server provides code lens.
	CodeLensProvider *CodeLensOptions `json:"codeLensProvider,omitempty"`

	// The server provides document link support.
	DocumentLinkProvider *DocumentLinkOptions `json:"documentLinkProvider,omitempty"`

	// The server provides color provider support.
	ColorProvider *BooleanOrDocumentColorOptionsOrDocumentColorRegistrationOptions `json:"colorProvider,omitempty"`

	// The server provides workspace symbol support.
	WorkspaceSymbolProvider *BooleanOrWorkspaceSymbolOptions `json:"workspaceSymbolProvider,omitempty"`

	// The server provides document formatting.
	DocumentFormattingProvider *BooleanOrDocumentFormattingOptions `json:"documentFormattingProvider,omitempty"`

	// The server provides document range formatting.
	DocumentRangeFormattingProvider *BooleanOrDocumentRangeFormattingOptions `json:"documentRangeFormattingProvider,omitempty"`

	// The server provides document formatting on typing.
	DocumentOnTypeFormattingProvider *DocumentOnTypeFormattingOptions `json:"documentOnTypeFormattingProvider,omitempty"`

	// The server provides rename support. RenameOptions may only be
	// specified if the client states that it supports
	// `prepareSupport` in its initial `initialize` request.
	RenameProvider *BooleanOrRenameOptions `json:"renameProvider,omitempty"`

	// The server provides folding provider support.
	FoldingRangeProvider *BooleanOrFoldingRangeOptionsOrFoldingRangeRegistrationOptions `json:"foldingRangeProvider,omitempty"`

	// The server provides selection range support.
	SelectionRangeProvider *BooleanOrSelectionRangeOptionsOrSelectionRangeRegistrationOptions `json:"selectionRangeProvider,omitempty"`

	// The server provides execute command support.
	ExecuteCommandProvider *ExecuteCommandOptions `json:"executeCommandProvider,omitempty"`

	// The server provides call hierarchy support.
	//
	// Since: 3.16.0
	CallHierarchyProvider *BooleanOrCallHierarchyOptionsOrCallHierarchyRegistrationOptions `json:"callHierarchyProvider,omitempty"`

	// The server provides linked editing range support.
	//
	// Since: 3.16.0
	LinkedEditingRangeProvider *BooleanOrLinkedEditingRangeOptionsOrLinkedEditingRangeRegistrationOptions `json:"linkedEditingRangeProvider,omitempty"`

	// The server provides semantic tokens support.
	//
	// Since: 3.16.0
	SemanticTokensProvider *SemanticTokensOptionsOrSemanticTokensRegistrationOptions `json:"semanticTokensProvider,omitempty"`

	// The server provides moniker support.
	//
	// Since: 3.16.0
	MonikerProvider *BooleanOrMonikerOptionsOrMonikerRegistrationOptions `json:"monikerProvider,omitempty"`

	// The server provides type hierarchy support.
	//
	// Since: 3.17.0
	TypeHierarchyProvider *BooleanOrTypeHierarchyOptionsOrTypeHierarchyRegistrationOptions `json:"typeHierarchyProvider,omitempty"`

	// The server provides inline values.
	//
	// Since: 3.17.0
	InlineValueProvider *BooleanOrInlineValueOptionsOrInlineValueRegistrationOptions `json:"inlineValueProvider,omitempty"`

	// The server provides inlay hints.
	//
	// Since: 3.17.0
	InlayHintProvider *BooleanOrInlayHintOptionsOrInlayHintRegistrationOptions `json:"inlayHintProvider,omitempty"`

	// The server has support for pull model diagnostics.
	//
	// Since: 3.17.0
	DiagnosticProvider *DiagnosticOptionsOrDiagnosticRegistrationOptions `json:"diagnosticProvider,omitempty"`

	// Inline completion options used during static registration.
	//
	// Since: 3.18.0
	//
	// Proposed.
	InlineCompletionProvider *BooleanOrInlineCompletionOptions `json:"inlineCompletionProvider,omitempty"`

	// Workspace specific server capabilities.
	Workspace *WorkspaceOptions `json:"workspace,omitempty"`

	// Experimental server capabilities.
	Experimental *LSPAny `json:"experimental,omitempty"`
}

// Information about the server
//
// Since: 3.15.0
//
// Since: 3.18.0 ServerInfo type name added.
type ServerInfo struct {
	// The name of the server as defined by the server.
	Name string `json:"name"`

	// The server's version as defined by the server.
	Version *string `json:"version,omitempty"`
}

// A text document identifier to denote a specific version of a text document.
type VersionedTextDocumentIdentifier struct {
	TextDocumentIdentifier

	// The version number of this document.
	Version int32 `json:"version"`
}

// Save options.
type SaveOptions struct {
	// The client is supposed to include the content on save.
	IncludeText *bool `json:"includeText,omitempty"`
}

// An event describing a file change.
type FileEvent struct {
	// The file's uri.
	Uri DocumentUri `json:"uri"`

	// The change type.
	Type FileChangeType `json:"type"`
}

type FileSystemWatcher struct {
	// The glob pattern to watch. See pattern for more detail.
	//
	// Since: 3.17.0 support for relative patterns.
	GlobPattern GlobPattern `json:"globPattern"`

	// The kind of events of interest. If omitted it defaults
	// to WatchKind.Create | WatchKind.Change | WatchKind.Delete
	// which is 7.
	Kind *WatchKind `json:"kind,omitempty"`
}

// Represents a diagnostic, such as a compiler error or warning. Diagnostic objects
// are only valid in the scope of a resource.
type Diagnostic struct {
	// The range at which the message applies
	Range Range `json:"range"`

	// The diagnostic's severity. To avoid interpretation mismatches when a
	// server is used with different clients it is highly recommended that servers
	// always provide a severity value.
	Severity *DiagnosticSeverity `json:"severity,omitempty"`

	// The diagnostic's code, which usually appear in the user interface.
	Code *IntegerOrString `json:"code,omitempty"`

	// An optional property to describe the error code.
	// Requires the code field (above) to be present/not null.
	//
	// Since: 3.16.0
	CodeDescription *CodeDescription `json:"codeDescription,omitempty"`

	// A human-readable string describing the source of this
	// diagnostic, e.g. 'typescript' or 'super lint'. It usually
	// appears in the user interface.
	Source *string `json:"source,omitempty"`

	// The diagnostic's message. It usually appears in the user interface
	Message string `json:"message"`

	// Additional metadata about the diagnostic.
	//
	// Since: 3.15.0
	Tags *[]DiagnosticTag `json:"tags,omitempty"`

	// An array of related diagnostic information, e.g. when symbol-names within
	// a scope collide all definitions can be marked via this property.
	RelatedInformation *[]DiagnosticRelatedInformation `json:"relatedInformation,omitempty"`

	// A data entry field that is preserved between a `textDocument/publishDiagnostics`
	// notification and `textDocument/codeAction` request.
	//
	// Since: 3.16.0
	Data *LSPAny `json:"data,omitempty"`
}

// Contains additional information about the context in which a completion request is triggered.
type CompletionContext struct {
	// How the completion was triggered.
	TriggerKind CompletionTriggerKind `json:"triggerKind"`

	// The trigger character (a single character) that has trigger code complete.
	// Is undefined if `triggerKind !== CompletionTriggerKind.TriggerCharacter`
	TriggerCharacter *string `json:"triggerCharacter,omitempty"`
}

// Additional details for a completion item label.
//
// Since: 3.17.0
type CompletionItemLabelDetails struct {
	// An optional string which is rendered less prominently directly after label,
	// without any spacing. Should be used for function signatures and type annotations.
	Detail *string `json:"detail,omitempty"`

	// An optional string which is rendered less prominently after CompletionItem.detail. Should be used
	// for fully qualified names and file paths.
	Description *string `json:"description,omitempty"`
}

// A special text edit to provide an insert and a replace operation.
//
// Since: 3.16.0
type InsertReplaceEdit struct {
	// The string to be inserted.
	NewText string `json:"newText"`

	// The range if the insert is requested
	Insert Range `json:"insert"`

	// The range if the replace is requested.
	Replace Range `json:"replace"`
}

// In many cases the items of an actual completion result share the same
// value for properties like `commitCharacters` or the range of a text
// edit. A completion list can therefore define item defaults which will
// be used if a completion item itself doesn't specify the value.
//
// If a completion list specifies a default value and a completion item
// also specifies a corresponding value, the rules for combining these are
// defined by `applyKinds` (if the client supports it), defaulting to
// ApplyKind.Replace.
//
// Servers are only allowed to return default values if the client
// signals support for this via the `completionList.itemDefaults`
// capability.
//
// Since: 3.17.0
type CompletionItemDefaults struct {
	// A default commit character set.
	//
	// Since: 3.17.0
	CommitCharacters *[]string `json:"commitCharacters,omitempty"`

	// A default edit range.
	//
	// Since: 3.17.0
	EditRange *RangeOrEditRangeWithInsertReplace `json:"editRange,omitempty"`

	// A default insert text format.
	//
	// Since: 3.17.0
	InsertTextFormat *InsertTextFormat `json:"insertTextFormat,omitempty"`

	// A default insert text mode.
	//
	// Since: 3.17.0
	InsertTextMode *InsertTextMode `json:"insertTextMode,omitempty"`

	// A default data value.
	//
	// Since: 3.17.0
	Data *LSPAny `json:"data,omitempty"`
}

// Specifies how fields from a completion item should be combined with those
// from `completionList.itemDefaults`.
//
// If unspecified, all fields will be treated as ApplyKind.Replace.
//
// If a field's value is ApplyKind.Replace, the value from a completion item (if
// provided and not `null`) will always be used instead of the value from
// `completionItem.itemDefaults`.
//
// If a field's value is ApplyKind.Merge, the values will be merged using the rules
// defined against each field below.
//
// Servers are only allowed to return `applyKind` if the client
// signals support for this via the `completionList.applyKindSupport`
// capability.
//
// Since: 3.18.0
type CompletionItemApplyKinds struct {
	// Specifies whether commitCharacters on a completion will replace or be
	// merged with those in `completionList.itemDefaults.commitCharacters`.
	//
	// If ApplyKind.Replace, the commit characters from the completion item will
	// always be used unless not provided, in which case those from
	// `completionList.itemDefaults.commitCharacters` will be used. An
	// empty list can be used if a completion item does not have any commit
	// characters and also should not use those from
	// `completionList.itemDefaults.commitCharacters`.
	//
	// If ApplyKind.Merge the commitCharacters for the completion will be the
	// union of all values in both `completionList.itemDefaults.commitCharacters`
	// and the completion's own `commitCharacters`.
	//
	// Since: 3.18.0
	CommitCharacters *ApplyKind `json:"commitCharacters,omitempty"`

	// Specifies whether the `data` field on a completion will replace or
	// be merged with data from `completionList.itemDefaults.data`.
	//
	// If ApplyKind.Replace, the data from the completion item will be used if
	// provided (and not `null`), otherwise
	// `completionList.itemDefaults.data` will be used. An empty object can
	// be used if a completion item does not have any data but also should
	// not use the value from `completionList.itemDefaults.data`.
	//
	// If ApplyKind.Merge, a shallow merge will be performed between
	// `completionList.itemDefaults.data` and the completion's own data
	// using the following rules:
	//
	//   - If a completion's `data` field is not provided (or `null`), the
	//     entire `data` field from `completionList.itemDefaults.data` will be
	//     used as-is.
	//   - If a completion's `data` field is provided, each field will
	//     overwrite the field of the same name in
	//     `completionList.itemDefaults.data` but no merging of nested fields
	//     within that value will occur.
	//
	// Since: 3.18.0
	Data *ApplyKind `json:"data,omitempty"`
}

// Completion options.
type CompletionOptions struct {
	WorkDoneProgressOptions

	// Most tools trigger completion request automatically without explicitly requesting
	// it using a keyboard shortcut (e.g. Ctrl+Space). Typically they do so when the user
	// starts to type an identifier. For example if the user types `c` in a JavaScript file
	// code complete will automatically pop up present `console` besides others as a
	// completion item. Characters that make up identifiers don't need to be listed here.
	//
	// If code complete should automatically be trigger on characters not being valid inside
	// an identifier (for example `.` in JavaScript) list them in `triggerCharacters`.
	TriggerCharacters *[]string `json:"triggerCharacters,omitempty"`

	// The list of all possible characters that commit a completion. This field can be used
	// if clients don't support individual commit characters per completion item. See
	// `ClientCapabilities.textDocument.completion.completionItem.commitCharactersSupport`
	//
	// If a server provides both `allCommitCharacters` and commit characters on an individual
	// completion item the ones on the completion item win.
	//
	// Since: 3.2.0
	AllCommitCharacters *[]string `json:"allCommitCharacters,omitempty"`

	// The server provides support to resolve additional
	// information for a completion item.
	ResolveProvider *bool `json:"resolveProvider,omitempty"`

	// The server supports the following `CompletionItem` specific
	// capabilities.
	//
	// Since: 3.17.0
	CompletionItem *ServerCompletionItemOptions `json:"completionItem,omitempty"`
}

// Hover options.
type HoverOptions struct {
	WorkDoneProgressOptions
}

// Additional information about the context in which a signature help request was triggered.
//
// Since: 3.15.0
type SignatureHelpContext struct {
	// Action that caused signature help to be triggered.
	TriggerKind SignatureHelpTriggerKind `json:"triggerKind"`

	// Character that caused signature help to be triggered.
	//
	// This is undefined when `triggerKind !== SignatureHelpTriggerKind.TriggerCharacter`
	TriggerCharacter *string `json:"triggerCharacter,omitempty"`

	// `true` if signature help was already showing when it was triggered.
	//
	// Retriggers occurs when the signature help is already active and can be caused by actions such as
	// typing a trigger character, a cursor move, or document content changes.
	IsRetrigger bool `json:"isRetrigger"`

	// The currently active `SignatureHelp`.
	//
	// The `activeSignatureHelp` has its `SignatureHelp.activeSignature` field updated based on
	// the user navigating through available signatures.
	ActiveSignatureHelp *SignatureHelp `json:"activeSignatureHelp,omitempty"`
}

// Represents the signature of something callable. A signature
// can have a label, like a function-name, a doc-comment, and
// a set of parameters.
type SignatureInformation struct {
	// The label of this signature. Will be shown in
	// the UI.
	Label string `json:"label"`

	// The human-readable doc-comment of this signature. Will be shown
	// in the UI but can be omitted.
	Documentation *StringOrMarkupContent `json:"documentation,omitempty"`

	// The parameters of this signature.
	Parameters *[]ParameterInformation `json:"parameters,omitempty"`

	// The index of the active parameter.
	//
	// If `null`, no parameter of the signature is active (for example a named
	// argument that does not match any declared parameters). This is only valid
	// if the client specifies the client capability
	// `textDocument.signatureHelp.noActiveParameterSupport === true`
	//
	// If provided (or `null`), this is used in place of
	// `SignatureHelp.activeParameter`.
	//
	// Since: 3.16.0
	ActiveParameter *Nullable[uint32] `json:"activeParameter,omitempty"`
}

// Server Capabilities for a SignatureHelpRequest.
type SignatureHelpOptions struct {
	WorkDoneProgressOptions

	// List of characters that trigger signature help automatically.
	TriggerCharacters *[]string `json:"triggerCharacters,omitempty"`

	// List of characters that re-trigger signature help.
	//
	// These trigger characters are only active when signature help is already showing. All trigger characters
	// are also counted as re-trigger characters.
	//
	// Since: 3.15.0
	RetriggerCharacters *[]string `json:"retriggerCharacters,omitempty"`
}

// Server Capabilities for a DefinitionRequest.
type DefinitionOptions struct {
	WorkDoneProgressOptions
}

// Value-object that contains additional information when
// requesting references.
type ReferenceContext struct {
	// Include the declaration of the current symbol.
	IncludeDeclaration bool `json:"includeDeclaration"`
}

// Reference options.
type ReferenceOptions struct {
	WorkDoneProgressOptions
}

// Provider options for a DocumentHighlightRequest.
type DocumentHighlightOptions struct {
	WorkDoneProgressOptions
}

// A base for all symbol information.
type BaseSymbolInformation struct {
	// The name of this symbol.
	Name string `json:"name"`

	// The kind of this symbol.
	Kind SymbolKind `json:"kind"`

	// Tags for this symbol.
	//
	// Since: 3.16.0
	Tags *[]SymbolTag `json:"tags,omitempty"`

	// The name of the symbol containing this symbol. This information is for
	// user interface purposes (e.g. to render a qualifier in the user interface
	// if necessary). It can't be used to re-infer a hierarchy for the document
	// symbols.
	ContainerName *string `json:"containerName,omitempty"`
}

// Provider options for a DocumentSymbolRequest.
type DocumentSymbolOptions struct {
	WorkDoneProgressOptions

	// A human-readable string that is shown when multiple outlines trees
	// are shown for the same document.
	//
	// Since: 3.16.0
	Label *string `json:"label,omitempty"`
}

// Contains additional diagnostic information about the context in which
// a action is run.
type CodeActionContext struct {
	// An array of diagnostics known on the client side overlapping the range provided to the
	// `textDocument/codeAction` request. They are provided so that the server knows which
	// errors are currently presented to the user for the given range. There is no guarantee
	// that these accurately reflect the error state of the resource. The primary parameter
	// to compute code actions is the provided range.
	Diagnostics []Diagnostic `json:"diagnostics"`

	// Requested kind of actions to return.
	//
	// Actions not of this kind are filtered out by the client before being shown. So servers
	// can omit computing them.
	Only *[]CodeActionKind `json:"only,omitempty"`

	// The reason why code actions were requested.
	//
	// Since: 3.17.0
	TriggerKind *CodeActionTriggerKind `json:"triggerKind,omitempty"`
}

// Captures why the code action is currently disabled.
//
// Since: 3.18.0
type CodeActionDisabled struct {
	// Human readable description of why the code action is currently disabled.
	//
	// This is displayed in the code actions UI.
	Reason string `json:"reason"`
}

// Provider options for a CodeActionRequest.
type CodeActionOptions struct {
	WorkDoneProgressOptions

	// CodeActionKinds that this server may return.
	//
	// The list of kinds may be generic, such as `CodeActionKind.Refactor`, or the server
	// may list out every specific kind they provide.
	CodeActionKinds *[]CodeActionKind `json:"codeActionKinds,omitempty"`

	// Static documentation for a class of code actions.
	//
	// Documentation from the provider should be shown in the code actions menu if either:
	//
	//   - Code actions of `kind` are requested by the editor. In this case, the editor will show the documentation that
	//     most closely matches the requested code action kind. For example, if a provider has documentation for
	//     both `Refactor` and `RefactorExtract`, when the user requests code actions for `RefactorExtract`,
	//     the editor will use the documentation for `RefactorExtract` instead of the documentation for `Refactor`.
	//
	// - Any code actions of `kind` are returned by the provider.
	//
	// At most one documentation entry should be shown per provider.
	//
	// Since: 3.18.0
	//
	// Proposed.
	Documentation *[]CodeActionKindDocumentation `json:"documentation,omitempty"`

	// The server provides support to resolve additional
	// information for a code action.
	//
	// Since: 3.16.0
	ResolveProvider *bool `json:"resolveProvider,omitempty"`
}

// Location with only uri and does not include range.
//
// Since: 3.18.0
type LocationUriOnly struct {
	Uri DocumentUri `json:"uri"`
}

// Server capabilities for a WorkspaceSymbolRequest.
type WorkspaceSymbolOptions struct {
	WorkDoneProgressOptions

	// The server provides support to resolve additional
	// information for a workspace symbol.
	//
	// Since: 3.17.0
	ResolveProvider *bool `json:"resolveProvider,omitempty"`
}

// Code Lens provider options of a CodeLensRequest.
type CodeLensOptions struct {
	WorkDoneProgressOptions

	// Code lens has a resolve provider as well.
	ResolveProvider *bool `json:"resolveProvider,omitempty"`
}

// Provider options for a DocumentLinkRequest.
type DocumentLinkOptions struct {
	WorkDoneProgressOptions

	// Document links have a resolve provider as well.
	ResolveProvider *bool `json:"resolveProvider,omitempty"`
}

// Value-object describing what options formatting should use.
type FormattingOptions struct {
	// Size of a tab in spaces.
	TabSize uint32 `json:"tabSize"`

	// Prefer spaces over tabs.
	InsertSpaces bool `json:"insertSpaces"`

	// Trim trailing whitespace on a line.
	//
	// Since: 3.15.0
	TrimTrailingWhitespace *bool `json:"trimTrailingWhitespace,omitempty"`

	// Insert a newline character at the end of the file if one does not exist.
	//
	// Since: 3.15.0
	InsertFinalNewline *bool `json:"insertFinalNewline,omitempty"`

	// Trim all newlines after the final newline at the end of the file.
	//
	// Since: 3.15.0
	TrimFinalNewlines *bool `json:"trimFinalNewlines,omitempty"`
}

// Provider options for a DocumentFormattingRequest.
type DocumentFormattingOptions struct {
	WorkDoneProgressOptions
}

// Provider options for a DocumentRangeFormattingRequest.
type DocumentRangeFormattingOptions struct {
	WorkDoneProgressOptions

	// Whether the server supports formatting multiple ranges at once.
	//
	// Since: 3.18.0
	//
	// Proposed.
	RangesSupport *bool `json:"rangesSupport,omitempty"`
}

// Provider options for a DocumentOnTypeFormattingRequest.
type DocumentOnTypeFormattingOptions struct {
	// A character on which formatting should be triggered, like `{`.
	FirstTriggerCharacter string `json:"firstTriggerCharacter"`

	// More trigger characters.
	MoreTriggerCharacter *[]string `json:"moreTriggerCharacter,omitempty"`
}

// Provider options for a RenameRequest.
type RenameOptions struct {
	WorkDoneProgressOptions

	// Renames should be checked and tested before being executed.
	//
	// Since: version 3.12.0
	PrepareProvider *bool `json:"prepareProvider,omitempty"`
}

// Since: 3.18.0
type PrepareRenamePlaceholder struct {
	Range Range `json:"range"`

	Placeholder string `json:"placeholder"`
}

// Since: 3.18.0
type PrepareRenameDefaultBehavior struct {
	DefaultBehavior bool `json:"defaultBehavior"`
}

// The server capabilities of a ExecuteCommandRequest.
type ExecuteCommandOptions struct {
	WorkDoneProgressOptions

	// The commands to be executed on the server
	Commands []string `json:"commands"`
}

// Additional data about a workspace edit.
//
// Since: 3.18.0
//
// Proposed.
type WorkspaceEditMetadata struct {
	// Signal to the editor that this edit is a refactoring.
	IsRefactoring *bool `json:"isRefactoring,omitempty"`
}

// Since: 3.16.0
type SemanticTokensLegend struct {
	// The token types a server uses.
	TokenTypes []string `json:"tokenTypes"`

	// The token modifiers a server uses.
	TokenModifiers []string `json:"tokenModifiers"`
}

// Semantic tokens options to support deltas for full documents
//
// Since: 3.18.0
type SemanticTokensFullDelta struct {
	// The server supports deltas for full documents.
	Delta *bool `json:"delta,omitempty"`
}

// A text document identifier to optionally denote a specific version of a text document.
type OptionalVersionedTextDocumentIdentifier struct {
	TextDocumentIdentifier

	// The version number of this document. If a versioned text document identifier
	// is sent from the server to the client and the file is not open in the editor
	// (the server has not received an open notification before) the server can send
	// `null` to indicate that the version is unknown and the content on disk is the
	// truth (as specified with document content ownership).
	Version *int32 `json:"version"`
}

// A special text edit with an additional change annotation.
//
// Since: 3.16.0.
type AnnotatedTextEdit struct {
	TextEdit

	// The actual identifier of the change annotation
	AnnotationId ChangeAnnotationIdentifier `json:"annotationId"`
}

// An interactive text edit.
//
// Since: 3.18.0
//
// Proposed.
type SnippetTextEdit struct {
	// The range of the text document to be manipulated.
	Range Range `json:"range"`

	// The snippet to be inserted.
	Snippet StringValue `json:"snippet"`

	// The actual identifier of the snippet edit.
	AnnotationId *ChangeAnnotationIdentifier `json:"annotationId,omitempty"`
}

// A generic resource operation.
type ResourceOperation struct {
	// The resource operation kind.
	Kind string `json:"kind"`

	// An optional annotation identifier describing the operation.
	//
	// Since: 3.16.0
	AnnotationId *ChangeAnnotationIdentifier `json:"annotationId,omitempty"`
}

// Options to create a file.
type CreateFileOptions struct {
	// Overwrite existing file. Overwrite wins over `ignoreIfExists`
	Overwrite *bool `json:"overwrite,omitempty"`

	// Ignore if exists.
	IgnoreIfExists *bool `json:"ignoreIfExists,omitempty"`
}

// Rename file options
type RenameFileOptions struct {
	// Overwrite target if existing. Overwrite wins over `ignoreIfExists`
	Overwrite *bool `json:"overwrite,omitempty"`

	// Ignores if target exists.
	IgnoreIfExists *bool `json:"ignoreIfExists,omitempty"`
}

// Delete file options
type DeleteFileOptions struct {
	// Delete the content recursively if a folder is denoted.
	Recursive *bool `json:"recursive,omitempty"`

	// Ignore the operation if the file doesn't exist.
	IgnoreIfNotExists *bool `json:"ignoreIfNotExists,omitempty"`
}

// A pattern to describe in which file operation requests or notifications
// the server is interested in receiving.
//
// Since: 3.16.0
type FileOperationPattern struct {
	// The glob pattern to match. Glob patterns can have the following syntax:
	// - `*` to match one or more characters in a path segment
	// - `?` to match on one character in a path segment
	// - `**` to match any number of path segments, including none
	// - `{}` to group sub patterns into an OR expression. (e.g. `**​/*.{ts,js}` matches all TypeScript and JavaScript files)
	// - `[]` to declare a range of characters to match in a path segment (e.g., `example.[0-9]` to match on `example.0`, `example.1`, …)
	// - `[!...]` to negate a range of characters to match in a path segment (e.g., `example.[!0-9]` to match on `example.a`, `example.b`, but not `example.0`)
	Glob string `json:"glob"`

	// Whether to match files or folders with this pattern.
	//
	// Matches both if undefined.
	Matches *FileOperationPatternKind `json:"matches,omitempty"`

	// Additional options used during matching.
	Options *FileOperationPatternOptions `json:"options,omitempty"`
}

// A full document diagnostic report for a workspace diagnostic result.
//
// Since: 3.17.0
type WorkspaceFullDocumentDiagnosticReport struct {
	FullDocumentDiagnosticReport

	// The URI for which diagnostic information is reported.
	Uri DocumentUri `json:"uri"`

	// The version number for which the diagnostics are reported.
	// If the document is not marked as open `null` can be provided.
	Version *int32 `json:"version"`
}

// An unchanged document diagnostic report for a workspace diagnostic result.
//
// Since: 3.17.0
type WorkspaceUnchangedDocumentDiagnosticReport struct {
	UnchangedDocumentDiagnosticReport

	// The URI for which diagnostic information is reported.
	Uri DocumentUri `json:"uri"`

	// The version number for which the diagnostics are reported.
	// If the document is not marked as open `null` can be provided.
	Version *int32 `json:"version"`
}

// A notebook cell.
//
// A cell's document URI must be unique across ALL notebook
// cells and can therefore be used to uniquely identify a
// notebook cell or the cell's text document.
//
// Since: 3.17.0
type NotebookCell struct {
	// The cell's kind
	Kind NotebookCellKind `json:"kind"`

	// The URI of the cell's text document
	// content.
	Document DocumentUri `json:"document"`

	// Additional metadata stored with the cell.
	//
	// Note: should always be an object literal (e.g. LSPObject)
	Metadata *LSPObject `json:"metadata,omitempty"`

	// Additional execution summary information
	// if supported by the client.
	ExecutionSummary *ExecutionSummary `json:"executionSummary,omitempty"`
}

// Since: 3.18.0
type NotebookDocumentFilterWithNotebook struct {
	// The notebook to be synced If a string
	// value is provided it matches against the
	// notebook type. '*' matches every notebook.
	Notebook StringOrNotebookDocumentFilter `json:"notebook,omitempty"`

	// The cells of the matching notebook to be synced.
	Cells *[]NotebookCellLanguage `json:"cells,omitempty"`
}

// Since: 3.18.0
type NotebookDocumentFilterWithCells struct {
	// The notebook to be synced If a string
	// value is provided it matches against the
	// notebook type. '*' matches every notebook.
	Notebook *StringOrNotebookDocumentFilter `json:"notebook,omitempty"`

	// The cells of the matching notebook to be synced.
	Cells []NotebookCellLanguage `json:"cells"`
}

// Cell changes to a notebook document.
//
// Since: 3.18.0
type NotebookDocumentCellChanges struct {
	// Changes to the cell structure to add or
	// remove cells.
	Structure *NotebookDocumentCellChangeStructure `json:"structure,omitempty"`

	// Changes to notebook cells properties like its
	// kind, execution summary or metadata.
	Data *[]NotebookCell `json:"data,omitempty"`

	// Changes to the text content of notebook cells.
	TextContent *[]NotebookDocumentCellContentChanges `json:"textContent,omitempty"`
}

// Describes the currently selected completion item.
//
// Since: 3.18.0
//
// Proposed.
type SelectedCompletionInfo struct {
	// The range that will be replaced if this completion item is accepted.
	Range Range `json:"range"`

	// The text the range will be replaced with if this completion is accepted.
	Text string `json:"text"`
}

// Information about the client
//
// Since: 3.15.0
//
// Since: 3.18.0 ClientInfo type name added.
type ClientInfo struct {
	// The name of the client as defined by the client.
	Name string `json:"name"`

	// The client's version as defined by the client.
	Version *string `json:"version,omitempty"`
}

// Defines the capabilities provided by the client.
type ClientCapabilities struct {
	// Workspace specific client capabilities.
	Workspace *WorkspaceClientCapabilities `json:"workspace,omitempty"`

	// Text document specific client capabilities.
	TextDocument *TextDocumentClientCapabilities `json:"textDocument,omitempty"`

	// Capabilities specific to the notebook document support.
	//
	// Since: 3.17.0
	NotebookDocument *NotebookDocumentClientCapabilities `json:"notebookDocument,omitempty"`

	// Window specific client capabilities.
	Window *WindowClientCapabilities `json:"window,omitempty"`

	// General client capabilities.
	//
	// Since: 3.16.0
	General *GeneralClientCapabilities `json:"general,omitempty"`

	// Experimental client capabilities.
	Experimental *LSPAny `json:"experimental,omitempty"`
}

type TextDocumentSyncOptions struct {
	// Open and close notifications are sent to the server. If omitted open close notification should not
	// be sent.
	OpenClose *bool `json:"openClose,omitempty"`

	// Change notifications are sent to the server. See TextDocumentSyncKind.None, TextDocumentSyncKind.Full
	// and TextDocumentSyncKind.Incremental. If omitted it defaults to TextDocumentSyncKind.None.
	Change *TextDocumentSyncKind `json:"change,omitempty"`

	// If present will save notifications are sent to the server. If omitted the notification should not be
	// sent.
	WillSave *bool `json:"willSave,omitempty"`

	// If present will save wait until requests are sent to the server. If omitted the request should not be
	// sent.
	WillSaveWaitUntil *bool `json:"willSaveWaitUntil,omitempty"`

	// If present save notifications are sent to the server. If omitted the notification should not be
	// sent.
	Save *BooleanOrSaveOptions `json:"save,omitempty"`
}

// Defines workspace specific capabilities of the server.
//
// Since: 3.18.0
type WorkspaceOptions struct {
	// The server supports workspace folder.
	//
	// Since: 3.6.0
	WorkspaceFolders *WorkspaceFoldersServerCapabilities `json:"workspaceFolders,omitempty"`

	// The server is interested in notifications/requests for operations on files.
	//
	// Since: 3.16.0
	FileOperations *FileOperationOptions `json:"fileOperations,omitempty"`

	// The server supports the `workspace/textDocumentContent` request.
	//
	// Since: 3.18.0
	//
	// Proposed.
	TextDocumentContent *TextDocumentContentOptionsOrTextDocumentContentRegistrationOptions `json:"textDocumentContent,omitempty"`
}

// Since: 3.18.0
type TextDocumentContentChangePartial struct {
	// The range of the document that changed.
	Range Range `json:"range"`

	// The optional length of the range that got replaced.
	//
	// Deprecated: use range instead.
	RangeLength *uint32 `json:"rangeLength,omitempty"`

	// The new text for the provided range.
	Text string `json:"text"`
}

// Since: 3.18.0
type TextDocumentContentChangeWholeDocument struct {
	// The new text of the whole document.
	Text string `json:"text"`
}

// Structure to capture a description for an error code.
//
// Since: 3.16.0
type CodeDescription struct {
	// An URI to open with more information about the diagnostic error.
	Href URI `json:"href"`
}

// Represents a related message and source code location for a diagnostic. This should be
// used to point to code locations that cause or related to a diagnostics, e.g when duplicating
// a symbol in a scope.
type DiagnosticRelatedInformation struct {
	// The location of this related diagnostic information.
	Location Location `json:"location"`

	// The message of this related diagnostic information.
	Message string `json:"message"`
}

// Edit range variant that includes ranges for insert and replace operations.
//
// Since: 3.18.0
type EditRangeWithInsertReplace struct {
	Insert Range `json:"insert"`

	Replace Range `json:"replace"`
}

// Since: 3.18.0
type ServerCompletionItemOptions struct {
	// The server has support for completion item label
	// details (see also `CompletionItemLabelDetails`) when
	// receiving a completion item in a resolve call.
	//
	// Since: 3.17.0
	LabelDetailsSupport *bool `json:"labelDetailsSupport,omitempty"`
}

// Since: 3.18.0
//
// Deprecated: use MarkupContent instead.
type MarkedStringWithLanguage struct {
	Language string `json:"language"`

	Value string `json:"value"`
}

// Represents a parameter of a callable-signature. A parameter can
// have a label and a doc-comment.
type ParameterInformation struct {
	// The label of this parameter information.
	//
	// Either a string or an inclusive start and exclusive end offsets within its containing
	// signature label. (see SignatureInformation.label). The offsets are based on a UTF-16
	// string representation as `Position` and `Range` does.
	//
	// To avoid ambiguities a server should use the [start, end] offset value instead of using
	// a substring. Whether a client support this is controlled via `labelOffsetSupport` client
	// capability.
	//
	// *Note*: a label of type string should be a substring of its containing signature label.
	// Its intended use case is to highlight the parameter label part in the `SignatureInformation.label`.
	Label StringOrUintegerPair `json:"label,omitempty"`

	// The human-readable doc-comment of this parameter. Will be shown
	// in the UI but can be omitted.
	Documentation *StringOrMarkupContent `json:"documentation,omitempty"`
}

// Documentation for a class of code actions.
//
// Since: 3.18.0
//
// Proposed.
type CodeActionKindDocumentation struct {
	// The kind of the code action being documented.
	//
	// If the kind is generic, such as `CodeActionKind.Refactor`, the documentation will be shown whenever any
	// refactorings are returned. If the kind if more specific, such as `CodeActionKind.RefactorExtract`, the
	// documentation will only be shown when extract refactoring code actions are returned.
	Kind CodeActionKind `json:"kind"`

	// Command that is ued to display the documentation to the user.
	//
	// The title of this documentation code action is taken from Command.title
	Command Command `json:"command"`
}

// A notebook cell text document filter denotes a cell text
// document by different properties.
//
// Since: 3.17.0
type NotebookCellTextDocumentFilter struct {
	// A filter that matches against the notebook
	// containing the notebook cell. If a string
	// value is provided it matches against the
	// notebook type. '*' matches every notebook.
	Notebook StringOrNotebookDocumentFilter `json:"notebook,omitempty"`

	// A language id like `python`.
	//
	// Will be matched against the language id of the
	// notebook cell document. '*' matches every language.
	Language *string `json:"language,omitempty"`
}

// Matching options for the file operation pattern.
//
// Since: 3.16.0
type FileOperationPatternOptions struct {
	// The pattern should be matched ignoring casing.
	IgnoreCase *bool `json:"ignoreCase,omitempty"`
}

type ExecutionSummary struct {
	// A strict monotonically increasing value
	// indicating the execution order of a cell
	// inside a notebook.
	ExecutionOrder uint32 `json:"executionOrder"`

	// Whether the execution was successful or
	// not if known by the client.
	Success *bool `json:"success,omitempty"`
}

// Since: 3.18.0
type NotebookCellLanguage struct {
	Language string `json:"language"`
}

// Structural changes to cells in a notebook document.
//
// Since: 3.18.0
type NotebookDocumentCellChangeStructure struct {
	// The change to the cell array.
	Array NotebookCellArrayChange `json:"array"`

	// Additional opened cell text documents.
	DidOpen *[]TextDocumentItem `json:"didOpen,omitempty"`

	// Additional closed cell text documents.
	DidClose *[]TextDocumentIdentifier `json:"didClose,omitempty"`
}

// Content changes to a cell in a notebook document.
//
// Since: 3.18.0
type NotebookDocumentCellContentChanges struct {
	Document VersionedTextDocumentIdentifier `json:"document"`

	Changes []TextDocumentContentChangeEvent `json:"changes"`
}

// Workspace specific client capabilities.
type WorkspaceClientCapabilities struct {
	// The client supports applying batch edits
	// to the workspace by supporting the request
	// 'workspace/applyEdit'
	ApplyEdit *bool `json:"applyEdit,omitempty"`

	// Capabilities specific to `WorkspaceEdit`s.
	WorkspaceEdit *WorkspaceEditClientCapabilities `json:"workspaceEdit,omitempty"`

	// Capabilities specific to the `workspace/didChangeConfiguration` notification.
	DidChangeConfiguration *DidChangeConfigurationClientCapabilities `json:"didChangeConfiguration,omitempty"`

	// Capabilities specific to the `workspace/didChangeWatchedFiles` notification.
	DidChangeWatchedFiles *DidChangeWatchedFilesClientCapabilities `json:"didChangeWatchedFiles,omitempty"`

	// Capabilities specific to the `workspace/symbol` request.
	Symbol *WorkspaceSymbolClientCapabilities `json:"symbol,omitempty"`

	// Capabilities specific to the `workspace/executeCommand` request.
	ExecuteCommand *ExecuteCommandClientCapabilities `json:"executeCommand,omitempty"`

	// The client has support for workspace folders.
	//
	// Since: 3.6.0
	WorkspaceFolders *bool `json:"workspaceFolders,omitempty"`

	// The client supports `workspace/configuration` requests.
	//
	// Since: 3.6.0
	Configuration *bool `json:"configuration,omitempty"`

	// Capabilities specific to the semantic token requests scoped to the
	// workspace.
	//
	// Since: 3.16.0.
	SemanticTokens *SemanticTokensWorkspaceClientCapabilities `json:"semanticTokens,omitempty"`

	// Capabilities specific to the code lens requests scoped to the
	// workspace.
	//
	// Since: 3.16.0.
	CodeLens *CodeLensWorkspaceClientCapabilities `json:"codeLens,omitempty"`

	// The client has support for file notifications/requests for user operations on files.
	//
	// Since 3.16.0
	FileOperations *FileOperationClientCapabilities `json:"fileOperations,omitempty"`

	// Capabilities specific to the inline values requests scoped to the
	// workspace.
	//
	// Since: 3.17.0.
	InlineValue *InlineValueWorkspaceClientCapabilities `json:"inlineValue,omitempty"`

	// Capabilities specific to the inlay hint requests scoped to the
	// workspace.
	//
	// Since: 3.17.0.
	InlayHint *InlayHintWorkspaceClientCapabilities `json:"inlayHint,omitempty"`

	// Capabilities specific to the diagnostic requests scoped to the
	// workspace.
	//
	// Since: 3.17.0.
	Diagnostics *DiagnosticWorkspaceClientCapabilities `json:"diagnostics,omitempty"`

	// Capabilities specific to the folding range requests scoped to the workspace.
	//
	// Since: 3.18.0
	//
	// Proposed.
	FoldingRange *FoldingRangeWorkspaceClientCapabilities `json:"foldingRange,omitempty"`

	// Capabilities specific to the `workspace/textDocumentContent` request.
	//
	// Since: 3.18.0
	//
	// Proposed.
	TextDocumentContent *TextDocumentContentClientCapabilities `json:"textDocumentContent,omitempty"`
}

// Text document specific client capabilities.
type TextDocumentClientCapabilities struct {
	// Defines which synchronization capabilities the client supports.
	Synchronization *TextDocumentSyncClientCapabilities `json:"synchronization,omitempty"`

	// Defines which filters the client supports.
	//
	// Since: 3.18.0
	Filters *TextDocumentFilterClientCapabilities `json:"filters,omitempty"`

	// Capabilities specific to the `textDocument/completion` request.
	Completion *CompletionClientCapabilities `json:"completion,omitempty"`

	// Capabilities specific to the `textDocument/hover` request.
	Hover *HoverClientCapabilities `json:"hover,omitempty"`

	// Capabilities specific to the `textDocument/signatureHelp` request.
	SignatureHelp *SignatureHelpClientCapabilities `json:"signatureHelp,omitempty"`

	// Capabilities specific to the `textDocument/declaration` request.
	//
	// Since: 3.14.0
	Declaration *DeclarationClientCapabilities `json:"declaration,omitempty"`

	// Capabilities specific to the `textDocument/definition` request.
	Definition *DefinitionClientCapabilities `json:"definition,omitempty"`

	// Capabilities specific to the `textDocument/typeDefinition` request.
	//
	// Since: 3.6.0
	TypeDefinition *TypeDefinitionClientCapabilities `json:"typeDefinition,omitempty"`

	// Capabilities specific to the `textDocument/implementation` request.
	//
	// Since: 3.6.0
	Implementation *ImplementationClientCapabilities `json:"implementation,omitempty"`

	// Capabilities specific to the `textDocument/references` request.
	References *ReferenceClientCapabilities `json:"references,omitempty"`

	// Capabilities specific to the `textDocument/documentHighlight` request.
	DocumentHighlight *DocumentHighlightClientCapabilities `json:"documentHighlight,omitempty"`

	// Capabilities specific to the `textDocument/documentSymbol` request.
	DocumentSymbol *DocumentSymbolClientCapabilities `json:"documentSymbol,omitempty"`

	// Capabilities specific to the `textDocument/codeAction` request.
	CodeAction *CodeActionClientCapabilities `json:"codeAction,omitempty"`

	// Capabilities specific to the `textDocument/codeLens` request.
	CodeLens *CodeLensClientCapabilities `json:"codeLens,omitempty"`

	// Capabilities specific to the `textDocument/documentLink` request.
	DocumentLink *DocumentLinkClientCapabilities `json:"documentLink,omitempty"`

	// Capabilities specific to the `textDocument/documentColor` and the
	// `textDocument/colorPresentation` request.
	//
	// Since: 3.6.0
	ColorProvider *DocumentColorClientCapabilities `json:"colorProvider,omitempty"`

	// Capabilities specific to the `textDocument/formatting` request.
	Formatting *DocumentFormattingClientCapabilities `json:"formatting,omitempty"`

	// Capabilities specific to the `textDocument/rangeFormatting` request.
	RangeFormatting *DocumentRangeFormattingClientCapabilities `json:"rangeFormatting,omitempty"`

	// Capabilities specific to the `textDocument/onTypeFormatting` request.
	OnTypeFormatting *DocumentOnTypeFormattingClientCapabilities `json:"onTypeFormatting,omitempty"`

	// Capabilities specific to the `textDocument/rename` request.
	Rename *RenameClientCapabilities `json:"rename,omitempty"`

	// Capabilities specific to the `textDocument/foldingRange` request.
	//
	// Since: 3.10.0
	FoldingRange *FoldingRangeClientCapabilities `json:"foldingRange,omitempty"`

	// Capabilities specific to the `textDocument/selectionRange` request.
	//
	// Since: 3.15.0
	SelectionRange *SelectionRangeClientCapabilities `json:"selectionRange,omitempty"`

	// Capabilities specific to the `textDocument/publishDiagnostics` notification.
	PublishDiagnostics *PublishDiagnosticsClientCapabilities `json:"publishDiagnostics,omitempty"`

	// Capabilities specific to the various call hierarchy requests.
	//
	// Since: 3.16.0
	CallHierarchy *CallHierarchyClientCapabilities `json:"callHierarchy,omitempty"`

	// Capabilities specific to the various semantic token request.
	//
	// Since: 3.16.0
	SemanticTokens *SemanticTokensClientCapabilities `json:"semanticTokens,omitempty"`

	// Capabilities specific to the `textDocument/linkedEditingRange` request.
	//
	// Since: 3.16.0
	LinkedEditingRange *LinkedEditingRangeClientCapabilities `json:"linkedEditingRange,omitempty"`

	// Client capabilities specific to the `textDocument/moniker` request.
	//
	// Since: 3.16.0
	Moniker *MonikerClientCapabilities `json:"moniker,omitempty"`

	// Capabilities specific to the various type hierarchy requests.
	//
	// Since: 3.17.0
	TypeHierarchy *TypeHierarchyClientCapabilities `json:"typeHierarchy,omitempty"`

	// Capabilities specific to the `textDocument/inlineValue` request.
	//
	// Since: 3.17.0
	InlineValue *InlineValueClientCapabilities `json:"inlineValue,omitempty"`

	// Capabilities specific to the `textDocument/inlayHint` request.
	//
	// Since: 3.17.0
	InlayHint *InlayHintClientCapabilities `json:"inlayHint,omitempty"`

	// Capabilities specific to the diagnostic pull model.
	//
	// Since: 3.17.0
	Diagnostic *DiagnosticClientCapabilities `json:"diagnostic,omitempty"`

	// Client capabilities specific to inline completions.
	//
	// Since: 3.18.0
	//
	// Proposed.
	InlineCompletion *InlineCompletionClientCapabilities `json:"inlineCompletion,omitempty"`
}

// Capabilities specific to the notebook document support.
//
// Since: 3.17.0
type NotebookDocumentClientCapabilities struct {
	// Capabilities specific to notebook document synchronization
	//
	// Since: 3.17.0
	Synchronization NotebookDocumentSyncClientCapabilities `json:"synchronization"`
}

type WindowClientCapabilities struct {
	// It indicates whether the client supports server initiated
	// progress using the `window/workDoneProgress/create` request.
	//
	// The capability also controls Whether client supports handling
	// of progress notifications. If set servers are allowed to report a
	// `workDoneProgress` property in the request specific server
	// capabilities.
	//
	// Since: 3.15.0
	WorkDoneProgress *bool `json:"workDoneProgress,omitempty"`

	// Capabilities specific to the showMessage request.
	//
	// Since: 3.16.0
	ShowMessage *ShowMessageRequestClientCapabilities `json:"showMessage,omitempty"`

	// Capabilities specific to the showDocument request.
	//
	// Since: 3.16.0
	ShowDocument *ShowDocumentClientCapabilities `json:"showDocument,omitempty"`
}

// General client capabilities.
//
// Since: 3.16.0
type GeneralClientCapabilities struct {
	// Client capability that signals how the client
	// handles stale requests (e.g. a request
	// for which the client will not process the response
	// anymore since the information is outdated).
	//
	// Since: 3.17.0
	StaleRequestSupport *StaleRequestSupportOptions `json:"staleRequestSupport,omitempty"`

	// Client capabilities specific to regular expressions.
	//
	// Since: 3.16.0
	RegularExpressions *RegularExpressionsClientCapabilities `json:"regularExpressions,omitempty"`

	// Client capabilities specific to the client's markdown parser.
	//
	// Since: 3.16.0
	Markdown *MarkdownClientCapabilities `json:"markdown,omitempty"`

	// The position encodings supported by the client. Client and server
	// have to agree on the same position encoding to ensure that offsets
	// (e.g. character position in a line) are interpreted the same on both
	// sides.
	//
	// To keep the protocol backwards compatible the following applies: if
	// the value 'utf-16' is missing from the array of position encodings
	// servers can assume that the client supports UTF-16. UTF-16 is
	// therefore a mandatory encoding.
	//
	// If omitted it defaults to ['utf-16'].
	//
	// Implementation considerations: since the conversion from one encoding
	// into another requires the content of the file / line the conversion
	// is best done where the file is read which is usually on the server
	// side.
	//
	// Since: 3.17.0
	PositionEncodings *[]PositionEncodingKind `json:"positionEncodings,omitempty"`
}

type WorkspaceFoldersServerCapabilities struct {
	// The server has support for workspace folders
	Supported *bool `json:"supported,omitempty"`

	// Whether the server wants to receive workspace folder
	// change notifications.
	//
	// If a string is provided the string is treated as an ID
	// under which the notification is registered on the client
	// side. The ID can be used to unregister for these events
	// using the `client/unregisterCapability` request.
	ChangeNotifications *StringOrBoolean `json:"changeNotifications,omitempty"`
}

// Options for notifications/requests for user operations on files.
//
// Since: 3.16.0
type FileOperationOptions struct {
	// The server is interested in receiving didCreateFiles notifications.
	DidCreate *FileOperationRegistrationOptions `json:"didCreate,omitempty"`

	// The server is interested in receiving willCreateFiles requests.
	WillCreate *FileOperationRegistrationOptions `json:"willCreate,omitempty"`

	// The server is interested in receiving didRenameFiles notifications.
	DidRename *FileOperationRegistrationOptions `json:"didRename,omitempty"`

	// The server is interested in receiving willRenameFiles requests.
	WillRename *FileOperationRegistrationOptions `json:"willRename,omitempty"`

	// The server is interested in receiving didDeleteFiles file notifications.
	DidDelete *FileOperationRegistrationOptions `json:"didDelete,omitempty"`

	// The server is interested in receiving willDeleteFiles file requests.
	WillDelete *FileOperationRegistrationOptions `json:"willDelete,omitempty"`
}

// A relative pattern is a helper to construct glob patterns that are matched
// relatively to a base URI. The common value for a `baseUri` is a workspace
// folder root, but it can be another absolute URI as well.
//
// Since: 3.17.0
type RelativePattern struct {
	// A workspace folder or a base URI to which this pattern will be matched
	// against relatively.
	BaseUri WorkspaceFolderOrURI `json:"baseUri,omitempty"`

	// The actual glob pattern;
	Pattern Pattern `json:"pattern"`
}

// A document filter where `language` is required field.
//
// Since: 3.18.0
type TextDocumentFilterLanguage struct {
	// A language id, like `typescript`.
	Language string `json:"language"`

	// A Uri scheme, like `file` or `untitled`.
	Scheme *string `json:"scheme,omitempty"`

	// A glob pattern, like **​/*.{ts,js}. See TextDocumentFilter for examples.
	//
	// Since: 3.18.0 - support for relative patterns. Whether clients support
	//
	// relative patterns depends on the client capability
	// `textDocuments.filters.relativePatternSupport`.
	Pattern *GlobPattern `json:"pattern,omitempty"`
}

// A document filter where `scheme` is required field.
//
// Since: 3.18.0
type TextDocumentFilterScheme struct {
	// A language id, like `typescript`.
	Language *string `json:"language,omitempty"`

	// A Uri scheme, like `file` or `untitled`.
	Scheme string `json:"scheme"`

	// A glob pattern, like **​/*.{ts,js}. See TextDocumentFilter for examples.
	//
	// Since: 3.18.0 - support for relative patterns. Whether clients support
	//
	// relative patterns depends on the client capability
	// `textDocuments.filters.relativePatternSupport`.
	Pattern *GlobPattern `json:"pattern,omitempty"`
}

// A document filter where `pattern` is required field.
//
// Since: 3.18.0
type TextDocumentFilterPattern struct {
	// A language id, like `typescript`.
	Language *string `json:"language,omitempty"`

	// A Uri scheme, like `file` or `untitled`.
	Scheme *string `json:"scheme,omitempty"`

	// A glob pattern, like **​/*.{ts,js}. See TextDocumentFilter for examples.
	//
	// Since: 3.18.0 - support for relative patterns. Whether clients support
	//
	// relative patterns depends on the client capability
	// `textDocuments.filters.relativePatternSupport`.
	Pattern GlobPattern `json:"pattern"`
}

// A notebook document filter where `notebookType` is required field.
//
// Since: 3.18.0
type NotebookDocumentFilterNotebookType struct {
	// The type of the enclosing notebook.
	NotebookType string `json:"notebookType"`

	// A Uri scheme, like `file` or `untitled`.
	Scheme *string `json:"scheme,omitempty"`

	// A glob pattern.
	Pattern *GlobPattern `json:"pattern,omitempty"`
}

// A notebook document filter where `scheme` is required field.
//
// Since: 3.18.0
type NotebookDocumentFilterScheme struct {
	// The type of the enclosing notebook.
	NotebookType *string `json:"notebookType,omitempty"`

	// A Uri scheme, like `file` or `untitled`.
	Scheme string `json:"scheme"`

	// A glob pattern.
	Pattern *GlobPattern `json:"pattern,omitempty"`
}

// A notebook document filter where `pattern` is required field.
//
// Since: 3.18.0
type NotebookDocumentFilterPattern struct {
	// The type of the enclosing notebook.
	NotebookType *string `json:"notebookType,omitempty"`

	// A Uri scheme, like `file` or `untitled`.
	Scheme *string `json:"scheme,omitempty"`

	// A glob pattern.
	Pattern GlobPattern `json:"pattern"`
}

// A change describing how to move a `NotebookCell`
// array from state S to S'.
//
// Since: 3.17.0
type NotebookCellArrayChange struct {
	// The start oftest of the cell that changed.
	Start uint32 `json:"start"`

	// The deleted cells
	DeleteCount uint32 `json:"deleteCount"`

	// The new cells, if any
	Cells *[]NotebookCell `json:"cells,omitempty"`
}

type WorkspaceEditClientCapabilities struct {
	// The client supports versioned document changes in `WorkspaceEdit`s
	DocumentChanges *bool `json:"documentChanges,omitempty"`

	// The resource operations the client supports. Clients should at least
	// support 'create', 'rename' and 'delete' files and folders.
	//
	// Since: 3.13.0
	ResourceOperations *[]ResourceOperationKind `json:"resourceOperations,omitempty"`

	// The failure handling strategy of a client if applying the workspace edit
	// fails.
	//
	// Since: 3.13.0
	FailureHandling *FailureHandlingKind `json:"failureHandling,omitempty"`

	// Whether the client normalizes line endings to the client specific
	// setting.
	// If set to `true` the client will normalize line ending characters
	// in a workspace edit to the client-specified new line
	// character.
	//
	// Since: 3.16.0
	NormalizesLineEndings *bool `json:"normalizesLineEndings,omitempty"`

	// Whether the client in general supports change annotations on text edits,
	// create file, rename file and delete file changes.
	//
	// Since: 3.16.0
	ChangeAnnotationSupport *ChangeAnnotationsSupportOptions `json:"changeAnnotationSupport,omitempty"`

	// Whether the client supports `WorkspaceEditMetadata` in `WorkspaceEdit`s.
	//
	// Since: 3.18.0
	//
	// Proposed.
	MetadataSupport *bool `json:"metadataSupport,omitempty"`

	// Whether the client supports snippets as text edits.
	//
	// Since: 3.18.0
	//
	// Proposed.
	SnippetEditSupport *bool `json:"snippetEditSupport,omitempty"`
}

type DidChangeConfigurationClientCapabilities struct {
	// Did change configuration notification supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

type DidChangeWatchedFilesClientCapabilities struct {
	// Did change watched files notification supports dynamic registration. Please note
	// that the current protocol doesn't support static configuration for file changes
	// from the server side.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// Whether the client has support for pattern
	// or not.
	//
	// Since: 3.17.0
	RelativePatternSupport *bool `json:"relativePatternSupport,omitempty"`
}

// Client capabilities for a WorkspaceSymbolRequest.
type WorkspaceSymbolClientCapabilities struct {
	// Symbol request supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// Specific capabilities for the `SymbolKind` in the `workspace/symbol` request.
	SymbolKind *ClientSymbolKindOptions `json:"symbolKind,omitempty"`

	// The client supports tags on `SymbolInformation`.
	// Clients supporting tags have to handle unknown tags gracefully.
	//
	// Since: 3.16.0
	TagSupport *ClientSymbolTagOptions `json:"tagSupport,omitempty"`

	// The client support partial workspace symbols. The client will send the
	// request `workspaceSymbol/resolve` to the server to resolve additional
	// properties.
	//
	// Since: 3.17.0
	ResolveSupport *ClientSymbolResolveOptions `json:"resolveSupport,omitempty"`
}

// The client capabilities of a ExecuteCommandRequest.
type ExecuteCommandClientCapabilities struct {
	// Execute command supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// Since: 3.16.0
type SemanticTokensWorkspaceClientCapabilities struct {
	// Whether the client implementation supports a refresh request sent from
	// the server to the client.
	//
	// Note that this event is global and will force the client to refresh all
	// semantic tokens currently shown. It should be used with absolute care
	// and is useful for situation where a server for example detects a project
	// wide change that requires such a calculation.
	RefreshSupport *bool `json:"refreshSupport,omitempty"`
}

// Since: 3.16.0
type CodeLensWorkspaceClientCapabilities struct {
	// Whether the client implementation supports a refresh request sent from the
	// server to the client.
	//
	// Note that this event is global and will force the client to refresh all
	// code lenses currently shown. It should be used with absolute care and is
	// useful for situation where a server for example detect a project wide
	// change that requires such a calculation.
	RefreshSupport *bool `json:"refreshSupport,omitempty"`
}

// Capabilities relating to events from file operations by the user in the client.
//
// These events do not come from the file system, they come from user operations
// like renaming a file in the UI.
//
// Since: 3.16.0
type FileOperationClientCapabilities struct {
	// Whether the client supports dynamic registration for file requests/notifications.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// The client has support for sending didCreateFiles notifications.
	DidCreate *bool `json:"didCreate,omitempty"`

	// The client has support for sending willCreateFiles requests.
	WillCreate *bool `json:"willCreate,omitempty"`

	// The client has support for sending didRenameFiles notifications.
	DidRename *bool `json:"didRename,omitempty"`

	// The client has support for sending willRenameFiles requests.
	WillRename *bool `json:"willRename,omitempty"`

	// The client has support for sending didDeleteFiles notifications.
	DidDelete *bool `json:"didDelete,omitempty"`

	// The client has support for sending willDeleteFiles requests.
	WillDelete *bool `json:"willDelete,omitempty"`
}

// Client workspace capabilities specific to inline values.
//
// Since: 3.17.0
type InlineValueWorkspaceClientCapabilities struct {
	// Whether the client implementation supports a refresh request sent from the
	// server to the client.
	//
	// Note that this event is global and will force the client to refresh all
	// inline values currently shown. It should be used with absolute care and is
	// useful for situation where a server for example detects a project wide
	// change that requires such a calculation.
	RefreshSupport *bool `json:"refreshSupport,omitempty"`
}

// Client workspace capabilities specific to inlay hints.
//
// Since: 3.17.0
type InlayHintWorkspaceClientCapabilities struct {
	// Whether the client implementation supports a refresh request sent from
	// the server to the client.
	//
	// Note that this event is global and will force the client to refresh all
	// inlay hints currently shown. It should be used with absolute care and
	// is useful for situation where a server for example detects a project wide
	// change that requires such a calculation.
	RefreshSupport *bool `json:"refreshSupport,omitempty"`
}

// Workspace client capabilities specific to diagnostic pull requests.
//
// Since: 3.17.0
type DiagnosticWorkspaceClientCapabilities struct {
	// Whether the client implementation supports a refresh request sent from
	// the server to the client.
	//
	// Note that this event is global and will force the client to refresh all
	// pulled diagnostics currently shown. It should be used with absolute care and
	// is useful for situation where a server for example detects a project wide
	// change that requires such a calculation.
	RefreshSupport *bool `json:"refreshSupport,omitempty"`
}

// Client workspace capabilities specific to folding ranges
//
// Since: 3.18.0
//
// Proposed.
type FoldingRangeWorkspaceClientCapabilities struct {
	// Whether the client implementation supports a refresh request sent from the
	// server to the client.
	//
	// Note that this event is global and will force the client to refresh all
	// folding ranges currently shown. It should be used with absolute care and is
	// useful for situation where a server for example detects a project wide
	// change that requires such a calculation.
	//
	// Since: 3.18.0
	//
	// Proposed.
	RefreshSupport *bool `json:"refreshSupport,omitempty"`
}

// Client capabilities for a text document content provider.
//
// Since: 3.18.0
//
// Proposed.
type TextDocumentContentClientCapabilities struct {
	// Text document content provider supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

type TextDocumentSyncClientCapabilities struct {
	// Whether text document synchronization supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// The client supports sending will save notifications.
	WillSave *bool `json:"willSave,omitempty"`

	// The client supports sending a will save request and
	// waits for a response providing text edits which will
	// be applied to the document before it is saved.
	WillSaveWaitUntil *bool `json:"willSaveWaitUntil,omitempty"`

	// The client supports did save notifications.
	DidSave *bool `json:"didSave,omitempty"`
}

type TextDocumentFilterClientCapabilities struct {
	// The client supports Relative Patterns.
	//
	// Since: 3.18.0
	RelativePatternSupport *bool `json:"relativePatternSupport,omitempty"`
}

// Completion client capabilities
type CompletionClientCapabilities struct {
	// Whether completion supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// The client supports the following `CompletionItem` specific
	// capabilities.
	CompletionItem *ClientCompletionItemOptions `json:"completionItem,omitempty"`

	CompletionItemKind *ClientCompletionItemOptionsKind `json:"completionItemKind,omitempty"`

	// Defines how the client handles whitespace and indentation
	// when accepting a completion item that uses multi line
	// text in either `insertText` or `textEdit`.
	//
	// Since: 3.17.0
	InsertTextMode *InsertTextMode `json:"insertTextMode,omitempty"`

	// The client supports to send additional context information for a
	// `textDocument/completion` request.
	ContextSupport *bool `json:"contextSupport,omitempty"`

	// The client supports the following `CompletionList` specific
	// capabilities.
	//
	// Since: 3.17.0
	CompletionList *CompletionListCapabilities `json:"completionList,omitempty"`
}

type HoverClientCapabilities struct {
	// Whether hover supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// Client supports the following content formats for the content
	// property. The order describes the preferred format of the client.
	ContentFormat *[]MarkupKind `json:"contentFormat,omitempty"`
}

// Client Capabilities for a SignatureHelpRequest.
type SignatureHelpClientCapabilities struct {
	// Whether signature help supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// The client supports the following `SignatureInformation`
	// specific properties.
	SignatureInformation *ClientSignatureInformationOptions `json:"signatureInformation,omitempty"`

	// The client supports to send additional context information for a
	// `textDocument/signatureHelp` request. A client that opts into
	// contextSupport will also support the `retriggerCharacters` on
	// `SignatureHelpOptions`.
	//
	// Since: 3.15.0
	ContextSupport *bool `json:"contextSupport,omitempty"`
}

// Since: 3.14.0
type DeclarationClientCapabilities struct {
	// Whether declaration supports dynamic registration. If this is set to `true`
	// the client supports the new `DeclarationRegistrationOptions` return value
	// for the corresponding server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// The client supports additional metadata in the form of declaration links.
	LinkSupport *bool `json:"linkSupport,omitempty"`
}

// Client Capabilities for a DefinitionRequest.
type DefinitionClientCapabilities struct {
	// Whether definition supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// The client supports additional metadata in the form of definition links.
	//
	// Since: 3.14.0
	LinkSupport *bool `json:"linkSupport,omitempty"`
}

// Since 3.6.0
type TypeDefinitionClientCapabilities struct {
	// Whether implementation supports dynamic registration. If this is set to `true`
	// the client supports the new `TypeDefinitionRegistrationOptions` return value
	// for the corresponding server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// The client supports additional metadata in the form of definition links.
	//
	// Since 3.14.0
	LinkSupport *bool `json:"linkSupport,omitempty"`
}

// Since: 3.6.0
type ImplementationClientCapabilities struct {
	// Whether implementation supports dynamic registration. If this is set to `true`
	// the client supports the new `ImplementationRegistrationOptions` return value
	// for the corresponding server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// The client supports additional metadata in the form of definition links.
	//
	// Since: 3.14.0
	LinkSupport *bool `json:"linkSupport,omitempty"`
}

// Client Capabilities for a ReferencesRequest.
type ReferenceClientCapabilities struct {
	// Whether references supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// Client Capabilities for a DocumentHighlightRequest.
type DocumentHighlightClientCapabilities struct {
	// Whether document highlight supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// Client Capabilities for a DocumentSymbolRequest.
type DocumentSymbolClientCapabilities struct {
	// Whether document symbol supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// Specific capabilities for the `SymbolKind` in the
	// `textDocument/documentSymbol` request.
	SymbolKind *ClientSymbolKindOptions `json:"symbolKind,omitempty"`

	// The client supports hierarchical document symbols.
	HierarchicalDocumentSymbolSupport *bool `json:"hierarchicalDocumentSymbolSupport,omitempty"`

	// The client supports tags on `SymbolInformation`. Tags are supported on
	// `DocumentSymbol` if `hierarchicalDocumentSymbolSupport` is set to true.
	// Clients supporting tags have to handle unknown tags gracefully.
	//
	// Since: 3.16.0
	TagSupport *ClientSymbolTagOptions `json:"tagSupport,omitempty"`

	// The client supports an additional label presented in the UI when
	// registering a document symbol provider.
	//
	// Since: 3.16.0
	LabelSupport *bool `json:"labelSupport,omitempty"`
}

// The Client Capabilities of a CodeActionRequest.
type CodeActionClientCapabilities struct {
	// Whether code action supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// The client support code action literals of type `CodeAction` as a valid
	// response of the `textDocument/codeAction` request. If the property is not
	// set the request can only return `Command` literals.
	//
	// Since: 3.8.0
	CodeActionLiteralSupport *ClientCodeActionLiteralOptions `json:"codeActionLiteralSupport,omitempty"`

	// Whether code action supports the `isPreferred` property.
	//
	// Since: 3.15.0
	IsPreferredSupport *bool `json:"isPreferredSupport,omitempty"`

	// Whether code action supports the `disabled` property.
	//
	// Since: 3.16.0
	DisabledSupport *bool `json:"disabledSupport,omitempty"`

	// Whether code action supports the `data` property which is
	// preserved between a `textDocument/codeAction` and a
	// `codeAction/resolve` request.
	//
	// Since: 3.16.0
	DataSupport *bool `json:"dataSupport,omitempty"`

	// Whether the client supports resolving additional code action
	// properties via a separate `codeAction/resolve` request.
	//
	// Since: 3.16.0
	ResolveSupport *ClientCodeActionResolveOptions `json:"resolveSupport,omitempty"`

	// Whether the client honors the change annotations in
	// text edits and resource operations returned via the
	// `CodeAction#edit` property by for example presenting
	// the workspace edit in the user interface and asking
	// for confirmation.
	//
	// Since: 3.16.0
	HonorsChangeAnnotations *bool `json:"honorsChangeAnnotations,omitempty"`

	// Whether the client supports documentation for a class of
	// code actions.
	//
	// Since: 3.18.0
	//
	// Proposed.
	DocumentationSupport *bool `json:"documentationSupport,omitempty"`

	// Client supports the tag property on a code action. Clients
	// supporting tags have to handle unknown tags gracefully.
	//
	// Since: 3.18.0 - proposed
	TagSupport *CodeActionTagOptions `json:"tagSupport,omitempty"`
}

// The client capabilities of a CodeLensRequest.
type CodeLensClientCapabilities struct {
	// Whether code lens supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// Whether the client supports resolving additional code lens
	// properties via a separate `codeLens/resolve` request.
	//
	// Since: 3.18.0
	ResolveSupport *ClientCodeLensResolveOptions `json:"resolveSupport,omitempty"`
}

// The client capabilities of a DocumentLinkRequest.
type DocumentLinkClientCapabilities struct {
	// Whether document link supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// Whether the client supports the `tooltip` property on `DocumentLink`.
	//
	// Since: 3.15.0
	TooltipSupport *bool `json:"tooltipSupport,omitempty"`
}

type DocumentColorClientCapabilities struct {
	// Whether implementation supports dynamic registration. If this is set to `true`
	// the client supports the new `DocumentColorRegistrationOptions` return value
	// for the corresponding server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// Client capabilities of a DocumentFormattingRequest.
type DocumentFormattingClientCapabilities struct {
	// Whether formatting supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// Client capabilities of a DocumentRangeFormattingRequest.
type DocumentRangeFormattingClientCapabilities struct {
	// Whether range formatting supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// Whether the client supports formatting multiple ranges at once.
	//
	// Since: 3.18.0
	//
	// Proposed.
	RangesSupport *bool `json:"rangesSupport,omitempty"`
}

// Client capabilities of a DocumentOnTypeFormattingRequest.
type DocumentOnTypeFormattingClientCapabilities struct {
	// Whether on type formatting supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

type RenameClientCapabilities struct {
	// Whether rename supports dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// Client supports testing for validity of rename operations
	// before execution.
	//
	// Since: 3.12.0
	PrepareSupport *bool `json:"prepareSupport,omitempty"`

	// Client supports the default behavior result.
	//
	// The value indicates the default behavior used by the
	// client.
	//
	// Since: 3.16.0
	PrepareSupportDefaultBehavior *PrepareSupportDefaultBehavior `json:"prepareSupportDefaultBehavior,omitempty"`

	// Whether the client honors the change annotations in
	// text edits and resource operations returned via the
	// rename request's workspace edit by for example presenting
	// the workspace edit in the user interface and asking
	// for confirmation.
	//
	// Since: 3.16.0
	HonorsChangeAnnotations *bool `json:"honorsChangeAnnotations,omitempty"`
}

type FoldingRangeClientCapabilities struct {
	// Whether implementation supports dynamic registration for folding range
	// providers. If this is set to `true` the client supports the new
	// `FoldingRangeRegistrationOptions` return value for the corresponding
	// server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// The maximum number of folding ranges that the client prefers to receive
	// per document. The value serves as a hint, servers are free to follow the
	// limit.
	RangeLimit *uint32 `json:"rangeLimit,omitempty"`

	// If set, the client signals that it only supports folding complete lines.
	// If set, client will ignore specified `startCharacter` and `endCharacter`
	// properties in a FoldingRange.
	LineFoldingOnly *bool `json:"lineFoldingOnly,omitempty"`

	// Specific options for the folding range kind.
	//
	// Since: 3.17.0
	FoldingRangeKind *ClientFoldingRangeKindOptions `json:"foldingRangeKind,omitempty"`

	// Specific options for the folding range.
	//
	// Since: 3.17.0
	FoldingRange *ClientFoldingRangeOptions `json:"foldingRange,omitempty"`
}

type SelectionRangeClientCapabilities struct {
	// Whether implementation supports dynamic registration for selection range providers. If this is set to `true`
	// the client supports the new `SelectionRangeRegistrationOptions` return value for the corresponding server
	// capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// The publish diagnostic client capabilities.
type PublishDiagnosticsClientCapabilities struct {
	DiagnosticsCapabilities

	// Whether the client interprets the version property of the
	// `textDocument/publishDiagnostics` notification's parameter.
	//
	// Since: 3.15.0
	VersionSupport *bool `json:"versionSupport,omitempty"`
}

// Since: 3.16.0
type CallHierarchyClientCapabilities struct {
	// Whether implementation supports dynamic registration. If this is set to `true`
	// the client supports the new `(TextDocumentRegistrationOptions & StaticRegistrationOptions)`
	// return value for the corresponding server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// Since: 3.16.0
type SemanticTokensClientCapabilities struct {
	// Whether implementation supports dynamic registration. If this is set to `true`
	// the client supports the new `(TextDocumentRegistrationOptions & StaticRegistrationOptions)`
	// return value for the corresponding server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// Which requests the client supports and might send to the server
	// depending on the server's capability. Please note that clients might not
	// show semantic tokens or degrade some of the user experience if a range
	// or full request is advertised by the client but not provided by the
	// server. If for example the client capability `requests.full` and
	// `request.range` are both set to true but the server only provides a
	// range provider the client might not render a minimap correctly or might
	// even decide to not show any semantic tokens at all.
	Requests ClientSemanticTokensRequestOptions `json:"requests"`

	// The token types that the client supports.
	TokenTypes []string `json:"tokenTypes"`

	// The token modifiers that the client supports.
	TokenModifiers []string `json:"tokenModifiers"`

	// The token formats the clients supports.
	Formats []TokenFormat `json:"formats"`

	// Whether the client supports tokens that can overlap each other.
	OverlappingTokenSupport *bool `json:"overlappingTokenSupport,omitempty"`

	// Whether the client supports tokens that can span multiple lines.
	MultilineTokenSupport *bool `json:"multilineTokenSupport,omitempty"`

	// Whether the client allows the server to actively cancel a
	// semantic token request, e.g. supports returning
	// LSPErrorCodes.ServerCancelled. If a server does the client
	// needs to retrigger the request.
	//
	// Since: 3.17.0
	ServerCancelSupport *bool `json:"serverCancelSupport,omitempty"`

	// Whether the client uses semantic tokens to augment existing
	// syntax tokens. If set to `true` client side created syntax
	// tokens and semantic tokens are both used for colorization. If
	// set to `false` the client only uses the returned semantic tokens
	// for colorization.
	//
	// If the value is `undefined` then the client behavior is not
	// specified.
	//
	// Since: 3.17.0
	AugmentsSyntaxTokens *bool `json:"augmentsSyntaxTokens,omitempty"`
}

// Client capabilities for the linked editing range request.
//
// Since: 3.16.0
type LinkedEditingRangeClientCapabilities struct {
	// Whether implementation supports dynamic registration. If this is set to `true`
	// the client supports the new `(TextDocumentRegistrationOptions & StaticRegistrationOptions)`
	// return value for the corresponding server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// Client capabilities specific to the moniker request.
//
// Since: 3.16.0
type MonikerClientCapabilities struct {
	// Whether moniker supports dynamic registration. If this is set to `true`
	// the client supports the new `MonikerRegistrationOptions` return value
	// for the corresponding server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// Since: 3.17.0
type TypeHierarchyClientCapabilities struct {
	// Whether implementation supports dynamic registration. If this is set to `true`
	// the client supports the new `(TextDocumentRegistrationOptions & StaticRegistrationOptions)`
	// return value for the corresponding server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// Client capabilities specific to inline values.
//
// Since: 3.17.0
type InlineValueClientCapabilities struct {
	// Whether implementation supports dynamic registration for inline value providers.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// Inlay hint client capabilities.
//
// Since: 3.17.0
type InlayHintClientCapabilities struct {
	// Whether inlay hints support dynamic registration.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// Indicates which properties a client can resolve lazily on an inlay
	// hint.
	ResolveSupport *ClientInlayHintResolveOptions `json:"resolveSupport,omitempty"`
}

// Client capabilities specific to diagnostic pull requests.
//
// Since: 3.17.0
type DiagnosticClientCapabilities struct {
	DiagnosticsCapabilities

	// Whether implementation supports dynamic registration. If this is set to `true`
	// the client supports the new `(TextDocumentRegistrationOptions & StaticRegistrationOptions)`
	// return value for the corresponding server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// Whether the clients supports related documents for document diagnostic pulls.
	RelatedDocumentSupport *bool `json:"relatedDocumentSupport,omitempty"`
}

// Client capabilities specific to inline completions.
//
// Since: 3.18.0
//
// Proposed.
type InlineCompletionClientCapabilities struct {
	// Whether implementation supports dynamic registration for inline completion providers.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`
}

// Notebook specific client capabilities.
//
// Since: 3.17.0
type NotebookDocumentSyncClientCapabilities struct {
	// Whether implementation supports dynamic registration. If this is
	// set to `true` the client supports the new
	// `(TextDocumentRegistrationOptions & StaticRegistrationOptions)`
	// return value for the corresponding server capability as well.
	DynamicRegistration *bool `json:"dynamicRegistration,omitempty"`

	// The client supports sending execution summary data per cell.
	ExecutionSummarySupport *bool `json:"executionSummarySupport,omitempty"`
}

// Show message request client capabilities
type ShowMessageRequestClientCapabilities struct {
	// Capabilities specific to the `MessageActionItem` type.
	MessageActionItem *ClientShowMessageActionItemOptions `json:"messageActionItem,omitempty"`
}

// Client capabilities for the showDocument request.
//
// Since: 3.16.0
type ShowDocumentClientCapabilities struct {
	// The client has support for the showDocument
	// request.
	Support bool `json:"support"`
}

// Since: 3.18.0
type StaleRequestSupportOptions struct {
	// The client will actively cancel the request.
	Cancel bool `json:"cancel"`

	// The list of requests for which the client
	// will retry the request if it receives a
	// response with error code `ContentModified`
	RetryOnContentModified []string `json:"retryOnContentModified"`
}

// Client capabilities specific to regular expressions.
//
// Since: 3.16.0
type RegularExpressionsClientCapabilities struct {
	// The engine's name.
	Engine RegularExpressionEngineKind `json:"engine"`

	// The engine's version.
	Version *string `json:"version,omitempty"`
}

// Client capabilities specific to the used markdown parser.
//
// Since: 3.16.0
type MarkdownClientCapabilities struct {
	// The name of the parser.
	Parser string `json:"parser"`

	// The version of the parser.
	Version *string `json:"version,omitempty"`

	// A list of HTML tags that the client allows / supports in
	// Markdown.
	//
	// Since: 3.17.0
	AllowedTags *[]string `json:"allowedTags,omitempty"`
}

// Since: 3.18.0
type ChangeAnnotationsSupportOptions struct {
	// Whether the client groups edits with equal labels into tree nodes,
	// for instance all edits labelled with "Changes in Strings" would
	// be a tree node.
	GroupsOnLabel *bool `json:"groupsOnLabel,omitempty"`
}

// Since: 3.18.0
type ClientSymbolKindOptions struct {
	// The symbol kind values the client supports. When this
	// property exists the client also guarantees that it will
	// handle values outside its set gracefully and falls back
	// to a default value when unknown.
	//
	// If this property is not present the client only supports
	// the symbol kinds from `File` to `Array` as defined in
	// the initial version of the protocol.
	ValueSet *[]SymbolKind `json:"valueSet,omitempty"`
}

// Since: 3.18.0
type ClientSymbolTagOptions struct {
	// The tags supported by the client.
	ValueSet []SymbolTag `json:"valueSet"`
}

// Since: 3.18.0
type ClientSymbolResolveOptions struct {
	// The properties that a client can resolve lazily. Usually
	// `location.range`
	Properties []string `json:"properties"`
}

// Since: 3.18.0
type ClientCompletionItemOptions struct {
	// Client supports snippets as insert text.
	//
	// A snippet can define tab stops and placeholders with `$1`, `$2`
	// and `${3:foo}`. `$0` defines the final tab stop, it defaults to
	// the end of the snippet. Placeholders with equal identifiers are linked,
	// that is typing in one will update others too.
	SnippetSupport *bool `json:"snippetSupport,omitempty"`

	// Client supports commit characters on a completion item.
	CommitCharactersSupport *bool `json:"commitCharactersSupport,omitempty"`

	// Client supports the following content formats for the documentation
	// property. The order describes the preferred format of the client.
	DocumentationFormat *[]MarkupKind `json:"documentationFormat,omitempty"`

	// Client supports the deprecated property on a completion item.
	DeprecatedSupport *bool `json:"deprecatedSupport,omitempty"`

	// Client supports the preselect property on a completion item.
	PreselectSupport *bool `json:"preselectSupport,omitempty"`

	// Client supports the tag property on a completion item. Clients supporting
	// tags have to handle unknown tags gracefully. Clients especially need to
	// preserve unknown tags when sending a completion item back to the server in
	// a resolve call.
	//
	// Since: 3.15.0
	TagSupport *CompletionItemTagOptions `json:"tagSupport,omitempty"`

	// Client support insert replace edit to control different behavior if a
	// completion item is inserted in the text or should replace text.
	//
	// Since: 3.16.0
	InsertReplaceSupport *bool `json:"insertReplaceSupport,omitempty"`

	// Indicates which properties a client can resolve lazily on a completion
	// item. Before version 3.16.0 only the predefined properties `documentation`
	// and `details` could be resolved lazily.
	//
	// Since: 3.16.0
	ResolveSupport *ClientCompletionItemResolveOptions `json:"resolveSupport,omitempty"`

	// The client supports the `insertTextMode` property on
	// a completion item to override the whitespace handling mode
	// as defined by the client (see `insertTextMode`).
	//
	// Since: 3.16.0
	InsertTextModeSupport *ClientCompletionItemInsertTextModeOptions `json:"insertTextModeSupport,omitempty"`

	// The client has support for completion item label
	// details (see also `CompletionItemLabelDetails`).
	//
	// Since: 3.17.0
	LabelDetailsSupport *bool `json:"labelDetailsSupport,omitempty"`
}

// Since: 3.18.0
type ClientCompletionItemOptionsKind struct {
	// The completion item kind values the client supports. When this
	// property exists the client also guarantees that it will
	// handle values outside its set gracefully and falls back
	// to a default value when unknown.
	//
	// If this property is not present the client only supports
	// the completion items kinds from `Text` to `Reference` as defined in
	// the initial version of the protocol.
	ValueSet *[]CompletionItemKind `json:"valueSet,omitempty"`
}

// The client supports the following `CompletionList` specific
// capabilities.
//
// Since: 3.17.0
type CompletionListCapabilities struct {
	// The client supports the following itemDefaults on
	// a completion list.
	//
	// The value lists the supported property names of the
	// `CompletionList.itemDefaults` object. If omitted
	// no properties are supported.
	//
	// Since: 3.17.0
	ItemDefaults *[]string `json:"itemDefaults,omitempty"`

	// Specifies whether the client supports `CompletionList.applyKind` to
	// indicate how supported values from `completionList.itemDefaults`
	// and `completion` will be combined.
	//
	// If a client supports `applyKind` it must support it for all fields
	// that it supports that are listed in `CompletionList.applyKind`. This
	// means when clients add support for new/future fields in completion
	// items the MUST also support merge for them if those fields are
	// defined in `CompletionList.applyKind`.
	//
	// Since: 3.18.0
	ApplyKindSupport *bool `json:"applyKindSupport,omitempty"`
}

// Since: 3.18.0
type ClientSignatureInformationOptions struct {
	// Client supports the following content formats for the documentation
	// property. The order describes the preferred format of the client.
	DocumentationFormat *[]MarkupKind `json:"documentationFormat,omitempty"`

	// Client capabilities specific to parameter information.
	ParameterInformation *ClientSignatureParameterInformationOptions `json:"parameterInformation,omitempty"`

	// The client supports the `activeParameter` property on `SignatureInformation`
	// literal.
	//
	// Since: 3.16.0
	ActiveParameterSupport *bool `json:"activeParameterSupport,omitempty"`

	// The client supports the `activeParameter` property on
	// `SignatureHelp`/`SignatureInformation` being set to `null` to
	// indicate that no parameter should be active.
	//
	// Since: 3.18.0
	//
	// Proposed.
	NoActiveParameterSupport *bool `json:"noActiveParameterSupport,omitempty"`
}

// Since: 3.18.0
type ClientCodeActionLiteralOptions struct {
	// The code action kind is support with the following value
	// set.
	CodeActionKind ClientCodeActionKindOptions `json:"codeActionKind"`
}

// Since: 3.18.0
type ClientCodeActionResolveOptions struct {
	// The properties that a client can resolve lazily.
	Properties []string `json:"properties"`
}

// Since: 3.18.0 - proposed
type CodeActionTagOptions struct {
	// The tags supported by the client.
	ValueSet []CodeActionTag `json:"valueSet"`
}

// Since: 3.18.0
type ClientCodeLensResolveOptions struct {
	// The properties that a client can resolve lazily.
	Properties []string `json:"properties"`
}

// Since: 3.18.0
type ClientFoldingRangeKindOptions struct {
	// The folding range kind values the client supports. When this
	// property exists the client also guarantees that it will
	// handle values outside its set gracefully and falls back
	// to a default value when unknown.
	ValueSet *[]FoldingRangeKind `json:"valueSet,omitempty"`
}

// Since: 3.18.0
type ClientFoldingRangeOptions struct {
	// If set, the client signals that it supports setting collapsedText on
	// folding ranges to display custom labels instead of the default text.
	//
	// Since: 3.17.0
	CollapsedText *bool `json:"collapsedText,omitempty"`
}

// General diagnostics capabilities for pull and push model.
type DiagnosticsCapabilities struct {
	// Whether the clients accepts diagnostics with related information.
	RelatedInformation *bool `json:"relatedInformation,omitempty"`

	// Client supports the tag property to provide meta data about a diagnostic.
	// Clients supporting tags have to handle unknown tags gracefully.
	//
	// Since: 3.15.0
	TagSupport *ClientDiagnosticsTagOptions `json:"tagSupport,omitempty"`

	// Client supports a codeDescription property
	//
	// Since: 3.16.0
	CodeDescriptionSupport *bool `json:"codeDescriptionSupport,omitempty"`

	// Whether code action supports the `data` property which is
	// preserved between a `textDocument/publishDiagnostics` and
	// `textDocument/codeAction` request.
	//
	// Since: 3.16.0
	DataSupport *bool `json:"dataSupport,omitempty"`
}

// Since: 3.18.0
type ClientSemanticTokensRequestOptions struct {
	// The client will send the `textDocument/semanticTokens/range` request if
	// the server provides a corresponding handler.
	Range *BooleanOrEmptyObject `json:"range,omitempty"`

	// The client will send the `textDocument/semanticTokens/full` request if
	// the server provides a corresponding handler.
	Full *BooleanOrClientSemanticTokensRequestFullDelta `json:"full,omitempty"`
}

// Since: 3.18.0
type ClientInlayHintResolveOptions struct {
	// The properties that a client can resolve lazily.
	Properties []string `json:"properties"`
}

// Since: 3.18.0
type ClientShowMessageActionItemOptions struct {
	// Whether the client supports additional attributes which
	// are preserved and send back to the server in the
	// request's response.
	AdditionalPropertiesSupport *bool `json:"additionalPropertiesSupport,omitempty"`
}

// Since: 3.18.0
type CompletionItemTagOptions struct {
	// The tags supported by the client.
	ValueSet []CompletionItemTag `json:"valueSet"`
}

// Since: 3.18.0
type ClientCompletionItemResolveOptions struct {
	// The properties that a client can resolve lazily.
	Properties []string `json:"properties"`
}

// Since: 3.18.0
type ClientCompletionItemInsertTextModeOptions struct {
	ValueSet []InsertTextMode `json:"valueSet"`
}

// Since: 3.18.0
type ClientSignatureParameterInformationOptions struct {
	// The client supports processing label offsets instead of a
	// simple label string.
	//
	// Since: 3.14.0
	LabelOffsetSupport *bool `json:"labelOffsetSupport,omitempty"`
}

// Since: 3.18.0
type ClientCodeActionKindOptions struct {
	// The code action kind values the client supports. When this
	// property exists the client also guarantees that it will
	// handle values outside its set gracefully and falls back
	// to a default value when unknown.
	ValueSet []CodeActionKind `json:"valueSet"`
}

// Since: 3.18.0
type ClientDiagnosticsTagOptions struct {
	// The tags supported by the client.
	ValueSet []DiagnosticTag `json:"valueSet"`
}

// Since: 3.18.0
type ClientSemanticTokensRequestFullDelta struct {
	// The client will send the `textDocument/semanticTokens/full/delta` request if
	// the server provides a corresponding handler.
	Delta *bool `json:"delta,omitempty"`
}

// Enumerations

// A set of predefined token types. This set is not fixed
// an clients can specify additional token types via the
// corresponding client capabilities.
//
// Since: 3.16.0
type SemanticTokenTypes string

const (
	SemanticTokenTypesnamespace SemanticTokenTypes = "namespace"
	// Represents a generic type. Acts as a fallback for types which can't be mapped to
	// a specific type like class or enum.
	SemanticTokenTypestype          SemanticTokenTypes = "type"
	SemanticTokenTypesclass         SemanticTokenTypes = "class"
	SemanticTokenTypesenum          SemanticTokenTypes = "enum"
	SemanticTokenTypesinterface     SemanticTokenTypes = "interface"
	SemanticTokenTypesstruct        SemanticTokenTypes = "struct"
	SemanticTokenTypestypeParameter SemanticTokenTypes = "typeParameter"
	SemanticTokenTypesparameter     SemanticTokenTypes = "parameter"
	SemanticTokenTypesvariable      SemanticTokenTypes = "variable"
	SemanticTokenTypesproperty      SemanticTokenTypes = "property"
	SemanticTokenTypesenumMember    SemanticTokenTypes = "enumMember"
	SemanticTokenTypesevent         SemanticTokenTypes = "event"
	SemanticTokenTypesfunction      SemanticTokenTypes = "function"
	SemanticTokenTypesmethod        SemanticTokenTypes = "method"
	SemanticTokenTypesmacro         SemanticTokenTypes = "macro"
	SemanticTokenTypeskeyword       SemanticTokenTypes = "keyword"
	SemanticTokenTypesmodifier      SemanticTokenTypes = "modifier"
	SemanticTokenTypescomment       SemanticTokenTypes = "comment"
	SemanticTokenTypesstring        SemanticTokenTypes = "string"
	SemanticTokenTypesnumber        SemanticTokenTypes = "number"
	SemanticTokenTypesregexp        SemanticTokenTypes = "regexp"
	SemanticTokenTypesoperator      SemanticTokenTypes = "operator"
	// Since: 3.17.0
	SemanticTokenTypesdecorator SemanticTokenTypes = "decorator"
	// Since: 3.18.0
	SemanticTokenTypeslabel SemanticTokenTypes = "label"
)

func (e *SemanticTokenTypes) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = SemanticTokenTypes(v)
	return nil
}

// A set of predefined token modifiers. This set is not fixed
// an clients can specify additional token types via the
// corresponding client capabilities.
//
// Since: 3.16.0
type SemanticTokenModifiers string

const (
	SemanticTokenModifiersdeclaration    SemanticTokenModifiers = "declaration"
	SemanticTokenModifiersdefinition     SemanticTokenModifiers = "definition"
	SemanticTokenModifiersreadonly       SemanticTokenModifiers = "readonly"
	SemanticTokenModifiersstatic         SemanticTokenModifiers = "static"
	SemanticTokenModifiersdeprecated     SemanticTokenModifiers = "deprecated"
	SemanticTokenModifiersabstract       SemanticTokenModifiers = "abstract"
	SemanticTokenModifiersasync          SemanticTokenModifiers = "async"
	SemanticTokenModifiersmodification   SemanticTokenModifiers = "modification"
	SemanticTokenModifiersdocumentation  SemanticTokenModifiers = "documentation"
	SemanticTokenModifiersdefaultLibrary SemanticTokenModifiers = "defaultLibrary"
)

func (e *SemanticTokenModifiers) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = SemanticTokenModifiers(v)
	return nil
}

// The document diagnostic report kinds.
//
// Since: 3.17.0
type DocumentDiagnosticReportKind string

const (
	// A diagnostic report with a full
	// set of problems.
	DocumentDiagnosticReportKindFull DocumentDiagnosticReportKind = "full"
	// A report indicating that the last
	// returned report is still accurate.
	DocumentDiagnosticReportKindUnchanged DocumentDiagnosticReportKind = "unchanged"
)

func (e *DocumentDiagnosticReportKind) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = DocumentDiagnosticReportKind(v)
	return nil
}

// Predefined error codes.
type ErrorCodes int32

const (
	ErrorCodesParseError     ErrorCodes = -32700
	ErrorCodesInvalidRequest ErrorCodes = -32600
	ErrorCodesMethodNotFound ErrorCodes = -32601
	ErrorCodesInvalidParams  ErrorCodes = -32602
	ErrorCodesInternalError  ErrorCodes = -32603
	// Error code indicating that a server received a notification or
	// request before the server has received the `initialize` request.
	ErrorCodesServerNotInitialized ErrorCodes = -32002
	ErrorCodesUnknownErrorCode     ErrorCodes = -32001
)

func (e *ErrorCodes) UnmarshalJSON(data []byte) error {
	var v int32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = ErrorCodes(v)
	return nil
}

type LSPErrorCodes int32

const (
	// A request failed but it was syntactically correct, e.g the
	// method name was known and the parameters were valid. The error
	// message should contain human readable information about why
	// the request failed.
	//
	// Since: 3.17.0
	LSPErrorCodesRequestFailed LSPErrorCodes = -32803
	// The server cancelled the request. This error code should
	// only be used for requests that explicitly support being
	// server cancellable.
	//
	// Since: 3.17.0
	LSPErrorCodesServerCancelled LSPErrorCodes = -32802
	// The server detected that the content of a document got
	// modified outside normal conditions. A server should
	// NOT send this error code if it detects a content change
	// in it unprocessed messages. The result even computed
	// on an older state might still be useful for the client.
	//
	// If a client decides that a result is not of any use anymore
	// the client should cancel the request.
	LSPErrorCodesContentModified LSPErrorCodes = -32801
	// The client has canceled a request and a server has detected
	// the cancel.
	LSPErrorCodesRequestCancelled LSPErrorCodes = -32800
)

func (e *LSPErrorCodes) UnmarshalJSON(data []byte) error {
	var v int32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = LSPErrorCodes(v)
	return nil
}

// A set of predefined range kinds.
type FoldingRangeKind string

const (
	// Folding range for a comment
	FoldingRangeKindComment FoldingRangeKind = "comment"
	// Folding range for an import or include
	FoldingRangeKindImports FoldingRangeKind = "imports"
	// Folding range for a region (e.g. `#region`)
	FoldingRangeKindRegion FoldingRangeKind = "region"
)

func (e *FoldingRangeKind) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = FoldingRangeKind(v)
	return nil
}

// A symbol kind.
type SymbolKind uint32

const (
	SymbolKindFile          SymbolKind = 1
	SymbolKindModule        SymbolKind = 2
	SymbolKindNamespace     SymbolKind = 3
	SymbolKindPackage       SymbolKind = 4
	SymbolKindClass         SymbolKind = 5
	SymbolKindMethod        SymbolKind = 6
	SymbolKindProperty      SymbolKind = 7
	SymbolKindField         SymbolKind = 8
	SymbolKindConstructor   SymbolKind = 9
	SymbolKindEnum          SymbolKind = 10
	SymbolKindInterface     SymbolKind = 11
	SymbolKindFunction      SymbolKind = 12
	SymbolKindVariable      SymbolKind = 13
	SymbolKindConstant      SymbolKind = 14
	SymbolKindString        SymbolKind = 15
	SymbolKindNumber        SymbolKind = 16
	SymbolKindBoolean       SymbolKind = 17
	SymbolKindArray         SymbolKind = 18
	SymbolKindObject        SymbolKind = 19
	SymbolKindKey           SymbolKind = 20
	SymbolKindNull          SymbolKind = 21
	SymbolKindEnumMember    SymbolKind = 22
	SymbolKindStruct        SymbolKind = 23
	SymbolKindEvent         SymbolKind = 24
	SymbolKindOperator      SymbolKind = 25
	SymbolKindTypeParameter SymbolKind = 26
)

func (e *SymbolKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = SymbolKind(v)
	return nil
}

// Symbol tags are extra annotations that tweak the rendering of a symbol.
//
// Since: 3.16
type SymbolTag uint32

const (
	// Render a symbol as obsolete, usually using a strike-out.
	SymbolTagDeprecated SymbolTag = 1
)

func (e *SymbolTag) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = SymbolTag(v)
	return nil
}

// Moniker uniqueness level to define scope of the moniker.
//
// Since: 3.16.0
type UniquenessLevel string

const (
	// The moniker is only unique inside a document
	UniquenessLeveldocument UniquenessLevel = "document"
	// The moniker is unique inside a project for which a dump got created
	UniquenessLevelproject UniquenessLevel = "project"
	// The moniker is unique inside the group to which a project belongs
	UniquenessLevelgroup UniquenessLevel = "group"
	// The moniker is unique inside the moniker scheme.
	UniquenessLevelscheme UniquenessLevel = "scheme"
	// The moniker is globally unique
	UniquenessLevelglobal UniquenessLevel = "global"
)

func (e *UniquenessLevel) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = UniquenessLevel(v)
	return nil
}

// The moniker kind.
//
// Since: 3.16.0
type MonikerKind string

const (
	// The moniker represent a symbol that is imported into a project
	MonikerKindimport MonikerKind = "import"
	// The moniker represents a symbol that is exported from a project
	MonikerKindexport MonikerKind = "export"
	// The moniker represents a symbol that is local to a project (e.g. a local
	// variable of a function, a class not visible outside the project, ...)
	MonikerKindlocal MonikerKind = "local"
)

func (e *MonikerKind) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = MonikerKind(v)
	return nil
}

// Inlay hint kinds.
//
// Since: 3.17.0
type InlayHintKind uint32

const (
	// An inlay hint that for a type annotation.
	InlayHintKindType InlayHintKind = 1
	// An inlay hint that is for a parameter.
	InlayHintKindParameter InlayHintKind = 2
)

func (e *InlayHintKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = InlayHintKind(v)
	return nil
}

// The message type
type MessageType uint32

const (
	// An error message.
	MessageTypeError MessageType = 1
	// A warning message.
	MessageTypeWarning MessageType = 2
	// An information message.
	MessageTypeInfo MessageType = 3
	// A log message.
	MessageTypeLog MessageType = 4
	// A debug message.
	//
	// Since: 3.18.0
	//
	// Proposed.
	MessageTypeDebug MessageType = 5
)

func (e *MessageType) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = MessageType(v)
	return nil
}

// Defines how the host (editor) should sync
// document changes to the language server.
type TextDocumentSyncKind uint32

const (
	// Documents should not be synced at all.
	TextDocumentSyncKindNone TextDocumentSyncKind = 0
	// Documents are synced by always sending the full content
	// of the document.
	TextDocumentSyncKindFull TextDocumentSyncKind = 1
	// Documents are synced by sending the full content on open.
	// After that only incremental updates to the document are
	// send.
	TextDocumentSyncKindIncremental TextDocumentSyncKind = 2
)

func (e *TextDocumentSyncKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = TextDocumentSyncKind(v)
	return nil
}

// Represents reasons why a text document is saved.
type TextDocumentSaveReason uint32

const (
	// Manually triggered, e.g. by the user pressing save, by starting debugging,
	// or by an API call.
	TextDocumentSaveReasonManual TextDocumentSaveReason = 1
	// Automatic after a delay.
	TextDocumentSaveReasonAfterDelay TextDocumentSaveReason = 2
	// When the editor lost focus.
	TextDocumentSaveReasonFocusOut TextDocumentSaveReason = 3
)

func (e *TextDocumentSaveReason) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = TextDocumentSaveReason(v)
	return nil
}

// The kind of a completion entry.
type CompletionItemKind uint32

const (
	CompletionItemKindText          CompletionItemKind = 1
	CompletionItemKindMethod        CompletionItemKind = 2
	CompletionItemKindFunction      CompletionItemKind = 3
	CompletionItemKindConstructor   CompletionItemKind = 4
	CompletionItemKindField         CompletionItemKind = 5
	CompletionItemKindVariable      CompletionItemKind = 6
	CompletionItemKindClass         CompletionItemKind = 7
	CompletionItemKindInterface     CompletionItemKind = 8
	CompletionItemKindModule        CompletionItemKind = 9
	CompletionItemKindProperty      CompletionItemKind = 10
	CompletionItemKindUnit          CompletionItemKind = 11
	CompletionItemKindValue         CompletionItemKind = 12
	CompletionItemKindEnum          CompletionItemKind = 13
	CompletionItemKindKeyword       CompletionItemKind = 14
	CompletionItemKindSnippet       CompletionItemKind = 15
	CompletionItemKindColor         CompletionItemKind = 16
	CompletionItemKindFile          CompletionItemKind = 17
	CompletionItemKindReference     CompletionItemKind = 18
	CompletionItemKindFolder        CompletionItemKind = 19
	CompletionItemKindEnumMember    CompletionItemKind = 20
	CompletionItemKindConstant      CompletionItemKind = 21
	CompletionItemKindStruct        CompletionItemKind = 22
	CompletionItemKindEvent         CompletionItemKind = 23
	CompletionItemKindOperator      CompletionItemKind = 24
	CompletionItemKindTypeParameter CompletionItemKind = 25
)

func (e *CompletionItemKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = CompletionItemKind(v)
	return nil
}

// Completion item tags are extra annotations that tweak the rendering of a completion
// item.
//
// Since: 3.15.0
type CompletionItemTag uint32

const (
	// Render a completion as obsolete, usually using a strike-out.
	CompletionItemTagDeprecated CompletionItemTag = 1
)

func (e *CompletionItemTag) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = CompletionItemTag(v)
	return nil
}

// Defines whether the insert text in a completion item should be interpreted as
// plain text or a snippet.
type InsertTextFormat uint32

const (
	// The primary text to be inserted is treated as a plain string.
	InsertTextFormatPlainText InsertTextFormat = 1
	// The primary text to be inserted is treated as a snippet.
	//
	// A snippet can define tab stops and placeholders with `$1`, `$2`
	// and `${3:foo}`. `$0` defines the final tab stop, it defaults to
	// the end of the snippet. Placeholders with equal identifiers are linked,
	// that is typing in one will update others too.
	//
	// See also: https://microsoft.github.io/language-server-protocol/specifications/specification-current/#snippet_syntax
	InsertTextFormatSnippet InsertTextFormat = 2
)

func (e *InsertTextFormat) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = InsertTextFormat(v)
	return nil
}

// How whitespace and indentation is handled during completion
// item insertion.
//
// Since: 3.16.0
type InsertTextMode uint32

const (
	// The insertion or replace strings is taken as it is. If the
	// value is multi line the lines below the cursor will be
	// inserted using the indentation defined in the string value.
	// The client will not apply any kind of adjustments to the
	// string.
	InsertTextModeasIs InsertTextMode = 1
	// The editor adjusts leading whitespace of new lines so that
	// they match the indentation up to the cursor of the line for
	// which the item is accepted.
	//
	// Consider a line like this: <2tabs><cursor><3tabs>foo. Accepting a
	// multi line completion item is indented using 2 tabs and all
	// following lines inserted will be indented using 2 tabs as well.
	InsertTextModeadjustIndentation InsertTextMode = 2
)

func (e *InsertTextMode) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = InsertTextMode(v)
	return nil
}

// A document highlight kind.
type DocumentHighlightKind uint32

const (
	// A textual occurrence.
	DocumentHighlightKindText DocumentHighlightKind = 1
	// Read-access of a symbol, like reading a variable.
	DocumentHighlightKindRead DocumentHighlightKind = 2
	// Write-access of a symbol, like writing to a variable.
	DocumentHighlightKindWrite DocumentHighlightKind = 3
)

func (e *DocumentHighlightKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = DocumentHighlightKind(v)
	return nil
}

// A set of predefined code action kinds
type CodeActionKind string

const (
	// Empty kind.
	CodeActionKindEmpty CodeActionKind = ""
	// Base kind for quickfix actions: 'quickfix'
	CodeActionKindQuickFix CodeActionKind = "quickfix"
	// Base kind for refactoring actions: 'refactor'
	CodeActionKindRefactor CodeActionKind = "refactor"
	// Base kind for refactoring extraction actions: 'refactor.extract'
	//
	// Example extract actions:
	//
	// - Extract method
	// - Extract function
	// - Extract variable
	// - Extract interface from class
	// - ...
	CodeActionKindRefactorExtract CodeActionKind = "refactor.extract"
	// Base kind for refactoring inline actions: 'refactor.inline'
	//
	// Example inline actions:
	//
	// - Inline function
	// - Inline variable
	// - Inline constant
	// - ...
	CodeActionKindRefactorInline CodeActionKind = "refactor.inline"
	// Base kind for refactoring move actions: `refactor.move`
	//
	// Example move actions:
	//
	// - Move a function to a new file
	// - Move a property between classes
	// - Move method to base class
	// - ...
	//
	// Since: 3.18.0
	//
	// Proposed.
	CodeActionKindRefactorMove CodeActionKind = "refactor.move"
	// Base kind for refactoring rewrite actions: 'refactor.rewrite'
	//
	// Example rewrite actions:
	//
	// - Convert JavaScript function to class
	// - Add or remove parameter
	// - Encapsulate field
	// - Make method static
	// - Move method to base class
	// - ...
	CodeActionKindRefactorRewrite CodeActionKind = "refactor.rewrite"
	// Base kind for source actions: `source`
	//
	// Source code actions apply to the entire file.
	CodeActionKindSource CodeActionKind = "source"
	// Base kind for an organize imports source action: `source.organizeImports`
	CodeActionKindSourceOrganizeImports CodeActionKind = "source.organizeImports"
	// Base kind for auto-fix source actions: `source.fixAll`.
	//
	// Fix all actions automatically fix errors that have a clear fix that do not require user input.
	// They should not suppress errors or perform unsafe fixes such as generating new types or classes.
	//
	// Since: 3.15.0
	CodeActionKindSourceFixAll CodeActionKind = "source.fixAll"
	// Base kind for all code actions applying to the entire notebook's scope. CodeActionKinds using
	// this should always begin with `notebook.`
	//
	// Since: 3.18.0
	CodeActionKindNotebook CodeActionKind = "notebook"
)

func (e *CodeActionKind) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = CodeActionKind(v)
	return nil
}

// Code action tags are extra annotations that tweak the behavior of a code action.
//
// Since: 3.18.0 - proposed
type CodeActionTag uint32

const (
	// Marks the code action as LLM-generated.
	CodeActionTagLLMGenerated CodeActionTag = 1
)

func (e *CodeActionTag) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = CodeActionTag(v)
	return nil
}

type TraceValue string

const (
	// Turn tracing off.
	TraceValueOff TraceValue = "off"
	// Trace messages only.
	TraceValueMessages TraceValue = "messages"
	// Verbose message tracing.
	TraceValueVerbose TraceValue = "verbose"
)

func (e *TraceValue) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = TraceValue(v)
	return nil
}

// Describes the content type that a client supports in various
// result literals like `Hover`, `ParameterInfo` or `CompletionItem`.
//
// Please note that `MarkupKinds` must not start with a `$`. This kinds
// are reserved for internal usage.
type MarkupKind string

const (
	// Plain text is supported as a content format
	MarkupKindPlainText MarkupKind = "plaintext"
	// Markdown is supported as a content format
	MarkupKindMarkdown MarkupKind = "markdown"
)

func (e *MarkupKind) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = MarkupKind(v)
	return nil
}

// Predefined Language kinds
// Since: 3.18.0
type LanguageKind string

const (
	LanguageKindABAP         LanguageKind = "abap"
	LanguageKindWindowsBat   LanguageKind = "bat"
	LanguageKindBibTeX       LanguageKind = "bibtex"
	LanguageKindClojure      LanguageKind = "clojure"
	LanguageKindCoffeescript LanguageKind = "coffeescript"
	LanguageKindC            LanguageKind = "c"
	LanguageKindCPP          LanguageKind = "cpp"
	LanguageKindCSharp       LanguageKind = "csharp"
	LanguageKindCSS          LanguageKind = "css"
	// Since: 3.18.0
	//
	// Proposed.
	LanguageKindD LanguageKind = "d"
	// Since: 3.18.0
	//
	// Proposed.
	LanguageKindDelphi          LanguageKind = "pascal"
	LanguageKindDiff            LanguageKind = "diff"
	LanguageKindDart            LanguageKind = "dart"
	LanguageKindDockerfile      LanguageKind = "dockerfile"
	LanguageKindElixir          LanguageKind = "elixir"
	LanguageKindErlang          LanguageKind = "erlang"
	LanguageKindFSharp          LanguageKind = "fsharp"
	LanguageKindGitCommit       LanguageKind = "git-commit"
	LanguageKindGitRebase       LanguageKind = "rebase"
	LanguageKindGo              LanguageKind = "go"
	LanguageKindGroovy          LanguageKind = "groovy"
	LanguageKindHandlebars      LanguageKind = "handlebars"
	LanguageKindHaskell         LanguageKind = "haskell"
	LanguageKindHTML            LanguageKind = "html"
	LanguageKindIni             LanguageKind = "ini"
	LanguageKindJava            LanguageKind = "java"
	LanguageKindJavaScript      LanguageKind = "javascript"
	LanguageKindJavaScriptReact LanguageKind = "javascriptreact"
	LanguageKindJSON            LanguageKind = "json"
	LanguageKindLaTeX           LanguageKind = "latex"
	LanguageKindLess            LanguageKind = "less"
	LanguageKindLua             LanguageKind = "lua"
	LanguageKindMakefile        LanguageKind = "makefile"
	LanguageKindMarkdown        LanguageKind = "markdown"
	LanguageKindObjectiveC      LanguageKind = "objective-c"
	LanguageKindObjectiveCPP    LanguageKind = "objective-cpp"
	// Since: 3.18.0
	//
	// Proposed.
	LanguageKindPascal          LanguageKind = "pascal"
	LanguageKindPerl            LanguageKind = "perl"
	LanguageKindPerl6           LanguageKind = "perl6"
	LanguageKindPHP             LanguageKind = "php"
	LanguageKindPowershell      LanguageKind = "powershell"
	LanguageKindPug             LanguageKind = "jade"
	LanguageKindPython          LanguageKind = "python"
	LanguageKindR               LanguageKind = "r"
	LanguageKindRazor           LanguageKind = "razor"
	LanguageKindRuby            LanguageKind = "ruby"
	LanguageKindRust            LanguageKind = "rust"
	LanguageKindSCSS            LanguageKind = "scss"
	LanguageKindSASS            LanguageKind = "sass"
	LanguageKindScala           LanguageKind = "scala"
	LanguageKindShaderLab       LanguageKind = "shaderlab"
	LanguageKindShellScript     LanguageKind = "shellscript"
	LanguageKindSQL             LanguageKind = "sql"
	LanguageKindSwift           LanguageKind = "swift"
	LanguageKindTypeScript      LanguageKind = "typescript"
	LanguageKindTypeScriptReact LanguageKind = "typescriptreact"
	LanguageKindTeX             LanguageKind = "tex"
	LanguageKindVisualBasic     LanguageKind = "vb"
	LanguageKindXML             LanguageKind = "xml"
	LanguageKindXSL             LanguageKind = "xsl"
	LanguageKindYAML            LanguageKind = "yaml"
)

func (e *LanguageKind) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = LanguageKind(v)
	return nil
}

// Describes how an provider was triggered.
//
// Since: 3.18.0
//
// Proposed.
type InlineCompletionTriggerKind uint32

const (
	// Completion was triggered explicitly by a user gesture.
	InlineCompletionTriggerKindInvoked InlineCompletionTriggerKind = 1
	// Completion was triggered automatically while editing.
	InlineCompletionTriggerKindAutomatic InlineCompletionTriggerKind = 2
)

func (e *InlineCompletionTriggerKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = InlineCompletionTriggerKind(v)
	return nil
}

// A set of predefined position encoding kinds.
//
// Since: 3.17.0
type PositionEncodingKind string

const (
	// Character offsets count UTF-8 code units (e.g. bytes).
	PositionEncodingKindUTF8 PositionEncodingKind = "utf-8"
	// Character offsets count UTF-16 code units.
	//
	// This is the default and must always be supported
	// by servers
	PositionEncodingKindUTF16 PositionEncodingKind = "utf-16"
	// Character offsets count UTF-32 code units.
	//
	// Implementation note: these are the same as Unicode codepoints,
	// so this `PositionEncodingKind` may also be used for an
	// encoding-agnostic representation of character offsets.
	PositionEncodingKindUTF32 PositionEncodingKind = "utf-32"
)

func (e *PositionEncodingKind) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = PositionEncodingKind(v)
	return nil
}

// The file event type
type FileChangeType uint32

const (
	// The file got created.
	FileChangeTypeCreated FileChangeType = 1
	// The file got changed.
	FileChangeTypeChanged FileChangeType = 2
	// The file got deleted.
	FileChangeTypeDeleted FileChangeType = 3
)

func (e *FileChangeType) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = FileChangeType(v)
	return nil
}

type WatchKind uint32

const (
	// Interested in create events.
	WatchKindCreate WatchKind = 1
	// Interested in change events
	WatchKindChange WatchKind = 2
	// Interested in delete events
	WatchKindDelete WatchKind = 4
)

func (e *WatchKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = WatchKind(v)
	return nil
}

// The diagnostic's severity.
type DiagnosticSeverity uint32

const (
	// Reports an error.
	DiagnosticSeverityError DiagnosticSeverity = 1
	// Reports a warning.
	DiagnosticSeverityWarning DiagnosticSeverity = 2
	// Reports an information.
	DiagnosticSeverityInformation DiagnosticSeverity = 3
	// Reports a hint.
	DiagnosticSeverityHint DiagnosticSeverity = 4
)

func (e *DiagnosticSeverity) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = DiagnosticSeverity(v)
	return nil
}

// The diagnostic tags.
//
// Since: 3.15.0
type DiagnosticTag uint32

const (
	// Unused or unnecessary code.
	//
	// Clients are allowed to render diagnostics with this tag faded out instead of having
	// an error squiggle.
	DiagnosticTagUnnecessary DiagnosticTag = 1
	// Deprecated or obsolete code.
	//
	// Clients are allowed to rendered diagnostics with this tag strike through.
	DiagnosticTagDeprecated DiagnosticTag = 2
)

func (e *DiagnosticTag) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = DiagnosticTag(v)
	return nil
}

// How a completion was triggered
type CompletionTriggerKind uint32

const (
	// Completion was triggered by typing an identifier (24x7 code
	// complete), manual invocation (e.g Ctrl+Space) or via API.
	CompletionTriggerKindInvoked CompletionTriggerKind = 1
	// Completion was triggered by a trigger character specified by
	// the `triggerCharacters` properties of the `CompletionRegistrationOptions`.
	CompletionTriggerKindTriggerCharacter CompletionTriggerKind = 2
	// Completion was re-triggered as current completion list is incomplete
	CompletionTriggerKindTriggerForIncompleteCompletions CompletionTriggerKind = 3
)

func (e *CompletionTriggerKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = CompletionTriggerKind(v)
	return nil
}

// Defines how values from a set of defaults and an individual item will be
// merged.
//
// Since: 3.18.0
type ApplyKind uint32

const (
	// The value from the individual item (if provided and not `null`) will be
	// used instead of the default.
	ApplyKindReplace ApplyKind = 1
	// The value from the item will be merged with the default.
	//
	// The specific rules for mergeing values are defined against each field
	// that supports merging.
	ApplyKindMerge ApplyKind = 2
)

func (e *ApplyKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = ApplyKind(v)
	return nil
}

// How a signature help was triggered.
//
// Since: 3.15.0
type SignatureHelpTriggerKind uint32

const (
	// Signature help was invoked manually by the user or by a command.
	SignatureHelpTriggerKindInvoked SignatureHelpTriggerKind = 1
	// Signature help was triggered by a trigger character.
	SignatureHelpTriggerKindTriggerCharacter SignatureHelpTriggerKind = 2
	// Signature help was triggered by the cursor moving or by the document content changing.
	SignatureHelpTriggerKindContentChange SignatureHelpTriggerKind = 3
)

func (e *SignatureHelpTriggerKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = SignatureHelpTriggerKind(v)
	return nil
}

// The reason why code actions were requested.
//
// Since: 3.17.0
type CodeActionTriggerKind uint32

const (
	// Code actions were explicitly requested by the user or by an extension.
	CodeActionTriggerKindInvoked CodeActionTriggerKind = 1
	// Code actions were requested automatically.
	//
	// This typically happens when current selection in a file changes, but can
	// also be triggered when file content changes.
	CodeActionTriggerKindAutomatic CodeActionTriggerKind = 2
)

func (e *CodeActionTriggerKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = CodeActionTriggerKind(v)
	return nil
}

// A pattern kind describing if a glob pattern matches a file a folder or
// both.
//
// Since: 3.16.0
type FileOperationPatternKind string

const (
	// The pattern matches a file only.
	FileOperationPatternKindfile FileOperationPatternKind = "file"
	// The pattern matches a folder only.
	FileOperationPatternKindfolder FileOperationPatternKind = "folder"
)

func (e *FileOperationPatternKind) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = FileOperationPatternKind(v)
	return nil
}

// A notebook cell kind.
//
// Since: 3.17.0
type NotebookCellKind uint32

const (
	// A markup-cell is formatted source that is used for display.
	NotebookCellKindMarkup NotebookCellKind = 1
	// A code-cell is source code.
	NotebookCellKindCode NotebookCellKind = 2
)

func (e *NotebookCellKind) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = NotebookCellKind(v)
	return nil
}

type ResourceOperationKind string

const (
	// Supports creating new files and folders.
	ResourceOperationKindCreate ResourceOperationKind = "create"
	// Supports renaming existing files and folders.
	ResourceOperationKindRename ResourceOperationKind = "rename"
	// Supports deleting existing files and folders.
	ResourceOperationKindDelete ResourceOperationKind = "delete"
)

func (e *ResourceOperationKind) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = ResourceOperationKind(v)
	return nil
}

type FailureHandlingKind string

const (
	// Applying the workspace change is simply aborted if one of the changes provided
	// fails. All operations executed before the failing operation stay executed.
	FailureHandlingKindAbort FailureHandlingKind = "abort"
	// All operations are executed transactional. That means they either all
	// succeed or no changes at all are applied to the workspace.
	FailureHandlingKindTransactional FailureHandlingKind = "transactional"
	// If the workspace edit contains only textual file changes they are executed transactional.
	// If resource changes (create, rename or delete file) are part of the change the failure
	// handling strategy is abort.
	FailureHandlingKindTextOnlyTransactional FailureHandlingKind = "textOnlyTransactional"
	// The client tries to undo the operations already executed. But there is no
	// guarantee that this is succeeding.
	FailureHandlingKindUndo FailureHandlingKind = "undo"
)

func (e *FailureHandlingKind) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = FailureHandlingKind(v)
	return nil
}

type PrepareSupportDefaultBehavior uint32

const (
	// The client's default behavior is to select the identifier
	// according the to language's syntax rule.
	PrepareSupportDefaultBehaviorIdentifier PrepareSupportDefaultBehavior = 1
)

func (e *PrepareSupportDefaultBehavior) UnmarshalJSON(data []byte) error {
	var v uint32
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = PrepareSupportDefaultBehavior(v)
	return nil
}

type TokenFormat string

const (
	TokenFormatRelative TokenFormat = "relative"
)

func (e *TokenFormat) UnmarshalJSON(data []byte) error {
	var v string
	if err := json.Unmarshal(data, &v); err != nil {
		return err
	}
	*e = TokenFormat(v)
	return nil
}

// Type aliases

// The definition of a symbol represented as one or many locations.
// For most programming languages there is only one location at which a symbol is
// defined.
//
// Servers should prefer returning `DefinitionLink` over `Definition` if supported
// by the client.
type Definition = LocationOrLocations

// Information about where a symbol is defined.
//
// Provides additional metadata over normal location definitions, including the range of
// the defining symbol
type DefinitionLink = LocationLink

// LSP arrays.
// Since: 3.17.0
type LSPArray = []LSPAny

// The LSP any type.
// Please note that strictly speaking a property with the value `undefined`
// can't be converted into JSON preserving the property name. However for
// convenience it is allowed and assumed that all these properties are
// optional as well.
// Since: 3.17.0
type LSPAny = any

// The declaration of a symbol representation as one or many locations.
type Declaration = LocationOrLocations

// Information about where a symbol is declared.
//
// Provides additional metadata over normal location declarations, including the range of
// the declaring symbol.
//
// Servers should prefer returning `DeclarationLink` over `Declaration` if supported
// by the client.
type DeclarationLink = LocationLink

// Inline value information can be provided by different means:
// - directly as a text value (class InlineValueText).
// - as a name to use for a variable lookup (class InlineValueVariableLookup)
// - as an evaluatable expression (class InlineValueEvaluatableExpression)
// The InlineValue types combines all inline value types into one type.
//
// Since: 3.17.0
type InlineValue = InlineValueTextOrInlineValueVariableLookupOrInlineValueEvaluatableExpression

// The result of a document diagnostic pull request. A report can
// either be a full report containing all diagnostics for the
// requested document or an unchanged report indicating that nothing
// has changed in terms of diagnostics in comparison to the last
// pull request.
//
// Since: 3.17.0
type DocumentDiagnosticReport = RelatedFullDocumentDiagnosticReportOrRelatedUnchangedDocumentDiagnosticReport

type PrepareRenameResult = RangeOrPrepareRenamePlaceholderOrPrepareRenameDefaultBehavior

// A document selector is the combination of one or many document filters.
//
// @sample `let sel:DocumentSelector = [{ language: 'typescript' }, { language: 'json', pattern: '**∕tsconfig.json' }]`;
//
// The use of a string as a document filter is deprecated Since: 3.16.0.
type DocumentSelector = []DocumentFilter

type ProgressToken = IntegerOrString

// An identifier to refer to a change annotation stored with a workspace edit.
type ChangeAnnotationIdentifier = string

// A workspace diagnostic document report.
//
// Since: 3.17.0
type WorkspaceDocumentDiagnosticReport = WorkspaceFullDocumentDiagnosticReportOrWorkspaceUnchangedDocumentDiagnosticReport

// An event describing a change to a text document. If only a text is provided
// it is considered to be the full content of the document.
type TextDocumentContentChangeEvent = TextDocumentContentChangePartialOrTextDocumentContentChangeWholeDocument

// MarkedString can be used to render human readable text. It is either a markdown string
// or a code-block that provides a language and a code snippet. The language identifier
// is semantically equal to the optional language identifier in fenced code blocks in GitHub
// issues. See https://help.github.com/articles/creating-and-highlighting-code-blocks/#syntax-highlighting
//
// The pair of a language and a value is an equivalent to markdown:
// ```${language}
// ${value}
// ```
//
// Note that markdown strings will be sanitized - that means html will be escaped.
//
// Deprecated: use MarkupContent instead.
type MarkedString = StringOrMarkedStringWithLanguage

// A document filter describes a top level text document or
// a notebook cell document.
//
// Since: 3.17.0 - support for NotebookCellTextDocumentFilter.
type DocumentFilter = TextDocumentFilterOrNotebookCellTextDocumentFilter

// LSP object definition.
// Since: 3.17.0
type LSPObject = map[string]LSPAny

// The glob pattern. Either a string pattern or a relative pattern.
//
// Since: 3.17.0
type GlobPattern = PatternOrRelativePattern

// A document filter denotes a document by different properties like
// the language, the scheme of
// its resource, or a glob-pattern that is applied to the path.
//
// Glob patterns can have the following syntax:
// - `*` to match one or more characters in a path segment
// - `?` to match on one character in a path segment
// - `**` to match any number of path segments, including none
// - `{}` to group sub patterns into an OR expression. (e.g. `**​/*.{ts,js}` matches all TypeScript and JavaScript files)
// - `[]` to declare a range of characters to match in a path segment (e.g., `example.[0-9]` to match on `example.0`, `example.1`, …)
// - `[!...]` to negate a range of characters to match in a path segment (e.g., `example.[!0-9]` to match on `example.a`, `example.b`, but not `example.0`)
//
// @sample A language filter that applies to typescript files on disk: `{ language: 'typescript', scheme: 'file' }`
// @sample A language filter that applies to all package.json paths: `{ language: 'json', pattern: '**package.json' }`
//
// Since: 3.17.0
type TextDocumentFilter = TextDocumentFilterLanguageOrTextDocumentFilterSchemeOrTextDocumentFilterPattern

// A notebook document filter denotes a notebook document by
// different properties. The properties will be match
// against the notebook's URI (same as with documents)
//
// Since: 3.17.0
type NotebookDocumentFilter = NotebookDocumentFilterNotebookTypeOrNotebookDocumentFilterSchemeOrNotebookDocumentFilterPattern

// The glob pattern to watch relative to the base path. Glob patterns can have the following syntax:
// - `*` to match one or more characters in a path segment
// - `?` to match on one character in a path segment
// - `**` to match any number of path segments, including none
// - `{}` to group conditions (e.g. `**​/*.{ts,js}` matches all TypeScript and JavaScript files)
// - `[]` to declare a range of characters to match in a path segment (e.g., `example.[0-9]` to match on `example.0`, `example.1`, …)
// - `[!...]` to negate a range of characters to match in a path segment (e.g., `example.[!0-9]` to match on `example.a`, `example.b`, but not `example.0`)
//
// Since: 3.17.0
type Pattern = string

type RegularExpressionEngineKind = string

// Unmarshallers

var unmarshallers = map[Method]func([]byte) (any, error){
	MethodTextDocumentImplementation:          unmarshallerFor[ImplementationParams],
	MethodTextDocumentTypeDefinition:          unmarshallerFor[TypeDefinitionParams],
	MethodTextDocumentDocumentColor:           unmarshallerFor[DocumentColorParams],
	MethodTextDocumentColorPresentation:       unmarshallerFor[ColorPresentationParams],
	MethodTextDocumentFoldingRange:            unmarshallerFor[FoldingRangeParams],
	MethodTextDocumentDeclaration:             unmarshallerFor[DeclarationParams],
	MethodTextDocumentSelectionRange:          unmarshallerFor[SelectionRangeParams],
	MethodTextDocumentPrepareCallHierarchy:    unmarshallerFor[CallHierarchyPrepareParams],
	MethodCallHierarchyIncomingCalls:          unmarshallerFor[CallHierarchyIncomingCallsParams],
	MethodCallHierarchyOutgoingCalls:          unmarshallerFor[CallHierarchyOutgoingCallsParams],
	MethodTextDocumentSemanticTokensFull:      unmarshallerFor[SemanticTokensParams],
	MethodTextDocumentSemanticTokensFullDelta: unmarshallerFor[SemanticTokensDeltaParams],
	MethodTextDocumentSemanticTokensRange:     unmarshallerFor[SemanticTokensRangeParams],
	MethodTextDocumentLinkedEditingRange:      unmarshallerFor[LinkedEditingRangeParams],
	MethodWorkspaceWillCreateFiles:            unmarshallerFor[CreateFilesParams],
	MethodWorkspaceWillRenameFiles:            unmarshallerFor[RenameFilesParams],
	MethodWorkspaceWillDeleteFiles:            unmarshallerFor[DeleteFilesParams],
	MethodTextDocumentMoniker:                 unmarshallerFor[MonikerParams],
	MethodTextDocumentPrepareTypeHierarchy:    unmarshallerFor[TypeHierarchyPrepareParams],
	MethodTypeHierarchySupertypes:             unmarshallerFor[TypeHierarchySupertypesParams],
	MethodTypeHierarchySubtypes:               unmarshallerFor[TypeHierarchySubtypesParams],
	MethodTextDocumentInlineValue:             unmarshallerFor[InlineValueParams],
	MethodTextDocumentInlayHint:               unmarshallerFor[InlayHintParams],
	MethodInlayHintResolve:                    unmarshallerFor[InlayHint],
	MethodTextDocumentDiagnostic:              unmarshallerFor[DocumentDiagnosticParams],
	MethodWorkspaceDiagnostic:                 unmarshallerFor[WorkspaceDiagnosticParams],
	MethodTextDocumentInlineCompletion:        unmarshallerFor[InlineCompletionParams],
	MethodWorkspaceTextDocumentContent:        unmarshallerFor[TextDocumentContentParams],
	MethodInitialize:                          unmarshallerFor[InitializeParams],
	MethodShutdown:                            unmarshallerFor[any],
	MethodTextDocumentWillSaveWaitUntil:       unmarshallerFor[WillSaveTextDocumentParams],
	MethodTextDocumentCompletion:              unmarshallerFor[CompletionParams],
	MethodCompletionItemResolve:               unmarshallerFor[CompletionItem],
	MethodTextDocumentHover:                   unmarshallerFor[HoverParams],
	MethodTextDocumentSignatureHelp:           unmarshallerFor[SignatureHelpParams],
	MethodTextDocumentDefinition:              unmarshallerFor[DefinitionParams],
	MethodTextDocumentReferences:              unmarshallerFor[ReferenceParams],
	MethodTextDocumentDocumentHighlight:       unmarshallerFor[DocumentHighlightParams],
	MethodTextDocumentDocumentSymbol:          unmarshallerFor[DocumentSymbolParams],
	MethodTextDocumentCodeAction:              unmarshallerFor[CodeActionParams],
	MethodCodeActionResolve:                   unmarshallerFor[CodeAction],
	MethodWorkspaceSymbol:                     unmarshallerFor[WorkspaceSymbolParams],
	MethodWorkspaceSymbolResolve:              unmarshallerFor[WorkspaceSymbol],
	MethodTextDocumentCodeLens:                unmarshallerFor[CodeLensParams],
	MethodCodeLensResolve:                     unmarshallerFor[CodeLens],
	MethodTextDocumentDocumentLink:            unmarshallerFor[DocumentLinkParams],
	MethodDocumentLinkResolve:                 unmarshallerFor[DocumentLink],
	MethodTextDocumentFormatting:              unmarshallerFor[DocumentFormattingParams],
	MethodTextDocumentRangeFormatting:         unmarshallerFor[DocumentRangeFormattingParams],
	MethodTextDocumentRangesFormatting:        unmarshallerFor[DocumentRangesFormattingParams],
	MethodTextDocumentOnTypeFormatting:        unmarshallerFor[DocumentOnTypeFormattingParams],
	MethodTextDocumentRename:                  unmarshallerFor[RenameParams],
	MethodTextDocumentPrepareRename:           unmarshallerFor[PrepareRenameParams],
	MethodWorkspaceExecuteCommand:             unmarshallerFor[ExecuteCommandParams],
	MethodWorkspaceDidChangeWorkspaceFolders:  unmarshallerFor[DidChangeWorkspaceFoldersParams],
	MethodWindowWorkDoneProgressCancel:        unmarshallerFor[WorkDoneProgressCancelParams],
	MethodWorkspaceDidCreateFiles:             unmarshallerFor[CreateFilesParams],
	MethodWorkspaceDidRenameFiles:             unmarshallerFor[RenameFilesParams],
	MethodWorkspaceDidDeleteFiles:             unmarshallerFor[DeleteFilesParams],
	MethodNotebookDocumentDidOpen:             unmarshallerFor[DidOpenNotebookDocumentParams],
	MethodNotebookDocumentDidChange:           unmarshallerFor[DidChangeNotebookDocumentParams],
	MethodNotebookDocumentDidSave:             unmarshallerFor[DidSaveNotebookDocumentParams],
	MethodNotebookDocumentDidClose:            unmarshallerFor[DidCloseNotebookDocumentParams],
	MethodInitialized:                         unmarshallerFor[InitializedParams],
	MethodExit:                                unmarshallerFor[any],
	MethodWorkspaceDidChangeConfiguration:     unmarshallerFor[DidChangeConfigurationParams],
	MethodTextDocumentDidOpen:                 unmarshallerFor[DidOpenTextDocumentParams],
	MethodTextDocumentDidChange:               unmarshallerFor[DidChangeTextDocumentParams],
	MethodTextDocumentDidClose:                unmarshallerFor[DidCloseTextDocumentParams],
	MethodTextDocumentDidSave:                 unmarshallerFor[DidSaveTextDocumentParams],
	MethodTextDocumentWillSave:                unmarshallerFor[WillSaveTextDocumentParams],
	MethodWorkspaceDidChangeWatchedFiles:      unmarshallerFor[DidChangeWatchedFilesParams],
	MethodSetTrace:                            unmarshallerFor[SetTraceParams],
	MethodCancelRequest:                       unmarshallerFor[CancelParams],
	MethodProgress:                            unmarshallerFor[ProgressParams],
}

// Requests
const (
	// A request to resolve the implementation locations of a symbol at a given text
	// document position. The request's parameter is of type TextDocumentPositionParams
	// the response is of type Definition or a Thenable that resolves to such.
	MethodTextDocumentImplementation Method = "textDocument/implementation"
	// A request to resolve the type definition locations of a symbol at a given text
	// document position. The request's parameter is of type TextDocumentPositionParams
	// the response is of type Definition or a Thenable that resolves to such.
	MethodTextDocumentTypeDefinition Method = "textDocument/typeDefinition"
	// The `workspace/workspaceFolders` is sent from the server to the client to fetch the open workspace folders.
	MethodWorkspaceWorkspaceFolders Method = "workspace/workspaceFolders"
	// The 'workspace/configuration' request is sent from the server to the client to fetch a certain
	// configuration setting.
	//
	// This pull model replaces the old push model were the client signaled configuration change via an
	// event. If the server still needs to react to configuration changes (since the server caches the
	// result of `workspace/configuration` requests) the server should register for an empty configuration
	// change event and empty the cache if such an event is received.
	MethodWorkspaceConfiguration Method = "workspace/configuration"
	// A request to list all color symbols found in a given text document. The request's
	// parameter is of type DocumentColorParams the
	// response is of type ColorInformation[] or a Thenable
	// that resolves to such.
	MethodTextDocumentDocumentColor Method = "textDocument/documentColor"
	// A request to list all presentation for a color. The request's
	// parameter is of type ColorPresentationParams the
	// response is of type ColorInformation[] or a Thenable
	// that resolves to such.
	MethodTextDocumentColorPresentation Method = "textDocument/colorPresentation"
	// A request to provide folding ranges in a document. The request's
	// parameter is of type FoldingRangeParams, the
	// response is of type FoldingRangeList or a Thenable
	// that resolves to such.
	MethodTextDocumentFoldingRange Method = "textDocument/foldingRange"
	// Since: 3.18.0
	//
	// Proposed.
	MethodWorkspaceFoldingRangeRefresh Method = "workspace/foldingRange/refresh"
	// A request to resolve the type definition locations of a symbol at a given text
	// document position. The request's parameter is of type TextDocumentPositionParams
	// the response is of type Declaration or a typed array of DeclarationLink
	// or a Thenable that resolves to such.
	MethodTextDocumentDeclaration Method = "textDocument/declaration"
	// A request to provide selection ranges in a document. The request's
	// parameter is of type SelectionRangeParams, the
	// response is of type SelectionRange[] or a Thenable
	// that resolves to such.
	MethodTextDocumentSelectionRange Method = "textDocument/selectionRange"
	// The `window/workDoneProgress/create` request is sent from the server to the client to initiate progress
	// reporting from the server.
	MethodWindowWorkDoneProgressCreate Method = "window/workDoneProgress/create"
	// A request to result a `CallHierarchyItem` in a document at a given position.
	// Can be used as an input to an incoming or outgoing call hierarchy.
	//
	// Since: 3.16.0
	MethodTextDocumentPrepareCallHierarchy Method = "textDocument/prepareCallHierarchy"
	// A request to resolve the incoming calls for a given `CallHierarchyItem`.
	//
	// Since: 3.16.0
	MethodCallHierarchyIncomingCalls Method = "callHierarchy/incomingCalls"
	// A request to resolve the outgoing calls for a given `CallHierarchyItem`.
	//
	// Since: 3.16.0
	MethodCallHierarchyOutgoingCalls Method = "callHierarchy/outgoingCalls"
	// Since: 3.16.0
	MethodTextDocumentSemanticTokensFull Method = "textDocument/semanticTokens/full"
	// Since: 3.16.0
	MethodTextDocumentSemanticTokensFullDelta Method = "textDocument/semanticTokens/full/delta"
	// Since: 3.16.0
	MethodTextDocumentSemanticTokensRange Method = "textDocument/semanticTokens/range"
	// Since: 3.16.0
	MethodWorkspaceSemanticTokensRefresh Method = "workspace/semanticTokens/refresh"
	// A request to show a document. This request might open an
	// external program depending on the value of the URI to open.
	// For example a request to open `https://code.visualstudio.com/`
	// will very likely open the URI in a WEB browser.
	//
	// Since: 3.16.0
	MethodWindowShowDocument Method = "window/showDocument"
	// A request to provide ranges that can be edited together.
	//
	// Since: 3.16.0
	MethodTextDocumentLinkedEditingRange Method = "textDocument/linkedEditingRange"
	// The will create files request is sent from the client to the server before files are actually
	// created as long as the creation is triggered from within the client.
	//
	// The request can return a `WorkspaceEdit` which will be applied to workspace before the
	// files are created. Hence the `WorkspaceEdit` can not manipulate the content of the file
	// to be created.
	//
	// Since: 3.16.0
	MethodWorkspaceWillCreateFiles Method = "workspace/willCreateFiles"
	// The will rename files request is sent from the client to the server before files are actually
	// renamed as long as the rename is triggered from within the client.
	//
	// Since: 3.16.0
	MethodWorkspaceWillRenameFiles Method = "workspace/willRenameFiles"
	// The did delete files notification is sent from the client to the server when
	// files were deleted from within the client.
	//
	// Since: 3.16.0
	MethodWorkspaceWillDeleteFiles Method = "workspace/willDeleteFiles"
	// A request to get the moniker of a symbol at a given text document position.
	// The request parameter is of type TextDocumentPositionParams.
	// The response is of type Moniker[] or `null`.
	MethodTextDocumentMoniker Method = "textDocument/moniker"
	// A request to result a `TypeHierarchyItem` in a document at a given position.
	// Can be used as an input to a subtypes or supertypes type hierarchy.
	//
	// Since: 3.17.0
	MethodTextDocumentPrepareTypeHierarchy Method = "textDocument/prepareTypeHierarchy"
	// A request to resolve the supertypes for a given `TypeHierarchyItem`.
	//
	// Since: 3.17.0
	MethodTypeHierarchySupertypes Method = "typeHierarchy/supertypes"
	// A request to resolve the subtypes for a given `TypeHierarchyItem`.
	//
	// Since: 3.17.0
	MethodTypeHierarchySubtypes Method = "typeHierarchy/subtypes"
	// A request to provide inline values in a document. The request's parameter is of
	// type InlineValueParams, the response is of type
	// InlineValue[] or a Thenable that resolves to such.
	//
	// Since: 3.17.0
	MethodTextDocumentInlineValue Method = "textDocument/inlineValue"
	// Since: 3.17.0
	MethodWorkspaceInlineValueRefresh Method = "workspace/inlineValue/refresh"
	// A request to provide inlay hints in a document. The request's parameter is of
	// type InlayHintsParams, the response is of type
	// InlayHint[] or a Thenable that resolves to such.
	//
	// Since: 3.17.0
	MethodTextDocumentInlayHint Method = "textDocument/inlayHint"
	// A request to resolve additional properties for an inlay hint.
	// The request's parameter is of type InlayHint, the response is
	// of type InlayHint or a Thenable that resolves to such.
	//
	// Since: 3.17.0
	MethodInlayHintResolve Method = "inlayHint/resolve"
	// Since: 3.17.0
	MethodWorkspaceInlayHintRefresh Method = "workspace/inlayHint/refresh"
	// The document diagnostic request definition.
	//
	// Since: 3.17.0
	MethodTextDocumentDiagnostic Method = "textDocument/diagnostic"
	// The workspace diagnostic request definition.
	//
	// Since: 3.17.0
	MethodWorkspaceDiagnostic Method = "workspace/diagnostic"
	// The diagnostic refresh request definition.
	//
	// Since: 3.17.0
	MethodWorkspaceDiagnosticRefresh Method = "workspace/diagnostic/refresh"
	// A request to provide inline completions in a document. The request's parameter is of
	// type InlineCompletionParams, the response is of type
	// InlineCompletion[] or a Thenable that resolves to such.
	//
	// Since: 3.18.0
	//
	// Proposed.
	MethodTextDocumentInlineCompletion Method = "textDocument/inlineCompletion"
	// The `workspace/textDocumentContent` request is sent from the client to the
	// server to request the content of a text document.
	//
	// Since: 3.18.0
	//
	// Proposed.
	MethodWorkspaceTextDocumentContent Method = "workspace/textDocumentContent"
	// The `workspace/textDocumentContent` request is sent from the server to the client to refresh
	// the content of a specific text document.
	//
	// Since: 3.18.0
	//
	// Proposed.
	MethodWorkspaceTextDocumentContentRefresh Method = "workspace/textDocumentContent/refresh"
	// The `client/registerCapability` request is sent from the server to the client to register a new capability
	// handler on the client side.
	MethodClientRegisterCapability Method = "client/registerCapability"
	// The `client/unregisterCapability` request is sent from the server to the client to unregister a previously registered capability
	// handler on the client side.
	MethodClientUnregisterCapability Method = "client/unregisterCapability"
	// The initialize request is sent from the client to the server.
	// It is sent once as the request after starting up the server.
	// The requests parameter is of type InitializeParams
	// the response if of type InitializeResult of a Thenable that
	// resolves to such.
	MethodInitialize Method = "initialize"
	// A shutdown request is sent from the client to the server.
	// It is sent once when the client decides to shutdown the
	// server. The only notification that is sent after a shutdown request
	// is the exit event.
	MethodShutdown Method = "shutdown"
	// The show message request is sent from the server to the client to show a message
	// and a set of options actions to the user.
	MethodWindowShowMessageRequest Method = "window/showMessageRequest"
	// A document will save request is sent from the client to the server before
	// the document is actually saved. The request can return an array of TextEdits
	// which will be applied to the text document before it is saved. Please note that
	// clients might drop results if computing the text edits took too long or if a
	// server constantly fails on this request. This is done to keep the save fast and
	// reliable.
	MethodTextDocumentWillSaveWaitUntil Method = "textDocument/willSaveWaitUntil"
	// Request to request completion at a given text document position. The request's
	// parameter is of type TextDocumentPosition the response
	// is of type CompletionItem[] or CompletionList
	// or a Thenable that resolves to such.
	//
	// The request can delay the computation of the `detail`
	// and `documentation` properties to the `completionItem/resolve`
	// request. However, properties that are needed for the initial sorting and filtering, like `sortText`,
	// `filterText`, `insertText`, and `textEdit`, must not be changed during resolve.
	MethodTextDocumentCompletion Method = "textDocument/completion"
	// Request to resolve additional information for a given completion item.The request's
	// parameter is of type CompletionItem the response
	// is of type CompletionItem or a Thenable that resolves to such.
	MethodCompletionItemResolve Method = "completionItem/resolve"
	// Request to request hover information at a given text document position. The request's
	// parameter is of type TextDocumentPosition the response is of
	// type Hover or a Thenable that resolves to such.
	MethodTextDocumentHover         Method = "textDocument/hover"
	MethodTextDocumentSignatureHelp Method = "textDocument/signatureHelp"
	// A request to resolve the definition location of a symbol at a given text
	// document position. The request's parameter is of type TextDocumentPosition
	// the response is of either type Definition or a typed array of
	// DefinitionLink or a Thenable that resolves to such.
	MethodTextDocumentDefinition Method = "textDocument/definition"
	// A request to resolve project-wide references for the symbol denoted
	// by the given text document position. The request's parameter is of
	// type ReferenceParams the response is of type
	// Location[] or a Thenable that resolves to such.
	MethodTextDocumentReferences Method = "textDocument/references"
	// Request to resolve a DocumentHighlight for a given
	// text document position. The request's parameter is of type TextDocumentPosition
	// the request response is an array of type DocumentHighlight
	// or a Thenable that resolves to such.
	MethodTextDocumentDocumentHighlight Method = "textDocument/documentHighlight"
	// A request to list all symbols found in a given text document. The request's
	// parameter is of type TextDocumentIdentifier the
	// response is of type SymbolInformation[] or a Thenable
	// that resolves to such.
	MethodTextDocumentDocumentSymbol Method = "textDocument/documentSymbol"
	// A request to provide commands for the given text document and range.
	MethodTextDocumentCodeAction Method = "textDocument/codeAction"
	// Request to resolve additional information for a given code action.The request's
	// parameter is of type CodeAction the response
	// is of type CodeAction or a Thenable that resolves to such.
	MethodCodeActionResolve Method = "codeAction/resolve"
	// A request to list project-wide symbols matching the query string given
	// by the WorkspaceSymbolParams. The response is
	// of type SymbolInformation[] or a Thenable that
	// resolves to such.
	//
	// Since: 3.17.0 - support for WorkspaceSymbol in the returned data. Clients
	//
	//	need to advertise support for WorkspaceSymbols via the client capability
	//	`workspace.symbol.resolveSupport`.
	MethodWorkspaceSymbol Method = "workspace/symbol"
	// A request to resolve the range inside the workspace
	// symbol's location.
	//
	// Since: 3.17.0
	MethodWorkspaceSymbolResolve Method = "workspaceSymbol/resolve"
	// A request to provide code lens for the given text document.
	MethodTextDocumentCodeLens Method = "textDocument/codeLens"
	// A request to resolve a command for a given code lens.
	MethodCodeLensResolve Method = "codeLens/resolve"
	// A request to refresh all code actions
	//
	// Since: 3.16.0
	MethodWorkspaceCodeLensRefresh Method = "workspace/codeLens/refresh"
	// A request to provide document links
	MethodTextDocumentDocumentLink Method = "textDocument/documentLink"
	// Request to resolve additional information for a given document link. The request's
	// parameter is of type DocumentLink the response
	// is of type DocumentLink or a Thenable that resolves to such.
	MethodDocumentLinkResolve Method = "documentLink/resolve"
	// A request to format a whole document.
	MethodTextDocumentFormatting Method = "textDocument/formatting"
	// A request to format a range in a document.
	MethodTextDocumentRangeFormatting Method = "textDocument/rangeFormatting"
	// A request to format ranges in a document.
	//
	// Since: 3.18.0
	//
	// Proposed.
	MethodTextDocumentRangesFormatting Method = "textDocument/rangesFormatting"
	// A request to format a document on type.
	MethodTextDocumentOnTypeFormatting Method = "textDocument/onTypeFormatting"
	// A request to rename a symbol.
	MethodTextDocumentRename Method = "textDocument/rename"
	// A request to test and perform the setup necessary for a rename.
	//
	// Since: 3.16 - support for default behavior
	MethodTextDocumentPrepareRename Method = "textDocument/prepareRename"
	// A request send from the client to the server to execute a command. The request might return
	// a workspace edit which the client will apply to the workspace.
	MethodWorkspaceExecuteCommand Method = "workspace/executeCommand"
	// A request sent from the server to the client to modified certain resources.
	MethodWorkspaceApplyEdit Method = "workspace/applyEdit"
)

// Notifications
const (
	// The `workspace/didChangeWorkspaceFolders` notification is sent from the client to the server when the workspace
	// folder configuration changes.
	MethodWorkspaceDidChangeWorkspaceFolders Method = "workspace/didChangeWorkspaceFolders"
	// The `window/workDoneProgress/cancel` notification is sent from the client to the server to cancel a progress
	// initiated on the server side.
	MethodWindowWorkDoneProgressCancel Method = "window/workDoneProgress/cancel"
	// The did create files notification is sent from the client to the server when
	// files were created from within the client.
	//
	// Since: 3.16.0
	MethodWorkspaceDidCreateFiles Method = "workspace/didCreateFiles"
	// The did rename files notification is sent from the client to the server when
	// files were renamed from within the client.
	//
	// Since: 3.16.0
	MethodWorkspaceDidRenameFiles Method = "workspace/didRenameFiles"
	// The will delete files request is sent from the client to the server before files are actually
	// deleted as long as the deletion is triggered from within the client.
	//
	// Since: 3.16.0
	MethodWorkspaceDidDeleteFiles Method = "workspace/didDeleteFiles"
	// A notification sent when a notebook opens.
	//
	// Since: 3.17.0
	MethodNotebookDocumentDidOpen   Method = "notebookDocument/didOpen"
	MethodNotebookDocumentDidChange Method = "notebookDocument/didChange"
	// A notification sent when a notebook document is saved.
	//
	// Since: 3.17.0
	MethodNotebookDocumentDidSave Method = "notebookDocument/didSave"
	// A notification sent when a notebook closes.
	//
	// Since: 3.17.0
	MethodNotebookDocumentDidClose Method = "notebookDocument/didClose"
	// The initialized notification is sent from the client to the
	// server after the client is fully initialized and the server
	// is allowed to send requests from the server to the client.
	MethodInitialized Method = "initialized"
	// The exit event is sent from the client to the server to
	// ask the server to exit its process.
	MethodExit Method = "exit"
	// The configuration change notification is sent from the client to the server
	// when the client's configuration has changed. The notification contains
	// the changed configuration as defined by the language client.
	MethodWorkspaceDidChangeConfiguration Method = "workspace/didChangeConfiguration"
	// The show message notification is sent from a server to a client to ask
	// the client to display a particular message in the user interface.
	MethodWindowShowMessage Method = "window/showMessage"
	// The log message notification is sent from the server to the client to ask
	// the client to log a particular message.
	MethodWindowLogMessage Method = "window/logMessage"
	// The telemetry event notification is sent from the server to the client to ask
	// the client to log telemetry data.
	MethodTelemetryEvent Method = "telemetry/event"
	// The document open notification is sent from the client to the server to signal
	// newly opened text documents. The document's truth is now managed by the client
	// and the server must not try to read the document's truth using the document's
	// uri. Open in this sense means it is managed by the client. It doesn't necessarily
	// mean that its content is presented in an editor. An open notification must not
	// be sent more than once without a corresponding close notification send before.
	// This means open and close notification must be balanced and the max open count
	// is one.
	MethodTextDocumentDidOpen Method = "textDocument/didOpen"
	// The document change notification is sent from the client to the server to signal
	// changes to a text document.
	MethodTextDocumentDidChange Method = "textDocument/didChange"
	// The document close notification is sent from the client to the server when
	// the document got closed in the client. The document's truth now exists where
	// the document's uri points to (e.g. if the document's uri is a file uri the
	// truth now exists on disk). As with the open notification the close notification
	// is about managing the document's content. Receiving a close notification
	// doesn't mean that the document was open in an editor before. A close
	// notification requires a previous open notification to be sent.
	MethodTextDocumentDidClose Method = "textDocument/didClose"
	// The document save notification is sent from the client to the server when
	// the document got saved in the client.
	MethodTextDocumentDidSave Method = "textDocument/didSave"
	// A document will save notification is sent from the client to the server before
	// the document is actually saved.
	MethodTextDocumentWillSave Method = "textDocument/willSave"
	// The watched files notification is sent from the client to the server when
	// the client detects changes to file watched by the language client.
	MethodWorkspaceDidChangeWatchedFiles Method = "workspace/didChangeWatchedFiles"
	// Diagnostics notification are sent from the server to the client to signal
	// results of validation runs.
	MethodTextDocumentPublishDiagnostics Method = "textDocument/publishDiagnostics"
	MethodSetTrace                       Method = "$/setTrace"
	MethodLogTrace                       Method = "$/logTrace"
	MethodCancelRequest                  Method = "$/cancelRequest"
	MethodProgress                       Method = "$/progress"
)

// Union types

type TextDocumentEditOrCreateFileOrRenameFileOrDeleteFile struct {
	TextDocumentEdit *TextDocumentEdit
	CreateFile       *CreateFile
	RenameFile       *RenameFile
	DeleteFile       *DeleteFile
}

func (o TextDocumentEditOrCreateFileOrRenameFileOrDeleteFile) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of TextDocumentEditOrCreateFileOrRenameFileOrDeleteFile is set", o.TextDocumentEdit != nil, o.CreateFile != nil, o.RenameFile != nil, o.DeleteFile != nil)
	if o.TextDocumentEdit != nil {
		return json.Marshal(*o.TextDocumentEdit)
	}
	if o.CreateFile != nil {
		return json.Marshal(*o.CreateFile)
	}
	if o.RenameFile != nil {
		return json.Marshal(*o.RenameFile)
	}
	if o.DeleteFile != nil {
		return json.Marshal(*o.DeleteFile)
	}
	panic("unreachable")
}

func (o *TextDocumentEditOrCreateFileOrRenameFileOrDeleteFile) UnmarshalJSON(data []byte) error {
	*o = TextDocumentEditOrCreateFileOrRenameFileOrDeleteFile{}
	var vTextDocumentEdit TextDocumentEdit
	if err := json.Unmarshal(data, &vTextDocumentEdit); err == nil {
		o.TextDocumentEdit = &vTextDocumentEdit
		return nil
	}
	var vCreateFile CreateFile
	if err := json.Unmarshal(data, &vCreateFile); err == nil {
		o.CreateFile = &vCreateFile
		return nil
	}
	var vRenameFile RenameFile
	if err := json.Unmarshal(data, &vRenameFile); err == nil {
		o.RenameFile = &vRenameFile
		return nil
	}
	var vDeleteFile DeleteFile
	if err := json.Unmarshal(data, &vDeleteFile); err == nil {
		o.DeleteFile = &vDeleteFile
		return nil
	}
	return fmt.Errorf("invalid TextDocumentEditOrCreateFileOrRenameFileOrDeleteFile: %s", data)
}

type StringOrInlayHintLabelParts struct {
	String              *string
	InlayHintLabelParts *[]InlayHintLabelPart
}

func (o StringOrInlayHintLabelParts) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of StringOrInlayHintLabelParts is set", o.String != nil, o.InlayHintLabelParts != nil)
	if o.String != nil {
		return json.Marshal(*o.String)
	}
	if o.InlayHintLabelParts != nil {
		return json.Marshal(*o.InlayHintLabelParts)
	}
	panic("unreachable")
}

func (o *StringOrInlayHintLabelParts) UnmarshalJSON(data []byte) error {
	*o = StringOrInlayHintLabelParts{}
	var vString string
	if err := json.Unmarshal(data, &vString); err == nil {
		o.String = &vString
		return nil
	}
	var vInlayHintLabelParts []InlayHintLabelPart
	if err := json.Unmarshal(data, &vInlayHintLabelParts); err == nil {
		o.InlayHintLabelParts = &vInlayHintLabelParts
		return nil
	}
	return fmt.Errorf("invalid StringOrInlayHintLabelParts: %s", data)
}

type StringOrMarkupContent struct {
	String        *string
	MarkupContent *MarkupContent
}

func (o StringOrMarkupContent) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of StringOrMarkupContent is set", o.String != nil, o.MarkupContent != nil)
	if o.String != nil {
		return json.Marshal(*o.String)
	}
	if o.MarkupContent != nil {
		return json.Marshal(*o.MarkupContent)
	}
	panic("unreachable")
}

func (o *StringOrMarkupContent) UnmarshalJSON(data []byte) error {
	*o = StringOrMarkupContent{}
	var vString string
	if err := json.Unmarshal(data, &vString); err == nil {
		o.String = &vString
		return nil
	}
	var vMarkupContent MarkupContent
	if err := json.Unmarshal(data, &vMarkupContent); err == nil {
		o.MarkupContent = &vMarkupContent
		return nil
	}
	return fmt.Errorf("invalid StringOrMarkupContent: %s", data)
}

type FullDocumentDiagnosticReportOrUnchangedDocumentDiagnosticReport struct {
	FullDocumentDiagnosticReport      *FullDocumentDiagnosticReport
	UnchangedDocumentDiagnosticReport *UnchangedDocumentDiagnosticReport
}

func (o FullDocumentDiagnosticReportOrUnchangedDocumentDiagnosticReport) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of FullDocumentDiagnosticReportOrUnchangedDocumentDiagnosticReport is set", o.FullDocumentDiagnosticReport != nil, o.UnchangedDocumentDiagnosticReport != nil)
	if o.FullDocumentDiagnosticReport != nil {
		return json.Marshal(*o.FullDocumentDiagnosticReport)
	}
	if o.UnchangedDocumentDiagnosticReport != nil {
		return json.Marshal(*o.UnchangedDocumentDiagnosticReport)
	}
	panic("unreachable")
}

func (o *FullDocumentDiagnosticReportOrUnchangedDocumentDiagnosticReport) UnmarshalJSON(data []byte) error {
	*o = FullDocumentDiagnosticReportOrUnchangedDocumentDiagnosticReport{}
	var vFullDocumentDiagnosticReport FullDocumentDiagnosticReport
	if err := json.Unmarshal(data, &vFullDocumentDiagnosticReport); err == nil {
		o.FullDocumentDiagnosticReport = &vFullDocumentDiagnosticReport
		return nil
	}
	var vUnchangedDocumentDiagnosticReport UnchangedDocumentDiagnosticReport
	if err := json.Unmarshal(data, &vUnchangedDocumentDiagnosticReport); err == nil {
		o.UnchangedDocumentDiagnosticReport = &vUnchangedDocumentDiagnosticReport
		return nil
	}
	return fmt.Errorf("invalid FullDocumentDiagnosticReportOrUnchangedDocumentDiagnosticReport: %s", data)
}

type StringOrStringValue struct {
	String      *string
	StringValue *StringValue
}

func (o StringOrStringValue) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of StringOrStringValue is set", o.String != nil, o.StringValue != nil)
	if o.String != nil {
		return json.Marshal(*o.String)
	}
	if o.StringValue != nil {
		return json.Marshal(*o.StringValue)
	}
	panic("unreachable")
}

func (o *StringOrStringValue) UnmarshalJSON(data []byte) error {
	*o = StringOrStringValue{}
	var vString string
	if err := json.Unmarshal(data, &vString); err == nil {
		o.String = &vString
		return nil
	}
	var vStringValue StringValue
	if err := json.Unmarshal(data, &vStringValue); err == nil {
		o.StringValue = &vStringValue
		return nil
	}
	return fmt.Errorf("invalid StringOrStringValue: %s", data)
}

type StringOrStrings struct {
	String  *string
	Strings *[]string
}

func (o StringOrStrings) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of StringOrStrings is set", o.String != nil, o.Strings != nil)
	if o.String != nil {
		return json.Marshal(*o.String)
	}
	if o.Strings != nil {
		return json.Marshal(*o.Strings)
	}
	panic("unreachable")
}

func (o *StringOrStrings) UnmarshalJSON(data []byte) error {
	*o = StringOrStrings{}
	var vString string
	if err := json.Unmarshal(data, &vString); err == nil {
		o.String = &vString
		return nil
	}
	var vStrings []string
	if err := json.Unmarshal(data, &vStrings); err == nil {
		o.Strings = &vStrings
		return nil
	}
	return fmt.Errorf("invalid StringOrStrings: %s", data)
}

type TextEditOrInsertReplaceEdit struct {
	TextEdit          *TextEdit
	InsertReplaceEdit *InsertReplaceEdit
}

func (o TextEditOrInsertReplaceEdit) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of TextEditOrInsertReplaceEdit is set", o.TextEdit != nil, o.InsertReplaceEdit != nil)
	if o.TextEdit != nil {
		return json.Marshal(*o.TextEdit)
	}
	if o.InsertReplaceEdit != nil {
		return json.Marshal(*o.InsertReplaceEdit)
	}
	panic("unreachable")
}

func (o *TextEditOrInsertReplaceEdit) UnmarshalJSON(data []byte) error {
	*o = TextEditOrInsertReplaceEdit{}
	var vTextEdit TextEdit
	if err := json.Unmarshal(data, &vTextEdit); err == nil {
		o.TextEdit = &vTextEdit
		return nil
	}
	var vInsertReplaceEdit InsertReplaceEdit
	if err := json.Unmarshal(data, &vInsertReplaceEdit); err == nil {
		o.InsertReplaceEdit = &vInsertReplaceEdit
		return nil
	}
	return fmt.Errorf("invalid TextEditOrInsertReplaceEdit: %s", data)
}

type MarkupContentOrMarkedStringOrMarkedStrings struct {
	MarkupContent *MarkupContent
	MarkedString  *MarkedString
	MarkedStrings *[]MarkedString
}

func (o MarkupContentOrMarkedStringOrMarkedStrings) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of MarkupContentOrMarkedStringOrMarkedStrings is set", o.MarkupContent != nil, o.MarkedString != nil, o.MarkedStrings != nil)
	if o.MarkupContent != nil {
		return json.Marshal(*o.MarkupContent)
	}
	if o.MarkedString != nil {
		return json.Marshal(*o.MarkedString)
	}
	if o.MarkedStrings != nil {
		return json.Marshal(*o.MarkedStrings)
	}
	panic("unreachable")
}

func (o *MarkupContentOrMarkedStringOrMarkedStrings) UnmarshalJSON(data []byte) error {
	*o = MarkupContentOrMarkedStringOrMarkedStrings{}
	var vMarkupContent MarkupContent
	if err := json.Unmarshal(data, &vMarkupContent); err == nil {
		o.MarkupContent = &vMarkupContent
		return nil
	}
	var vMarkedString MarkedString
	if err := json.Unmarshal(data, &vMarkedString); err == nil {
		o.MarkedString = &vMarkedString
		return nil
	}
	var vMarkedStrings []MarkedString
	if err := json.Unmarshal(data, &vMarkedStrings); err == nil {
		o.MarkedStrings = &vMarkedStrings
		return nil
	}
	return fmt.Errorf("invalid MarkupContentOrMarkedStringOrMarkedStrings: %s", data)
}

type LocationOrLocationUriOnly struct {
	Location        *Location
	LocationUriOnly *LocationUriOnly
}

func (o LocationOrLocationUriOnly) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of LocationOrLocationUriOnly is set", o.Location != nil, o.LocationUriOnly != nil)
	if o.Location != nil {
		return json.Marshal(*o.Location)
	}
	if o.LocationUriOnly != nil {
		return json.Marshal(*o.LocationUriOnly)
	}
	panic("unreachable")
}

func (o *LocationOrLocationUriOnly) UnmarshalJSON(data []byte) error {
	*o = LocationOrLocationUriOnly{}
	var vLocation Location
	if err := json.Unmarshal(data, &vLocation); err == nil {
		o.Location = &vLocation
		return nil
	}
	var vLocationUriOnly LocationUriOnly
	if err := json.Unmarshal(data, &vLocationUriOnly); err == nil {
		o.LocationUriOnly = &vLocationUriOnly
		return nil
	}
	return fmt.Errorf("invalid LocationOrLocationUriOnly: %s", data)
}

type IntegerOrString struct {
	Integer *int32
	String  *string
}

func (o IntegerOrString) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of IntegerOrString is set", o.Integer != nil, o.String != nil)
	if o.Integer != nil {
		return json.Marshal(*o.Integer)
	}
	if o.String != nil {
		return json.Marshal(*o.String)
	}
	panic("unreachable")
}

func (o *IntegerOrString) UnmarshalJSON(data []byte) error {
	*o = IntegerOrString{}
	var vInteger int32
	if err := json.Unmarshal(data, &vInteger); err == nil {
		o.Integer = &vInteger
		return nil
	}
	var vString string
	if err := json.Unmarshal(data, &vString); err == nil {
		o.String = &vString
		return nil
	}
	return fmt.Errorf("invalid IntegerOrString: %s", data)
}

type BooleanOrEmptyObject struct {
	Boolean     *bool
	EmptyObject *struct{}
}

func (o BooleanOrEmptyObject) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrEmptyObject is set", o.Boolean != nil, o.EmptyObject != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.EmptyObject != nil {
		return json.Marshal(*o.EmptyObject)
	}
	panic("unreachable")
}

func (o *BooleanOrEmptyObject) UnmarshalJSON(data []byte) error {
	*o = BooleanOrEmptyObject{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vEmptyObject struct{}
	if err := json.Unmarshal(data, &vEmptyObject); err == nil {
		o.EmptyObject = &vEmptyObject
		return nil
	}
	return fmt.Errorf("invalid BooleanOrEmptyObject: %s", data)
}

type BooleanOrSemanticTokensFullDelta struct {
	Boolean                 *bool
	SemanticTokensFullDelta *SemanticTokensFullDelta
}

func (o BooleanOrSemanticTokensFullDelta) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrSemanticTokensFullDelta is set", o.Boolean != nil, o.SemanticTokensFullDelta != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.SemanticTokensFullDelta != nil {
		return json.Marshal(*o.SemanticTokensFullDelta)
	}
	panic("unreachable")
}

func (o *BooleanOrSemanticTokensFullDelta) UnmarshalJSON(data []byte) error {
	*o = BooleanOrSemanticTokensFullDelta{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vSemanticTokensFullDelta SemanticTokensFullDelta
	if err := json.Unmarshal(data, &vSemanticTokensFullDelta); err == nil {
		o.SemanticTokensFullDelta = &vSemanticTokensFullDelta
		return nil
	}
	return fmt.Errorf("invalid BooleanOrSemanticTokensFullDelta: %s", data)
}

type TextEditOrAnnotatedTextEditOrSnippetTextEdit struct {
	TextEdit          *TextEdit
	AnnotatedTextEdit *AnnotatedTextEdit
	SnippetTextEdit   *SnippetTextEdit
}

func (o TextEditOrAnnotatedTextEditOrSnippetTextEdit) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of TextEditOrAnnotatedTextEditOrSnippetTextEdit is set", o.TextEdit != nil, o.AnnotatedTextEdit != nil, o.SnippetTextEdit != nil)
	if o.TextEdit != nil {
		return json.Marshal(*o.TextEdit)
	}
	if o.AnnotatedTextEdit != nil {
		return json.Marshal(*o.AnnotatedTextEdit)
	}
	if o.SnippetTextEdit != nil {
		return json.Marshal(*o.SnippetTextEdit)
	}
	panic("unreachable")
}

func (o *TextEditOrAnnotatedTextEditOrSnippetTextEdit) UnmarshalJSON(data []byte) error {
	*o = TextEditOrAnnotatedTextEditOrSnippetTextEdit{}
	var vTextEdit TextEdit
	if err := json.Unmarshal(data, &vTextEdit); err == nil {
		o.TextEdit = &vTextEdit
		return nil
	}
	var vAnnotatedTextEdit AnnotatedTextEdit
	if err := json.Unmarshal(data, &vAnnotatedTextEdit); err == nil {
		o.AnnotatedTextEdit = &vAnnotatedTextEdit
		return nil
	}
	var vSnippetTextEdit SnippetTextEdit
	if err := json.Unmarshal(data, &vSnippetTextEdit); err == nil {
		o.SnippetTextEdit = &vSnippetTextEdit
		return nil
	}
	return fmt.Errorf("invalid TextEditOrAnnotatedTextEditOrSnippetTextEdit: %s", data)
}

type NotebookDocumentFilterWithNotebookOrNotebookDocumentFilterWithCells struct {
	NotebookDocumentFilterWithNotebook *NotebookDocumentFilterWithNotebook
	NotebookDocumentFilterWithCells    *NotebookDocumentFilterWithCells
}

func (o NotebookDocumentFilterWithNotebookOrNotebookDocumentFilterWithCells) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of NotebookDocumentFilterWithNotebookOrNotebookDocumentFilterWithCells is set", o.NotebookDocumentFilterWithNotebook != nil, o.NotebookDocumentFilterWithCells != nil)
	if o.NotebookDocumentFilterWithNotebook != nil {
		return json.Marshal(*o.NotebookDocumentFilterWithNotebook)
	}
	if o.NotebookDocumentFilterWithCells != nil {
		return json.Marshal(*o.NotebookDocumentFilterWithCells)
	}
	panic("unreachable")
}

func (o *NotebookDocumentFilterWithNotebookOrNotebookDocumentFilterWithCells) UnmarshalJSON(data []byte) error {
	*o = NotebookDocumentFilterWithNotebookOrNotebookDocumentFilterWithCells{}
	var vNotebookDocumentFilterWithNotebook NotebookDocumentFilterWithNotebook
	if err := json.Unmarshal(data, &vNotebookDocumentFilterWithNotebook); err == nil {
		o.NotebookDocumentFilterWithNotebook = &vNotebookDocumentFilterWithNotebook
		return nil
	}
	var vNotebookDocumentFilterWithCells NotebookDocumentFilterWithCells
	if err := json.Unmarshal(data, &vNotebookDocumentFilterWithCells); err == nil {
		o.NotebookDocumentFilterWithCells = &vNotebookDocumentFilterWithCells
		return nil
	}
	return fmt.Errorf("invalid NotebookDocumentFilterWithNotebookOrNotebookDocumentFilterWithCells: %s", data)
}

type TextDocumentSyncOptionsOrTextDocumentSyncKind struct {
	TextDocumentSyncOptions *TextDocumentSyncOptions
	TextDocumentSyncKind    *TextDocumentSyncKind
}

func (o TextDocumentSyncOptionsOrTextDocumentSyncKind) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of TextDocumentSyncOptionsOrTextDocumentSyncKind is set", o.TextDocumentSyncOptions != nil, o.TextDocumentSyncKind != nil)
	if o.TextDocumentSyncOptions != nil {
		return json.Marshal(*o.TextDocumentSyncOptions)
	}
	if o.TextDocumentSyncKind != nil {
		return json.Marshal(*o.TextDocumentSyncKind)
	}
	panic("unreachable")
}

func (o *TextDocumentSyncOptionsOrTextDocumentSyncKind) UnmarshalJSON(data []byte) error {
	*o = TextDocumentSyncOptionsOrTextDocumentSyncKind{}
	var vTextDocumentSyncOptions TextDocumentSyncOptions
	if err := json.Unmarshal(data, &vTextDocumentSyncOptions); err == nil {
		o.TextDocumentSyncOptions = &vTextDocumentSyncOptions
		return nil
	}
	var vTextDocumentSyncKind TextDocumentSyncKind
	if err := json.Unmarshal(data, &vTextDocumentSyncKind); err == nil {
		o.TextDocumentSyncKind = &vTextDocumentSyncKind
		return nil
	}
	return fmt.Errorf("invalid TextDocumentSyncOptionsOrTextDocumentSyncKind: %s", data)
}

type NotebookDocumentSyncOptionsOrNotebookDocumentSyncRegistrationOptions struct {
	NotebookDocumentSyncOptions             *NotebookDocumentSyncOptions
	NotebookDocumentSyncRegistrationOptions *NotebookDocumentSyncRegistrationOptions
}

func (o NotebookDocumentSyncOptionsOrNotebookDocumentSyncRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of NotebookDocumentSyncOptionsOrNotebookDocumentSyncRegistrationOptions is set", o.NotebookDocumentSyncOptions != nil, o.NotebookDocumentSyncRegistrationOptions != nil)
	if o.NotebookDocumentSyncOptions != nil {
		return json.Marshal(*o.NotebookDocumentSyncOptions)
	}
	if o.NotebookDocumentSyncRegistrationOptions != nil {
		return json.Marshal(*o.NotebookDocumentSyncRegistrationOptions)
	}
	panic("unreachable")
}

func (o *NotebookDocumentSyncOptionsOrNotebookDocumentSyncRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = NotebookDocumentSyncOptionsOrNotebookDocumentSyncRegistrationOptions{}
	var vNotebookDocumentSyncOptions NotebookDocumentSyncOptions
	if err := json.Unmarshal(data, &vNotebookDocumentSyncOptions); err == nil {
		o.NotebookDocumentSyncOptions = &vNotebookDocumentSyncOptions
		return nil
	}
	var vNotebookDocumentSyncRegistrationOptions NotebookDocumentSyncRegistrationOptions
	if err := json.Unmarshal(data, &vNotebookDocumentSyncRegistrationOptions); err == nil {
		o.NotebookDocumentSyncRegistrationOptions = &vNotebookDocumentSyncRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid NotebookDocumentSyncOptionsOrNotebookDocumentSyncRegistrationOptions: %s", data)
}

type BooleanOrHoverOptions struct {
	Boolean      *bool
	HoverOptions *HoverOptions
}

func (o BooleanOrHoverOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrHoverOptions is set", o.Boolean != nil, o.HoverOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.HoverOptions != nil {
		return json.Marshal(*o.HoverOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrHoverOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrHoverOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vHoverOptions HoverOptions
	if err := json.Unmarshal(data, &vHoverOptions); err == nil {
		o.HoverOptions = &vHoverOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrHoverOptions: %s", data)
}

type BooleanOrDeclarationOptionsOrDeclarationRegistrationOptions struct {
	Boolean                        *bool
	DeclarationOptions             *DeclarationOptions
	DeclarationRegistrationOptions *DeclarationRegistrationOptions
}

func (o BooleanOrDeclarationOptionsOrDeclarationRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrDeclarationOptionsOrDeclarationRegistrationOptions is set", o.Boolean != nil, o.DeclarationOptions != nil, o.DeclarationRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.DeclarationOptions != nil {
		return json.Marshal(*o.DeclarationOptions)
	}
	if o.DeclarationRegistrationOptions != nil {
		return json.Marshal(*o.DeclarationRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrDeclarationOptionsOrDeclarationRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrDeclarationOptionsOrDeclarationRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vDeclarationOptions DeclarationOptions
	if err := json.Unmarshal(data, &vDeclarationOptions); err == nil {
		o.DeclarationOptions = &vDeclarationOptions
		return nil
	}
	var vDeclarationRegistrationOptions DeclarationRegistrationOptions
	if err := json.Unmarshal(data, &vDeclarationRegistrationOptions); err == nil {
		o.DeclarationRegistrationOptions = &vDeclarationRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrDeclarationOptionsOrDeclarationRegistrationOptions: %s", data)
}

type BooleanOrDefinitionOptions struct {
	Boolean           *bool
	DefinitionOptions *DefinitionOptions
}

func (o BooleanOrDefinitionOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrDefinitionOptions is set", o.Boolean != nil, o.DefinitionOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.DefinitionOptions != nil {
		return json.Marshal(*o.DefinitionOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrDefinitionOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrDefinitionOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vDefinitionOptions DefinitionOptions
	if err := json.Unmarshal(data, &vDefinitionOptions); err == nil {
		o.DefinitionOptions = &vDefinitionOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrDefinitionOptions: %s", data)
}

type BooleanOrTypeDefinitionOptionsOrTypeDefinitionRegistrationOptions struct {
	Boolean                           *bool
	TypeDefinitionOptions             *TypeDefinitionOptions
	TypeDefinitionRegistrationOptions *TypeDefinitionRegistrationOptions
}

func (o BooleanOrTypeDefinitionOptionsOrTypeDefinitionRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrTypeDefinitionOptionsOrTypeDefinitionRegistrationOptions is set", o.Boolean != nil, o.TypeDefinitionOptions != nil, o.TypeDefinitionRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.TypeDefinitionOptions != nil {
		return json.Marshal(*o.TypeDefinitionOptions)
	}
	if o.TypeDefinitionRegistrationOptions != nil {
		return json.Marshal(*o.TypeDefinitionRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrTypeDefinitionOptionsOrTypeDefinitionRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrTypeDefinitionOptionsOrTypeDefinitionRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vTypeDefinitionOptions TypeDefinitionOptions
	if err := json.Unmarshal(data, &vTypeDefinitionOptions); err == nil {
		o.TypeDefinitionOptions = &vTypeDefinitionOptions
		return nil
	}
	var vTypeDefinitionRegistrationOptions TypeDefinitionRegistrationOptions
	if err := json.Unmarshal(data, &vTypeDefinitionRegistrationOptions); err == nil {
		o.TypeDefinitionRegistrationOptions = &vTypeDefinitionRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrTypeDefinitionOptionsOrTypeDefinitionRegistrationOptions: %s", data)
}

type BooleanOrImplementationOptionsOrImplementationRegistrationOptions struct {
	Boolean                           *bool
	ImplementationOptions             *ImplementationOptions
	ImplementationRegistrationOptions *ImplementationRegistrationOptions
}

func (o BooleanOrImplementationOptionsOrImplementationRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrImplementationOptionsOrImplementationRegistrationOptions is set", o.Boolean != nil, o.ImplementationOptions != nil, o.ImplementationRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.ImplementationOptions != nil {
		return json.Marshal(*o.ImplementationOptions)
	}
	if o.ImplementationRegistrationOptions != nil {
		return json.Marshal(*o.ImplementationRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrImplementationOptionsOrImplementationRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrImplementationOptionsOrImplementationRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vImplementationOptions ImplementationOptions
	if err := json.Unmarshal(data, &vImplementationOptions); err == nil {
		o.ImplementationOptions = &vImplementationOptions
		return nil
	}
	var vImplementationRegistrationOptions ImplementationRegistrationOptions
	if err := json.Unmarshal(data, &vImplementationRegistrationOptions); err == nil {
		o.ImplementationRegistrationOptions = &vImplementationRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrImplementationOptionsOrImplementationRegistrationOptions: %s", data)
}

type BooleanOrReferenceOptions struct {
	Boolean          *bool
	ReferenceOptions *ReferenceOptions
}

func (o BooleanOrReferenceOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrReferenceOptions is set", o.Boolean != nil, o.ReferenceOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.ReferenceOptions != nil {
		return json.Marshal(*o.ReferenceOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrReferenceOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrReferenceOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vReferenceOptions ReferenceOptions
	if err := json.Unmarshal(data, &vReferenceOptions); err == nil {
		o.ReferenceOptions = &vReferenceOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrReferenceOptions: %s", data)
}

type BooleanOrDocumentHighlightOptions struct {
	Boolean                  *bool
	DocumentHighlightOptions *DocumentHighlightOptions
}

func (o BooleanOrDocumentHighlightOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrDocumentHighlightOptions is set", o.Boolean != nil, o.DocumentHighlightOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.DocumentHighlightOptions != nil {
		return json.Marshal(*o.DocumentHighlightOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrDocumentHighlightOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrDocumentHighlightOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vDocumentHighlightOptions DocumentHighlightOptions
	if err := json.Unmarshal(data, &vDocumentHighlightOptions); err == nil {
		o.DocumentHighlightOptions = &vDocumentHighlightOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrDocumentHighlightOptions: %s", data)
}

type BooleanOrDocumentSymbolOptions struct {
	Boolean               *bool
	DocumentSymbolOptions *DocumentSymbolOptions
}

func (o BooleanOrDocumentSymbolOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrDocumentSymbolOptions is set", o.Boolean != nil, o.DocumentSymbolOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.DocumentSymbolOptions != nil {
		return json.Marshal(*o.DocumentSymbolOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrDocumentSymbolOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrDocumentSymbolOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vDocumentSymbolOptions DocumentSymbolOptions
	if err := json.Unmarshal(data, &vDocumentSymbolOptions); err == nil {
		o.DocumentSymbolOptions = &vDocumentSymbolOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrDocumentSymbolOptions: %s", data)
}

type BooleanOrCodeActionOptions struct {
	Boolean           *bool
	CodeActionOptions *CodeActionOptions
}

func (o BooleanOrCodeActionOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrCodeActionOptions is set", o.Boolean != nil, o.CodeActionOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.CodeActionOptions != nil {
		return json.Marshal(*o.CodeActionOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrCodeActionOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrCodeActionOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vCodeActionOptions CodeActionOptions
	if err := json.Unmarshal(data, &vCodeActionOptions); err == nil {
		o.CodeActionOptions = &vCodeActionOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrCodeActionOptions: %s", data)
}

type BooleanOrDocumentColorOptionsOrDocumentColorRegistrationOptions struct {
	Boolean                          *bool
	DocumentColorOptions             *DocumentColorOptions
	DocumentColorRegistrationOptions *DocumentColorRegistrationOptions
}

func (o BooleanOrDocumentColorOptionsOrDocumentColorRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrDocumentColorOptionsOrDocumentColorRegistrationOptions is set", o.Boolean != nil, o.DocumentColorOptions != nil, o.DocumentColorRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.DocumentColorOptions != nil {
		return json.Marshal(*o.DocumentColorOptions)
	}
	if o.DocumentColorRegistrationOptions != nil {
		return json.Marshal(*o.DocumentColorRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrDocumentColorOptionsOrDocumentColorRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrDocumentColorOptionsOrDocumentColorRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vDocumentColorOptions DocumentColorOptions
	if err := json.Unmarshal(data, &vDocumentColorOptions); err == nil {
		o.DocumentColorOptions = &vDocumentColorOptions
		return nil
	}
	var vDocumentColorRegistrationOptions DocumentColorRegistrationOptions
	if err := json.Unmarshal(data, &vDocumentColorRegistrationOptions); err == nil {
		o.DocumentColorRegistrationOptions = &vDocumentColorRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrDocumentColorOptionsOrDocumentColorRegistrationOptions: %s", data)
}

type BooleanOrWorkspaceSymbolOptions struct {
	Boolean                *bool
	WorkspaceSymbolOptions *WorkspaceSymbolOptions
}

func (o BooleanOrWorkspaceSymbolOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrWorkspaceSymbolOptions is set", o.Boolean != nil, o.WorkspaceSymbolOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.WorkspaceSymbolOptions != nil {
		return json.Marshal(*o.WorkspaceSymbolOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrWorkspaceSymbolOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrWorkspaceSymbolOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vWorkspaceSymbolOptions WorkspaceSymbolOptions
	if err := json.Unmarshal(data, &vWorkspaceSymbolOptions); err == nil {
		o.WorkspaceSymbolOptions = &vWorkspaceSymbolOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrWorkspaceSymbolOptions: %s", data)
}

type BooleanOrDocumentFormattingOptions struct {
	Boolean                   *bool
	DocumentFormattingOptions *DocumentFormattingOptions
}

func (o BooleanOrDocumentFormattingOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrDocumentFormattingOptions is set", o.Boolean != nil, o.DocumentFormattingOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.DocumentFormattingOptions != nil {
		return json.Marshal(*o.DocumentFormattingOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrDocumentFormattingOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrDocumentFormattingOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vDocumentFormattingOptions DocumentFormattingOptions
	if err := json.Unmarshal(data, &vDocumentFormattingOptions); err == nil {
		o.DocumentFormattingOptions = &vDocumentFormattingOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrDocumentFormattingOptions: %s", data)
}

type BooleanOrDocumentRangeFormattingOptions struct {
	Boolean                        *bool
	DocumentRangeFormattingOptions *DocumentRangeFormattingOptions
}

func (o BooleanOrDocumentRangeFormattingOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrDocumentRangeFormattingOptions is set", o.Boolean != nil, o.DocumentRangeFormattingOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.DocumentRangeFormattingOptions != nil {
		return json.Marshal(*o.DocumentRangeFormattingOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrDocumentRangeFormattingOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrDocumentRangeFormattingOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vDocumentRangeFormattingOptions DocumentRangeFormattingOptions
	if err := json.Unmarshal(data, &vDocumentRangeFormattingOptions); err == nil {
		o.DocumentRangeFormattingOptions = &vDocumentRangeFormattingOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrDocumentRangeFormattingOptions: %s", data)
}

type BooleanOrRenameOptions struct {
	Boolean       *bool
	RenameOptions *RenameOptions
}

func (o BooleanOrRenameOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrRenameOptions is set", o.Boolean != nil, o.RenameOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.RenameOptions != nil {
		return json.Marshal(*o.RenameOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrRenameOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrRenameOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vRenameOptions RenameOptions
	if err := json.Unmarshal(data, &vRenameOptions); err == nil {
		o.RenameOptions = &vRenameOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrRenameOptions: %s", data)
}

type BooleanOrFoldingRangeOptionsOrFoldingRangeRegistrationOptions struct {
	Boolean                         *bool
	FoldingRangeOptions             *FoldingRangeOptions
	FoldingRangeRegistrationOptions *FoldingRangeRegistrationOptions
}

func (o BooleanOrFoldingRangeOptionsOrFoldingRangeRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrFoldingRangeOptionsOrFoldingRangeRegistrationOptions is set", o.Boolean != nil, o.FoldingRangeOptions != nil, o.FoldingRangeRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.FoldingRangeOptions != nil {
		return json.Marshal(*o.FoldingRangeOptions)
	}
	if o.FoldingRangeRegistrationOptions != nil {
		return json.Marshal(*o.FoldingRangeRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrFoldingRangeOptionsOrFoldingRangeRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrFoldingRangeOptionsOrFoldingRangeRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vFoldingRangeOptions FoldingRangeOptions
	if err := json.Unmarshal(data, &vFoldingRangeOptions); err == nil {
		o.FoldingRangeOptions = &vFoldingRangeOptions
		return nil
	}
	var vFoldingRangeRegistrationOptions FoldingRangeRegistrationOptions
	if err := json.Unmarshal(data, &vFoldingRangeRegistrationOptions); err == nil {
		o.FoldingRangeRegistrationOptions = &vFoldingRangeRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrFoldingRangeOptionsOrFoldingRangeRegistrationOptions: %s", data)
}

type BooleanOrSelectionRangeOptionsOrSelectionRangeRegistrationOptions struct {
	Boolean                           *bool
	SelectionRangeOptions             *SelectionRangeOptions
	SelectionRangeRegistrationOptions *SelectionRangeRegistrationOptions
}

func (o BooleanOrSelectionRangeOptionsOrSelectionRangeRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrSelectionRangeOptionsOrSelectionRangeRegistrationOptions is set", o.Boolean != nil, o.SelectionRangeOptions != nil, o.SelectionRangeRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.SelectionRangeOptions != nil {
		return json.Marshal(*o.SelectionRangeOptions)
	}
	if o.SelectionRangeRegistrationOptions != nil {
		return json.Marshal(*o.SelectionRangeRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrSelectionRangeOptionsOrSelectionRangeRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrSelectionRangeOptionsOrSelectionRangeRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vSelectionRangeOptions SelectionRangeOptions
	if err := json.Unmarshal(data, &vSelectionRangeOptions); err == nil {
		o.SelectionRangeOptions = &vSelectionRangeOptions
		return nil
	}
	var vSelectionRangeRegistrationOptions SelectionRangeRegistrationOptions
	if err := json.Unmarshal(data, &vSelectionRangeRegistrationOptions); err == nil {
		o.SelectionRangeRegistrationOptions = &vSelectionRangeRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrSelectionRangeOptionsOrSelectionRangeRegistrationOptions: %s", data)
}

type BooleanOrCallHierarchyOptionsOrCallHierarchyRegistrationOptions struct {
	Boolean                          *bool
	CallHierarchyOptions             *CallHierarchyOptions
	CallHierarchyRegistrationOptions *CallHierarchyRegistrationOptions
}

func (o BooleanOrCallHierarchyOptionsOrCallHierarchyRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrCallHierarchyOptionsOrCallHierarchyRegistrationOptions is set", o.Boolean != nil, o.CallHierarchyOptions != nil, o.CallHierarchyRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.CallHierarchyOptions != nil {
		return json.Marshal(*o.CallHierarchyOptions)
	}
	if o.CallHierarchyRegistrationOptions != nil {
		return json.Marshal(*o.CallHierarchyRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrCallHierarchyOptionsOrCallHierarchyRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrCallHierarchyOptionsOrCallHierarchyRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vCallHierarchyOptions CallHierarchyOptions
	if err := json.Unmarshal(data, &vCallHierarchyOptions); err == nil {
		o.CallHierarchyOptions = &vCallHierarchyOptions
		return nil
	}
	var vCallHierarchyRegistrationOptions CallHierarchyRegistrationOptions
	if err := json.Unmarshal(data, &vCallHierarchyRegistrationOptions); err == nil {
		o.CallHierarchyRegistrationOptions = &vCallHierarchyRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrCallHierarchyOptionsOrCallHierarchyRegistrationOptions: %s", data)
}

type BooleanOrLinkedEditingRangeOptionsOrLinkedEditingRangeRegistrationOptions struct {
	Boolean                               *bool
	LinkedEditingRangeOptions             *LinkedEditingRangeOptions
	LinkedEditingRangeRegistrationOptions *LinkedEditingRangeRegistrationOptions
}

func (o BooleanOrLinkedEditingRangeOptionsOrLinkedEditingRangeRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrLinkedEditingRangeOptionsOrLinkedEditingRangeRegistrationOptions is set", o.Boolean != nil, o.LinkedEditingRangeOptions != nil, o.LinkedEditingRangeRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.LinkedEditingRangeOptions != nil {
		return json.Marshal(*o.LinkedEditingRangeOptions)
	}
	if o.LinkedEditingRangeRegistrationOptions != nil {
		return json.Marshal(*o.LinkedEditingRangeRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrLinkedEditingRangeOptionsOrLinkedEditingRangeRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrLinkedEditingRangeOptionsOrLinkedEditingRangeRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vLinkedEditingRangeOptions LinkedEditingRangeOptions
	if err := json.Unmarshal(data, &vLinkedEditingRangeOptions); err == nil {
		o.LinkedEditingRangeOptions = &vLinkedEditingRangeOptions
		return nil
	}
	var vLinkedEditingRangeRegistrationOptions LinkedEditingRangeRegistrationOptions
	if err := json.Unmarshal(data, &vLinkedEditingRangeRegistrationOptions); err == nil {
		o.LinkedEditingRangeRegistrationOptions = &vLinkedEditingRangeRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrLinkedEditingRangeOptionsOrLinkedEditingRangeRegistrationOptions: %s", data)
}

type SemanticTokensOptionsOrSemanticTokensRegistrationOptions struct {
	SemanticTokensOptions             *SemanticTokensOptions
	SemanticTokensRegistrationOptions *SemanticTokensRegistrationOptions
}

func (o SemanticTokensOptionsOrSemanticTokensRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of SemanticTokensOptionsOrSemanticTokensRegistrationOptions is set", o.SemanticTokensOptions != nil, o.SemanticTokensRegistrationOptions != nil)
	if o.SemanticTokensOptions != nil {
		return json.Marshal(*o.SemanticTokensOptions)
	}
	if o.SemanticTokensRegistrationOptions != nil {
		return json.Marshal(*o.SemanticTokensRegistrationOptions)
	}
	panic("unreachable")
}

func (o *SemanticTokensOptionsOrSemanticTokensRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = SemanticTokensOptionsOrSemanticTokensRegistrationOptions{}
	var vSemanticTokensOptions SemanticTokensOptions
	if err := json.Unmarshal(data, &vSemanticTokensOptions); err == nil {
		o.SemanticTokensOptions = &vSemanticTokensOptions
		return nil
	}
	var vSemanticTokensRegistrationOptions SemanticTokensRegistrationOptions
	if err := json.Unmarshal(data, &vSemanticTokensRegistrationOptions); err == nil {
		o.SemanticTokensRegistrationOptions = &vSemanticTokensRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid SemanticTokensOptionsOrSemanticTokensRegistrationOptions: %s", data)
}

type BooleanOrMonikerOptionsOrMonikerRegistrationOptions struct {
	Boolean                    *bool
	MonikerOptions             *MonikerOptions
	MonikerRegistrationOptions *MonikerRegistrationOptions
}

func (o BooleanOrMonikerOptionsOrMonikerRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrMonikerOptionsOrMonikerRegistrationOptions is set", o.Boolean != nil, o.MonikerOptions != nil, o.MonikerRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.MonikerOptions != nil {
		return json.Marshal(*o.MonikerOptions)
	}
	if o.MonikerRegistrationOptions != nil {
		return json.Marshal(*o.MonikerRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrMonikerOptionsOrMonikerRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrMonikerOptionsOrMonikerRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vMonikerOptions MonikerOptions
	if err := json.Unmarshal(data, &vMonikerOptions); err == nil {
		o.MonikerOptions = &vMonikerOptions
		return nil
	}
	var vMonikerRegistrationOptions MonikerRegistrationOptions
	if err := json.Unmarshal(data, &vMonikerRegistrationOptions); err == nil {
		o.MonikerRegistrationOptions = &vMonikerRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrMonikerOptionsOrMonikerRegistrationOptions: %s", data)
}

type BooleanOrTypeHierarchyOptionsOrTypeHierarchyRegistrationOptions struct {
	Boolean                          *bool
	TypeHierarchyOptions             *TypeHierarchyOptions
	TypeHierarchyRegistrationOptions *TypeHierarchyRegistrationOptions
}

func (o BooleanOrTypeHierarchyOptionsOrTypeHierarchyRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrTypeHierarchyOptionsOrTypeHierarchyRegistrationOptions is set", o.Boolean != nil, o.TypeHierarchyOptions != nil, o.TypeHierarchyRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.TypeHierarchyOptions != nil {
		return json.Marshal(*o.TypeHierarchyOptions)
	}
	if o.TypeHierarchyRegistrationOptions != nil {
		return json.Marshal(*o.TypeHierarchyRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrTypeHierarchyOptionsOrTypeHierarchyRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrTypeHierarchyOptionsOrTypeHierarchyRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vTypeHierarchyOptions TypeHierarchyOptions
	if err := json.Unmarshal(data, &vTypeHierarchyOptions); err == nil {
		o.TypeHierarchyOptions = &vTypeHierarchyOptions
		return nil
	}
	var vTypeHierarchyRegistrationOptions TypeHierarchyRegistrationOptions
	if err := json.Unmarshal(data, &vTypeHierarchyRegistrationOptions); err == nil {
		o.TypeHierarchyRegistrationOptions = &vTypeHierarchyRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrTypeHierarchyOptionsOrTypeHierarchyRegistrationOptions: %s", data)
}

type BooleanOrInlineValueOptionsOrInlineValueRegistrationOptions struct {
	Boolean                        *bool
	InlineValueOptions             *InlineValueOptions
	InlineValueRegistrationOptions *InlineValueRegistrationOptions
}

func (o BooleanOrInlineValueOptionsOrInlineValueRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrInlineValueOptionsOrInlineValueRegistrationOptions is set", o.Boolean != nil, o.InlineValueOptions != nil, o.InlineValueRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.InlineValueOptions != nil {
		return json.Marshal(*o.InlineValueOptions)
	}
	if o.InlineValueRegistrationOptions != nil {
		return json.Marshal(*o.InlineValueRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrInlineValueOptionsOrInlineValueRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrInlineValueOptionsOrInlineValueRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vInlineValueOptions InlineValueOptions
	if err := json.Unmarshal(data, &vInlineValueOptions); err == nil {
		o.InlineValueOptions = &vInlineValueOptions
		return nil
	}
	var vInlineValueRegistrationOptions InlineValueRegistrationOptions
	if err := json.Unmarshal(data, &vInlineValueRegistrationOptions); err == nil {
		o.InlineValueRegistrationOptions = &vInlineValueRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrInlineValueOptionsOrInlineValueRegistrationOptions: %s", data)
}

type BooleanOrInlayHintOptionsOrInlayHintRegistrationOptions struct {
	Boolean                      *bool
	InlayHintOptions             *InlayHintOptions
	InlayHintRegistrationOptions *InlayHintRegistrationOptions
}

func (o BooleanOrInlayHintOptionsOrInlayHintRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrInlayHintOptionsOrInlayHintRegistrationOptions is set", o.Boolean != nil, o.InlayHintOptions != nil, o.InlayHintRegistrationOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.InlayHintOptions != nil {
		return json.Marshal(*o.InlayHintOptions)
	}
	if o.InlayHintRegistrationOptions != nil {
		return json.Marshal(*o.InlayHintRegistrationOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrInlayHintOptionsOrInlayHintRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrInlayHintOptionsOrInlayHintRegistrationOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vInlayHintOptions InlayHintOptions
	if err := json.Unmarshal(data, &vInlayHintOptions); err == nil {
		o.InlayHintOptions = &vInlayHintOptions
		return nil
	}
	var vInlayHintRegistrationOptions InlayHintRegistrationOptions
	if err := json.Unmarshal(data, &vInlayHintRegistrationOptions); err == nil {
		o.InlayHintRegistrationOptions = &vInlayHintRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrInlayHintOptionsOrInlayHintRegistrationOptions: %s", data)
}

type DiagnosticOptionsOrDiagnosticRegistrationOptions struct {
	DiagnosticOptions             *DiagnosticOptions
	DiagnosticRegistrationOptions *DiagnosticRegistrationOptions
}

func (o DiagnosticOptionsOrDiagnosticRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of DiagnosticOptionsOrDiagnosticRegistrationOptions is set", o.DiagnosticOptions != nil, o.DiagnosticRegistrationOptions != nil)
	if o.DiagnosticOptions != nil {
		return json.Marshal(*o.DiagnosticOptions)
	}
	if o.DiagnosticRegistrationOptions != nil {
		return json.Marshal(*o.DiagnosticRegistrationOptions)
	}
	panic("unreachable")
}

func (o *DiagnosticOptionsOrDiagnosticRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = DiagnosticOptionsOrDiagnosticRegistrationOptions{}
	var vDiagnosticOptions DiagnosticOptions
	if err := json.Unmarshal(data, &vDiagnosticOptions); err == nil {
		o.DiagnosticOptions = &vDiagnosticOptions
		return nil
	}
	var vDiagnosticRegistrationOptions DiagnosticRegistrationOptions
	if err := json.Unmarshal(data, &vDiagnosticRegistrationOptions); err == nil {
		o.DiagnosticRegistrationOptions = &vDiagnosticRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid DiagnosticOptionsOrDiagnosticRegistrationOptions: %s", data)
}

type BooleanOrInlineCompletionOptions struct {
	Boolean                 *bool
	InlineCompletionOptions *InlineCompletionOptions
}

func (o BooleanOrInlineCompletionOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrInlineCompletionOptions is set", o.Boolean != nil, o.InlineCompletionOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.InlineCompletionOptions != nil {
		return json.Marshal(*o.InlineCompletionOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrInlineCompletionOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrInlineCompletionOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vInlineCompletionOptions InlineCompletionOptions
	if err := json.Unmarshal(data, &vInlineCompletionOptions); err == nil {
		o.InlineCompletionOptions = &vInlineCompletionOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrInlineCompletionOptions: %s", data)
}

type RangeOrEditRangeWithInsertReplace struct {
	Range                      *Range
	EditRangeWithInsertReplace *EditRangeWithInsertReplace
}

func (o RangeOrEditRangeWithInsertReplace) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of RangeOrEditRangeWithInsertReplace is set", o.Range != nil, o.EditRangeWithInsertReplace != nil)
	if o.Range != nil {
		return json.Marshal(*o.Range)
	}
	if o.EditRangeWithInsertReplace != nil {
		return json.Marshal(*o.EditRangeWithInsertReplace)
	}
	panic("unreachable")
}

func (o *RangeOrEditRangeWithInsertReplace) UnmarshalJSON(data []byte) error {
	*o = RangeOrEditRangeWithInsertReplace{}
	var vRange Range
	if err := json.Unmarshal(data, &vRange); err == nil {
		o.Range = &vRange
		return nil
	}
	var vEditRangeWithInsertReplace EditRangeWithInsertReplace
	if err := json.Unmarshal(data, &vEditRangeWithInsertReplace); err == nil {
		o.EditRangeWithInsertReplace = &vEditRangeWithInsertReplace
		return nil
	}
	return fmt.Errorf("invalid RangeOrEditRangeWithInsertReplace: %s", data)
}

type StringOrNotebookDocumentFilter struct {
	String                 *string
	NotebookDocumentFilter *NotebookDocumentFilter
}

func (o StringOrNotebookDocumentFilter) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of StringOrNotebookDocumentFilter is set", o.String != nil, o.NotebookDocumentFilter != nil)
	if o.String != nil {
		return json.Marshal(*o.String)
	}
	if o.NotebookDocumentFilter != nil {
		return json.Marshal(*o.NotebookDocumentFilter)
	}
	panic("unreachable")
}

func (o *StringOrNotebookDocumentFilter) UnmarshalJSON(data []byte) error {
	*o = StringOrNotebookDocumentFilter{}
	var vString string
	if err := json.Unmarshal(data, &vString); err == nil {
		o.String = &vString
		return nil
	}
	var vNotebookDocumentFilter NotebookDocumentFilter
	if err := json.Unmarshal(data, &vNotebookDocumentFilter); err == nil {
		o.NotebookDocumentFilter = &vNotebookDocumentFilter
		return nil
	}
	return fmt.Errorf("invalid StringOrNotebookDocumentFilter: %s", data)
}

type BooleanOrSaveOptions struct {
	Boolean     *bool
	SaveOptions *SaveOptions
}

func (o BooleanOrSaveOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrSaveOptions is set", o.Boolean != nil, o.SaveOptions != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.SaveOptions != nil {
		return json.Marshal(*o.SaveOptions)
	}
	panic("unreachable")
}

func (o *BooleanOrSaveOptions) UnmarshalJSON(data []byte) error {
	*o = BooleanOrSaveOptions{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vSaveOptions SaveOptions
	if err := json.Unmarshal(data, &vSaveOptions); err == nil {
		o.SaveOptions = &vSaveOptions
		return nil
	}
	return fmt.Errorf("invalid BooleanOrSaveOptions: %s", data)
}

type TextDocumentContentOptionsOrTextDocumentContentRegistrationOptions struct {
	TextDocumentContentOptions             *TextDocumentContentOptions
	TextDocumentContentRegistrationOptions *TextDocumentContentRegistrationOptions
}

func (o TextDocumentContentOptionsOrTextDocumentContentRegistrationOptions) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of TextDocumentContentOptionsOrTextDocumentContentRegistrationOptions is set", o.TextDocumentContentOptions != nil, o.TextDocumentContentRegistrationOptions != nil)
	if o.TextDocumentContentOptions != nil {
		return json.Marshal(*o.TextDocumentContentOptions)
	}
	if o.TextDocumentContentRegistrationOptions != nil {
		return json.Marshal(*o.TextDocumentContentRegistrationOptions)
	}
	panic("unreachable")
}

func (o *TextDocumentContentOptionsOrTextDocumentContentRegistrationOptions) UnmarshalJSON(data []byte) error {
	*o = TextDocumentContentOptionsOrTextDocumentContentRegistrationOptions{}
	var vTextDocumentContentOptions TextDocumentContentOptions
	if err := json.Unmarshal(data, &vTextDocumentContentOptions); err == nil {
		o.TextDocumentContentOptions = &vTextDocumentContentOptions
		return nil
	}
	var vTextDocumentContentRegistrationOptions TextDocumentContentRegistrationOptions
	if err := json.Unmarshal(data, &vTextDocumentContentRegistrationOptions); err == nil {
		o.TextDocumentContentRegistrationOptions = &vTextDocumentContentRegistrationOptions
		return nil
	}
	return fmt.Errorf("invalid TextDocumentContentOptionsOrTextDocumentContentRegistrationOptions: %s", data)
}

type StringOrUintegerPair struct {
	String       *string
	UintegerPair *[2]uint32
}

func (o StringOrUintegerPair) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of StringOrUintegerPair is set", o.String != nil, o.UintegerPair != nil)
	if o.String != nil {
		return json.Marshal(*o.String)
	}
	if o.UintegerPair != nil {
		return json.Marshal(*o.UintegerPair)
	}
	panic("unreachable")
}

func (o *StringOrUintegerPair) UnmarshalJSON(data []byte) error {
	*o = StringOrUintegerPair{}
	var vString string
	if err := json.Unmarshal(data, &vString); err == nil {
		o.String = &vString
		return nil
	}
	var vUintegerPair [2]uint32
	if err := json.Unmarshal(data, &vUintegerPair); err == nil {
		o.UintegerPair = &vUintegerPair
		return nil
	}
	return fmt.Errorf("invalid StringOrUintegerPair: %s", data)
}

type StringOrBoolean struct {
	String  *string
	Boolean *bool
}

func (o StringOrBoolean) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of StringOrBoolean is set", o.String != nil, o.Boolean != nil)
	if o.String != nil {
		return json.Marshal(*o.String)
	}
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	panic("unreachable")
}

func (o *StringOrBoolean) UnmarshalJSON(data []byte) error {
	*o = StringOrBoolean{}
	var vString string
	if err := json.Unmarshal(data, &vString); err == nil {
		o.String = &vString
		return nil
	}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	return fmt.Errorf("invalid StringOrBoolean: %s", data)
}

type WorkspaceFolderOrURI struct {
	WorkspaceFolder *WorkspaceFolder
	URI             *URI
}

func (o WorkspaceFolderOrURI) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of WorkspaceFolderOrURI is set", o.WorkspaceFolder != nil, o.URI != nil)
	if o.WorkspaceFolder != nil {
		return json.Marshal(*o.WorkspaceFolder)
	}
	if o.URI != nil {
		return json.Marshal(*o.URI)
	}
	panic("unreachable")
}

func (o *WorkspaceFolderOrURI) UnmarshalJSON(data []byte) error {
	*o = WorkspaceFolderOrURI{}
	var vWorkspaceFolder WorkspaceFolder
	if err := json.Unmarshal(data, &vWorkspaceFolder); err == nil {
		o.WorkspaceFolder = &vWorkspaceFolder
		return nil
	}
	var vURI URI
	if err := json.Unmarshal(data, &vURI); err == nil {
		o.URI = &vURI
		return nil
	}
	return fmt.Errorf("invalid WorkspaceFolderOrURI: %s", data)
}

type BooleanOrClientSemanticTokensRequestFullDelta struct {
	Boolean                              *bool
	ClientSemanticTokensRequestFullDelta *ClientSemanticTokensRequestFullDelta
}

func (o BooleanOrClientSemanticTokensRequestFullDelta) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of BooleanOrClientSemanticTokensRequestFullDelta is set", o.Boolean != nil, o.ClientSemanticTokensRequestFullDelta != nil)
	if o.Boolean != nil {
		return json.Marshal(*o.Boolean)
	}
	if o.ClientSemanticTokensRequestFullDelta != nil {
		return json.Marshal(*o.ClientSemanticTokensRequestFullDelta)
	}
	panic("unreachable")
}

func (o *BooleanOrClientSemanticTokensRequestFullDelta) UnmarshalJSON(data []byte) error {
	*o = BooleanOrClientSemanticTokensRequestFullDelta{}
	var vBoolean bool
	if err := json.Unmarshal(data, &vBoolean); err == nil {
		o.Boolean = &vBoolean
		return nil
	}
	var vClientSemanticTokensRequestFullDelta ClientSemanticTokensRequestFullDelta
	if err := json.Unmarshal(data, &vClientSemanticTokensRequestFullDelta); err == nil {
		o.ClientSemanticTokensRequestFullDelta = &vClientSemanticTokensRequestFullDelta
		return nil
	}
	return fmt.Errorf("invalid BooleanOrClientSemanticTokensRequestFullDelta: %s", data)
}

type LocationOrLocations struct {
	Location  *Location
	Locations *[]Location
}

func (o LocationOrLocations) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of LocationOrLocations is set", o.Location != nil, o.Locations != nil)
	if o.Location != nil {
		return json.Marshal(*o.Location)
	}
	if o.Locations != nil {
		return json.Marshal(*o.Locations)
	}
	panic("unreachable")
}

func (o *LocationOrLocations) UnmarshalJSON(data []byte) error {
	*o = LocationOrLocations{}
	var vLocation Location
	if err := json.Unmarshal(data, &vLocation); err == nil {
		o.Location = &vLocation
		return nil
	}
	var vLocations []Location
	if err := json.Unmarshal(data, &vLocations); err == nil {
		o.Locations = &vLocations
		return nil
	}
	return fmt.Errorf("invalid LocationOrLocations: %s", data)
}

type InlineValueTextOrInlineValueVariableLookupOrInlineValueEvaluatableExpression struct {
	InlineValueText                  *InlineValueText
	InlineValueVariableLookup        *InlineValueVariableLookup
	InlineValueEvaluatableExpression *InlineValueEvaluatableExpression
}

func (o InlineValueTextOrInlineValueVariableLookupOrInlineValueEvaluatableExpression) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of InlineValueTextOrInlineValueVariableLookupOrInlineValueEvaluatableExpression is set", o.InlineValueText != nil, o.InlineValueVariableLookup != nil, o.InlineValueEvaluatableExpression != nil)
	if o.InlineValueText != nil {
		return json.Marshal(*o.InlineValueText)
	}
	if o.InlineValueVariableLookup != nil {
		return json.Marshal(*o.InlineValueVariableLookup)
	}
	if o.InlineValueEvaluatableExpression != nil {
		return json.Marshal(*o.InlineValueEvaluatableExpression)
	}
	panic("unreachable")
}

func (o *InlineValueTextOrInlineValueVariableLookupOrInlineValueEvaluatableExpression) UnmarshalJSON(data []byte) error {
	*o = InlineValueTextOrInlineValueVariableLookupOrInlineValueEvaluatableExpression{}
	var vInlineValueText InlineValueText
	if err := json.Unmarshal(data, &vInlineValueText); err == nil {
		o.InlineValueText = &vInlineValueText
		return nil
	}
	var vInlineValueVariableLookup InlineValueVariableLookup
	if err := json.Unmarshal(data, &vInlineValueVariableLookup); err == nil {
		o.InlineValueVariableLookup = &vInlineValueVariableLookup
		return nil
	}
	var vInlineValueEvaluatableExpression InlineValueEvaluatableExpression
	if err := json.Unmarshal(data, &vInlineValueEvaluatableExpression); err == nil {
		o.InlineValueEvaluatableExpression = &vInlineValueEvaluatableExpression
		return nil
	}
	return fmt.Errorf("invalid InlineValueTextOrInlineValueVariableLookupOrInlineValueEvaluatableExpression: %s", data)
}

type RelatedFullDocumentDiagnosticReportOrRelatedUnchangedDocumentDiagnosticReport struct {
	RelatedFullDocumentDiagnosticReport      *RelatedFullDocumentDiagnosticReport
	RelatedUnchangedDocumentDiagnosticReport *RelatedUnchangedDocumentDiagnosticReport
}

func (o RelatedFullDocumentDiagnosticReportOrRelatedUnchangedDocumentDiagnosticReport) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of RelatedFullDocumentDiagnosticReportOrRelatedUnchangedDocumentDiagnosticReport is set", o.RelatedFullDocumentDiagnosticReport != nil, o.RelatedUnchangedDocumentDiagnosticReport != nil)
	if o.RelatedFullDocumentDiagnosticReport != nil {
		return json.Marshal(*o.RelatedFullDocumentDiagnosticReport)
	}
	if o.RelatedUnchangedDocumentDiagnosticReport != nil {
		return json.Marshal(*o.RelatedUnchangedDocumentDiagnosticReport)
	}
	panic("unreachable")
}

func (o *RelatedFullDocumentDiagnosticReportOrRelatedUnchangedDocumentDiagnosticReport) UnmarshalJSON(data []byte) error {
	*o = RelatedFullDocumentDiagnosticReportOrRelatedUnchangedDocumentDiagnosticReport{}
	var vRelatedFullDocumentDiagnosticReport RelatedFullDocumentDiagnosticReport
	if err := json.Unmarshal(data, &vRelatedFullDocumentDiagnosticReport); err == nil {
		o.RelatedFullDocumentDiagnosticReport = &vRelatedFullDocumentDiagnosticReport
		return nil
	}
	var vRelatedUnchangedDocumentDiagnosticReport RelatedUnchangedDocumentDiagnosticReport
	if err := json.Unmarshal(data, &vRelatedUnchangedDocumentDiagnosticReport); err == nil {
		o.RelatedUnchangedDocumentDiagnosticReport = &vRelatedUnchangedDocumentDiagnosticReport
		return nil
	}
	return fmt.Errorf("invalid RelatedFullDocumentDiagnosticReportOrRelatedUnchangedDocumentDiagnosticReport: %s", data)
}

type RangeOrPrepareRenamePlaceholderOrPrepareRenameDefaultBehavior struct {
	Range                        *Range
	PrepareRenamePlaceholder     *PrepareRenamePlaceholder
	PrepareRenameDefaultBehavior *PrepareRenameDefaultBehavior
}

func (o RangeOrPrepareRenamePlaceholderOrPrepareRenameDefaultBehavior) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of RangeOrPrepareRenamePlaceholderOrPrepareRenameDefaultBehavior is set", o.Range != nil, o.PrepareRenamePlaceholder != nil, o.PrepareRenameDefaultBehavior != nil)
	if o.Range != nil {
		return json.Marshal(*o.Range)
	}
	if o.PrepareRenamePlaceholder != nil {
		return json.Marshal(*o.PrepareRenamePlaceholder)
	}
	if o.PrepareRenameDefaultBehavior != nil {
		return json.Marshal(*o.PrepareRenameDefaultBehavior)
	}
	panic("unreachable")
}

func (o *RangeOrPrepareRenamePlaceholderOrPrepareRenameDefaultBehavior) UnmarshalJSON(data []byte) error {
	*o = RangeOrPrepareRenamePlaceholderOrPrepareRenameDefaultBehavior{}
	var vRange Range
	if err := json.Unmarshal(data, &vRange); err == nil {
		o.Range = &vRange
		return nil
	}
	var vPrepareRenamePlaceholder PrepareRenamePlaceholder
	if err := json.Unmarshal(data, &vPrepareRenamePlaceholder); err == nil {
		o.PrepareRenamePlaceholder = &vPrepareRenamePlaceholder
		return nil
	}
	var vPrepareRenameDefaultBehavior PrepareRenameDefaultBehavior
	if err := json.Unmarshal(data, &vPrepareRenameDefaultBehavior); err == nil {
		o.PrepareRenameDefaultBehavior = &vPrepareRenameDefaultBehavior
		return nil
	}
	return fmt.Errorf("invalid RangeOrPrepareRenamePlaceholderOrPrepareRenameDefaultBehavior: %s", data)
}

type WorkspaceFullDocumentDiagnosticReportOrWorkspaceUnchangedDocumentDiagnosticReport struct {
	WorkspaceFullDocumentDiagnosticReport      *WorkspaceFullDocumentDiagnosticReport
	WorkspaceUnchangedDocumentDiagnosticReport *WorkspaceUnchangedDocumentDiagnosticReport
}

func (o WorkspaceFullDocumentDiagnosticReportOrWorkspaceUnchangedDocumentDiagnosticReport) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of WorkspaceFullDocumentDiagnosticReportOrWorkspaceUnchangedDocumentDiagnosticReport is set", o.WorkspaceFullDocumentDiagnosticReport != nil, o.WorkspaceUnchangedDocumentDiagnosticReport != nil)
	if o.WorkspaceFullDocumentDiagnosticReport != nil {
		return json.Marshal(*o.WorkspaceFullDocumentDiagnosticReport)
	}
	if o.WorkspaceUnchangedDocumentDiagnosticReport != nil {
		return json.Marshal(*o.WorkspaceUnchangedDocumentDiagnosticReport)
	}
	panic("unreachable")
}

func (o *WorkspaceFullDocumentDiagnosticReportOrWorkspaceUnchangedDocumentDiagnosticReport) UnmarshalJSON(data []byte) error {
	*o = WorkspaceFullDocumentDiagnosticReportOrWorkspaceUnchangedDocumentDiagnosticReport{}
	var vWorkspaceFullDocumentDiagnosticReport WorkspaceFullDocumentDiagnosticReport
	if err := json.Unmarshal(data, &vWorkspaceFullDocumentDiagnosticReport); err == nil {
		o.WorkspaceFullDocumentDiagnosticReport = &vWorkspaceFullDocumentDiagnosticReport
		return nil
	}
	var vWorkspaceUnchangedDocumentDiagnosticReport WorkspaceUnchangedDocumentDiagnosticReport
	if err := json.Unmarshal(data, &vWorkspaceUnchangedDocumentDiagnosticReport); err == nil {
		o.WorkspaceUnchangedDocumentDiagnosticReport = &vWorkspaceUnchangedDocumentDiagnosticReport
		return nil
	}
	return fmt.Errorf("invalid WorkspaceFullDocumentDiagnosticReportOrWorkspaceUnchangedDocumentDiagnosticReport: %s", data)
}

type TextDocumentContentChangePartialOrTextDocumentContentChangeWholeDocument struct {
	TextDocumentContentChangePartial       *TextDocumentContentChangePartial
	TextDocumentContentChangeWholeDocument *TextDocumentContentChangeWholeDocument
}

func (o TextDocumentContentChangePartialOrTextDocumentContentChangeWholeDocument) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of TextDocumentContentChangePartialOrTextDocumentContentChangeWholeDocument is set", o.TextDocumentContentChangePartial != nil, o.TextDocumentContentChangeWholeDocument != nil)
	if o.TextDocumentContentChangePartial != nil {
		return json.Marshal(*o.TextDocumentContentChangePartial)
	}
	if o.TextDocumentContentChangeWholeDocument != nil {
		return json.Marshal(*o.TextDocumentContentChangeWholeDocument)
	}
	panic("unreachable")
}

func (o *TextDocumentContentChangePartialOrTextDocumentContentChangeWholeDocument) UnmarshalJSON(data []byte) error {
	*o = TextDocumentContentChangePartialOrTextDocumentContentChangeWholeDocument{}
	var vTextDocumentContentChangePartial TextDocumentContentChangePartial
	if err := json.Unmarshal(data, &vTextDocumentContentChangePartial); err == nil {
		o.TextDocumentContentChangePartial = &vTextDocumentContentChangePartial
		return nil
	}
	var vTextDocumentContentChangeWholeDocument TextDocumentContentChangeWholeDocument
	if err := json.Unmarshal(data, &vTextDocumentContentChangeWholeDocument); err == nil {
		o.TextDocumentContentChangeWholeDocument = &vTextDocumentContentChangeWholeDocument
		return nil
	}
	return fmt.Errorf("invalid TextDocumentContentChangePartialOrTextDocumentContentChangeWholeDocument: %s", data)
}

type StringOrMarkedStringWithLanguage struct {
	String                   *string
	MarkedStringWithLanguage *MarkedStringWithLanguage
}

func (o StringOrMarkedStringWithLanguage) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of StringOrMarkedStringWithLanguage is set", o.String != nil, o.MarkedStringWithLanguage != nil)
	if o.String != nil {
		return json.Marshal(*o.String)
	}
	if o.MarkedStringWithLanguage != nil {
		return json.Marshal(*o.MarkedStringWithLanguage)
	}
	panic("unreachable")
}

func (o *StringOrMarkedStringWithLanguage) UnmarshalJSON(data []byte) error {
	*o = StringOrMarkedStringWithLanguage{}
	var vString string
	if err := json.Unmarshal(data, &vString); err == nil {
		o.String = &vString
		return nil
	}
	var vMarkedStringWithLanguage MarkedStringWithLanguage
	if err := json.Unmarshal(data, &vMarkedStringWithLanguage); err == nil {
		o.MarkedStringWithLanguage = &vMarkedStringWithLanguage
		return nil
	}
	return fmt.Errorf("invalid StringOrMarkedStringWithLanguage: %s", data)
}

type TextDocumentFilterOrNotebookCellTextDocumentFilter struct {
	TextDocumentFilter             *TextDocumentFilter
	NotebookCellTextDocumentFilter *NotebookCellTextDocumentFilter
}

func (o TextDocumentFilterOrNotebookCellTextDocumentFilter) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of TextDocumentFilterOrNotebookCellTextDocumentFilter is set", o.TextDocumentFilter != nil, o.NotebookCellTextDocumentFilter != nil)
	if o.TextDocumentFilter != nil {
		return json.Marshal(*o.TextDocumentFilter)
	}
	if o.NotebookCellTextDocumentFilter != nil {
		return json.Marshal(*o.NotebookCellTextDocumentFilter)
	}
	panic("unreachable")
}

func (o *TextDocumentFilterOrNotebookCellTextDocumentFilter) UnmarshalJSON(data []byte) error {
	*o = TextDocumentFilterOrNotebookCellTextDocumentFilter{}
	var vTextDocumentFilter TextDocumentFilter
	if err := json.Unmarshal(data, &vTextDocumentFilter); err == nil {
		o.TextDocumentFilter = &vTextDocumentFilter
		return nil
	}
	var vNotebookCellTextDocumentFilter NotebookCellTextDocumentFilter
	if err := json.Unmarshal(data, &vNotebookCellTextDocumentFilter); err == nil {
		o.NotebookCellTextDocumentFilter = &vNotebookCellTextDocumentFilter
		return nil
	}
	return fmt.Errorf("invalid TextDocumentFilterOrNotebookCellTextDocumentFilter: %s", data)
}

type PatternOrRelativePattern struct {
	Pattern         *Pattern
	RelativePattern *RelativePattern
}

func (o PatternOrRelativePattern) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of PatternOrRelativePattern is set", o.Pattern != nil, o.RelativePattern != nil)
	if o.Pattern != nil {
		return json.Marshal(*o.Pattern)
	}
	if o.RelativePattern != nil {
		return json.Marshal(*o.RelativePattern)
	}
	panic("unreachable")
}

func (o *PatternOrRelativePattern) UnmarshalJSON(data []byte) error {
	*o = PatternOrRelativePattern{}
	var vPattern Pattern
	if err := json.Unmarshal(data, &vPattern); err == nil {
		o.Pattern = &vPattern
		return nil
	}
	var vRelativePattern RelativePattern
	if err := json.Unmarshal(data, &vRelativePattern); err == nil {
		o.RelativePattern = &vRelativePattern
		return nil
	}
	return fmt.Errorf("invalid PatternOrRelativePattern: %s", data)
}

type TextDocumentFilterLanguageOrTextDocumentFilterSchemeOrTextDocumentFilterPattern struct {
	TextDocumentFilterLanguage *TextDocumentFilterLanguage
	TextDocumentFilterScheme   *TextDocumentFilterScheme
	TextDocumentFilterPattern  *TextDocumentFilterPattern
}

func (o TextDocumentFilterLanguageOrTextDocumentFilterSchemeOrTextDocumentFilterPattern) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of TextDocumentFilterLanguageOrTextDocumentFilterSchemeOrTextDocumentFilterPattern is set", o.TextDocumentFilterLanguage != nil, o.TextDocumentFilterScheme != nil, o.TextDocumentFilterPattern != nil)
	if o.TextDocumentFilterLanguage != nil {
		return json.Marshal(*o.TextDocumentFilterLanguage)
	}
	if o.TextDocumentFilterScheme != nil {
		return json.Marshal(*o.TextDocumentFilterScheme)
	}
	if o.TextDocumentFilterPattern != nil {
		return json.Marshal(*o.TextDocumentFilterPattern)
	}
	panic("unreachable")
}

func (o *TextDocumentFilterLanguageOrTextDocumentFilterSchemeOrTextDocumentFilterPattern) UnmarshalJSON(data []byte) error {
	*o = TextDocumentFilterLanguageOrTextDocumentFilterSchemeOrTextDocumentFilterPattern{}
	var vTextDocumentFilterLanguage TextDocumentFilterLanguage
	if err := json.Unmarshal(data, &vTextDocumentFilterLanguage); err == nil {
		o.TextDocumentFilterLanguage = &vTextDocumentFilterLanguage
		return nil
	}
	var vTextDocumentFilterScheme TextDocumentFilterScheme
	if err := json.Unmarshal(data, &vTextDocumentFilterScheme); err == nil {
		o.TextDocumentFilterScheme = &vTextDocumentFilterScheme
		return nil
	}
	var vTextDocumentFilterPattern TextDocumentFilterPattern
	if err := json.Unmarshal(data, &vTextDocumentFilterPattern); err == nil {
		o.TextDocumentFilterPattern = &vTextDocumentFilterPattern
		return nil
	}
	return fmt.Errorf("invalid TextDocumentFilterLanguageOrTextDocumentFilterSchemeOrTextDocumentFilterPattern: %s", data)
}

type NotebookDocumentFilterNotebookTypeOrNotebookDocumentFilterSchemeOrNotebookDocumentFilterPattern struct {
	NotebookDocumentFilterNotebookType *NotebookDocumentFilterNotebookType
	NotebookDocumentFilterScheme       *NotebookDocumentFilterScheme
	NotebookDocumentFilterPattern      *NotebookDocumentFilterPattern
}

func (o NotebookDocumentFilterNotebookTypeOrNotebookDocumentFilterSchemeOrNotebookDocumentFilterPattern) MarshalJSON() ([]byte, error) {
	assertOnlyOne("more than one element of NotebookDocumentFilterNotebookTypeOrNotebookDocumentFilterSchemeOrNotebookDocumentFilterPattern is set", o.NotebookDocumentFilterNotebookType != nil, o.NotebookDocumentFilterScheme != nil, o.NotebookDocumentFilterPattern != nil)
	if o.NotebookDocumentFilterNotebookType != nil {
		return json.Marshal(*o.NotebookDocumentFilterNotebookType)
	}
	if o.NotebookDocumentFilterScheme != nil {
		return json.Marshal(*o.NotebookDocumentFilterScheme)
	}
	if o.NotebookDocumentFilterPattern != nil {
		return json.Marshal(*o.NotebookDocumentFilterPattern)
	}
	panic("unreachable")
}

func (o *NotebookDocumentFilterNotebookTypeOrNotebookDocumentFilterSchemeOrNotebookDocumentFilterPattern) UnmarshalJSON(data []byte) error {
	*o = NotebookDocumentFilterNotebookTypeOrNotebookDocumentFilterSchemeOrNotebookDocumentFilterPattern{}
	var vNotebookDocumentFilterNotebookType NotebookDocumentFilterNotebookType
	if err := json.Unmarshal(data, &vNotebookDocumentFilterNotebookType); err == nil {
		o.NotebookDocumentFilterNotebookType = &vNotebookDocumentFilterNotebookType
		return nil
	}
	var vNotebookDocumentFilterScheme NotebookDocumentFilterScheme
	if err := json.Unmarshal(data, &vNotebookDocumentFilterScheme); err == nil {
		o.NotebookDocumentFilterScheme = &vNotebookDocumentFilterScheme
		return nil
	}
	var vNotebookDocumentFilterPattern NotebookDocumentFilterPattern
	if err := json.Unmarshal(data, &vNotebookDocumentFilterPattern); err == nil {
		o.NotebookDocumentFilterPattern = &vNotebookDocumentFilterPattern
		return nil
	}
	return fmt.Errorf("invalid NotebookDocumentFilterNotebookTypeOrNotebookDocumentFilterSchemeOrNotebookDocumentFilterPattern: %s", data)
}

// Literal types

// StringLiteralBegin is a literal type for "begin"
type StringLiteralBegin struct{}

func (o StringLiteralBegin) MarshalJSON() ([]byte, error) {
	return []byte(`"begin"`), nil
}

func (o *StringLiteralBegin) UnmarshalJSON(data []byte) error {
	if string(data) != `"begin"` {
		return fmt.Errorf("invalid StringLiteralBegin: %s", data)
	}
	return nil
}

// StringLiteralReport is a literal type for "report"
type StringLiteralReport struct{}

func (o StringLiteralReport) MarshalJSON() ([]byte, error) {
	return []byte(`"report"`), nil
}

func (o *StringLiteralReport) UnmarshalJSON(data []byte) error {
	if string(data) != `"report"` {
		return fmt.Errorf("invalid StringLiteralReport: %s", data)
	}
	return nil
}

// StringLiteralEnd is a literal type for "end"
type StringLiteralEnd struct{}

func (o StringLiteralEnd) MarshalJSON() ([]byte, error) {
	return []byte(`"end"`), nil
}

func (o *StringLiteralEnd) UnmarshalJSON(data []byte) error {
	if string(data) != `"end"` {
		return fmt.Errorf("invalid StringLiteralEnd: %s", data)
	}
	return nil
}

// StringLiteralCreate is a literal type for "create"
type StringLiteralCreate struct{}

func (o StringLiteralCreate) MarshalJSON() ([]byte, error) {
	return []byte(`"create"`), nil
}

func (o *StringLiteralCreate) UnmarshalJSON(data []byte) error {
	if string(data) != `"create"` {
		return fmt.Errorf("invalid StringLiteralCreate: %s", data)
	}
	return nil
}

// StringLiteralRename is a literal type for "rename"
type StringLiteralRename struct{}

func (o StringLiteralRename) MarshalJSON() ([]byte, error) {
	return []byte(`"rename"`), nil
}

func (o *StringLiteralRename) UnmarshalJSON(data []byte) error {
	if string(data) != `"rename"` {
		return fmt.Errorf("invalid StringLiteralRename: %s", data)
	}
	return nil
}

// StringLiteralDelete is a literal type for "delete"
type StringLiteralDelete struct{}

func (o StringLiteralDelete) MarshalJSON() ([]byte, error) {
	return []byte(`"delete"`), nil
}

func (o *StringLiteralDelete) UnmarshalJSON(data []byte) error {
	if string(data) != `"delete"` {
		return fmt.Errorf("invalid StringLiteralDelete: %s", data)
	}
	return nil
}

// StringLiteralFull is a literal type for "full"
type StringLiteralFull struct{}

func (o StringLiteralFull) MarshalJSON() ([]byte, error) {
	return []byte(`"full"`), nil
}

func (o *StringLiteralFull) UnmarshalJSON(data []byte) error {
	if string(data) != `"full"` {
		return fmt.Errorf("invalid StringLiteralFull: %s", data)
	}
	return nil
}

// StringLiteralUnchanged is a literal type for "unchanged"
type StringLiteralUnchanged struct{}

func (o StringLiteralUnchanged) MarshalJSON() ([]byte, error) {
	return []byte(`"unchanged"`), nil
}

func (o *StringLiteralUnchanged) UnmarshalJSON(data []byte) error {
	if string(data) != `"unchanged"` {
		return fmt.Errorf("invalid StringLiteralUnchanged: %s", data)
	}
	return nil
}

// StringLiteralSnippet is a literal type for "snippet"
type StringLiteralSnippet struct{}

func (o StringLiteralSnippet) MarshalJSON() ([]byte, error) {
	return []byte(`"snippet"`), nil
}

func (o *StringLiteralSnippet) UnmarshalJSON(data []byte) error {
	if string(data) != `"snippet"` {
		return fmt.Errorf("invalid StringLiteralSnippet: %s", data)
	}
	return nil
}
